<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'ajout / d'édition de bon plan

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: _form.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */







use_helper('ecFormulaire');

?>



<form action="<?php echo url_for('bons_plans/'.($form_bon_plan->getObject()->isNew() ? 'create' : 'update').(!$form_bon_plan->getObject()->isNew() ? '?id='.$form_bon_plan->getObject()->getId() : '')) ?>" method="post" <?php $form_bon_plan->isMultipart() and print 'enctype="multipart/form-data" ' ?>>



<?php if ($sf_user->hasFlash('bon_plan_ok')): //si le message flash de confirmation existe?>

			<?php echo Util::MessageInfo($sf_user->getFlash('bon_plan_ok'),'ok');//on l'affiche ?>

<?php endif;?>

<div class="cadre_bouttons">

<?php echo button_to('Retour', 'bons_plans/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>	

<?php 

echo $form_bon_plan->renderHiddenFields();?>

		<?php if($form_bon_plan->hasGlobalErrors()): ?>

			<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

		<?php endif; ?>

	<fieldset>

		<table class="tableau_formulaire">

			<tr>

				<th style="width: 150px;"><?php echo label('Texte', true) ?></th>

				<td><?php echo AfficheErreur($form_bon_plan['texte']); ?><?php echo $form_bon_plan['texte']; ?>

				</td>

			</tr>

			<tr>

				<th style="width: 150px;"><?php echo label('Image', $form_bon_plan->getObject()->isNew() ) ?> :</th>

				<td><?php echo AfficheErreur($form_bon_plan['image']); ?><?php echo $form_bon_plan['image']; ?>

				<?php if(!$form_bon_plan->getObject()->isNew()):?>

			

					<a href="<?php echo Util::getUrlImage($dossier.'/'.$url) ?>" class="thickbox">

					<?php echo image_tag('icones/16/search.png', array('alt' => 'zoom', 'title' => 'Visualiser'))?></a>

				<?php endif;?>

				</td>

			</tr>

			<tr>

				<th style="width: 150px;"><?php echo label('Active', true) ?> :</th>

				<td><?php echo AfficheErreur($form_bon_plan['active']) ?><?php echo $form_bon_plan['active'] ?></td>

			</tr>

		</table>

	</fieldset>

	<div class="cadre_bouttons">

<?php echo button_to('Retour', 'bons_plans/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>



</form>	



<div style="background-color: #ccd152;">

<ul>

	<li>Le texte ne doit pas depasser 500 caractères</li>

	<li>Les images ne doivent pas dépasser 200ko</li>

	<li>Les images doivent être au format jpeg ou gif</li>

</ul>

</div>	