<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'ajout / d'édition de categories de galeries d'arts

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $$ 

 */





use_helper('ecFormulaire');

$dossier_images = sfConfig::get('app_dossiers_images_galeries');

?>



<form action="<?php echo url_for('categories_galeries_arts/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>



<?php if ($sf_user->hasFlash('bo_categories_galeries_form_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_categories_galeries_form_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_categories_galeries_form_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_categories_galeries_form_error'), 'error'); ?>

<?php endif;?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<div class="cadre_bouttons">

<?php echo button_to('Retour', 'categories_galeries_arts/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>



<?php echo $form->renderHiddenFields() ?>



<fieldset>

	<table class="tableau_formulaire">

		<tr>

			<th style="width: 150px;"><?php echo label('Nom', true) ?> :</th>

			<td><?php echo AfficheErreur($form['nom']) ?><?php echo $form['nom'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Vignette', false) ?> :</th>

			<td><?php echo AfficheErreur($form['file_vignette']) ?><?php echo $form['file_vignette'] ?>

				<?php $file1 = $form->getObject()->getVignette() ?>

				<?php if(!empty($file1)): ?>

					<span id="file_1">

						<a href="<?php echo Util::getUrlImage($dossier_images.'/'.$file1) ?>" class="thickbox">[Voir l'image]</a>

						<?php echo jq_link_to_remote('[Supprimer l\'image]', array('url' => 'categories_galeries_arts/ajaxDeleteImage?id='.$form->getObject()->getId(), 'update' => 'file_1' ,'confirm' => 'Voulez-vous vraiment supprimer cette image?', 'csrf' => true)); ?>&nbsp;&nbsp;

				<?php endif; ?>

					</span>

			</td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Actif', true) ?> :</th>

			<td><?php echo AfficheErreur($form['active']) ?><?php echo $form['active'] ?></td>

		</tr>

	</table>

</fieldset>





<div class="cadre_bouttons">

<?php echo button_to('Retour', 'categories_galeries_arts/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>





</form>