<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche la liste des medias d'une galerie

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: editMediasSuccess.php 350 2010-08-13 09:06:41Z hlecorche $ 

 */



use_helper('ecomliste');



?>



<div class="titre">Gestion des médias d'une galerie</div>





<?php if ($sf_user->hasFlash('bo_galeries_message_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_galeries_message_ok'), 'ok'); ?>

<?php endif;?>



<div class="cadre_bouttons">

<?php echo button_to('Retour', 'galeries_arts/index', array('class' => 'button_back'))?>

</div>





<?php 

$chariot = 1;

echo ec_init_list($chariot);

?>



<?php foreach($liste_medias as $media): ?>

	<?php echo ec_list_open_element($chariot, 8, array('style' => 'width: 118px; text-align: center; vertical-align: bottom;'))?>

	

		

	

	<?php if ($media->getIsVideo()): ?>

		<?php echo image_tag($media->getVignette($galerie), 

							array('alt' => 'media', 'width' => '115')) ?><br />

	<?php else: ?>

		<?php echo image_tag(Util::getUrlImage($galerie->getPathDossier().'/'.$media->getNomFichier(), null, null, 115), 

							array('alt' => 'media')) ?><br />

	<?php endif; ?>	

	

						

	

	<?php if($sf_user->hasCredential('ADMIN')) echo link_to('&uarr; Supprimer &uarr;', 'galeries_arts/deleteMedia?id='.$media->getID(),

					array('method' => 'post', 'confirm' => 'Voulez-vous vraiment supprimer ce media?'))?>				

	

	<?php echo ec_list_close_element($chariot, 8) ?>  

<?php endforeach ?>







<?php echo ec_list_close($chariot, 8 )?>