<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'ajout / edition d'une video d'un lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _form.php 435 2010-09-27 19:10:29Z hlecorche $ 

 */





use_helper('ecFormulaire');

?>





<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>







<?php 

/*

 * Attention, pour l'ajout et l'edition le param "id" passé en GET dans l'action du formulaire

 * ne sont pas les memes

 */

?>

<form action="<?php echo ($form->getObject()->isNew())? url_for('lieux/listGalerieVideos?id='.$lieu->getId()) : url_for('lieux/editGalerieVideos?id='.$form->getObject()->getId()) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>

<?php echo $form->renderHiddenFields() ?>





	<table class="tableau_formulaire">

		<tr>

			<th style="width: 150px;"><?php echo label('Titre', false) ?> :</th>

			<td><?php echo AfficheErreur($form['titre']) ?><?php echo $form['titre'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px; vertical-align: top;"><?php echo label('Vidéo', true) ?> :</th>

			<td>

				<?php if(isset($form['video'])): ?>

					<b>Mettre source vidéo Youtube: </b><br />

					<?php echo AfficheErreur($form['video']) ?><?php echo $form['video'] ?><br />

					<?php echo image_tag('divers/aide_videos.jpg', array('alt' => 'aide vidéos')) ?>

				<?php elseif(!$form->getObject()->isNew()): ?>

					<?php echo image_tag($form->getObject()->getVignette()) ?>

			<?php endif; ?>

			</td>

		</tr>

		<tr>

			<th></th>

			<td><input type="submit" value="Sauvegarder" class="button_save" /></td>

		</tr>

	</table>



</form>