<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche la liste des videos d'un lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: listSuccess.php 435 2010-09-27 19:10:29Z hlecorche $ 

 */



use_helper('ecomliste');



?>



<div class="titre">Gestion vidéos <?php echo $lieu->getNom() ?></div>





<?php if ($sf_user->hasFlash('bo_lieux_message_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_lieux_message_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_lieux_message_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_lieux_message_error'), 'error'); ?>

<?php endif;?>



<div class="cadre_bouttons">

<?php echo button_to('Retour', 'lieux/index', array('class' => 'button_back'))?>

</div>







<!-- Liste des médias -->



<?php 

$chariot = 1;

echo ec_init_list($chariot);

?>



<?php foreach($liste_videos as $video): ?>

	<?php echo ec_list_open_element($chariot, 8, array('style' => 'width: 118px; text-align: center; vertical-align: bottom;'))?>

	

	

	<?php echo image_tag($video->getVignette(), 

							array('alt' => 'media', 'width' => 115)) ?><br />

	

						

	<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'lieux/editGalerieVideos?id='.$video->getId())?>&nbsp;&nbsp;

	<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)) echo link_to(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

		'lieux/deleteGalerieVideos?id='.$video->getId(),	array('method' => 'post', 'confirm' => 'Voulez-vous vraiment supprimer ce media?'))?><br />			

	

	<?php echo ec_list_close_element($chariot, 8) ?>  

<?php endforeach ?>







<?php echo ec_list_close($chariot, 8 )?>





<!-- Formulaire d'ajout -->



<fieldset>

<legend>Nouvelle photo</legend>

<?php include_partial('lieux/galerieVideos/_form', array('form' => $form,

														 'lieu' => $lieu)) ?>



</fieldset>

