<?php

/**

 * This file is part of "Name Project"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Description

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: _form.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */







use_helper('ecFormulaire');

?>



<form action="<?php echo url_for('news/'.($form_news->getObject()->isNew() ? 'create' : 'update').(!$form_news->getObject()->isNew() ? '?id='.$form_news->getObject()->getId() : '')) ?>" method="post" >



<?php if ($sf_user->hasFlash('news_ok')): //si le message flash de confirmation existe?>

			<?php echo Util::MessageInfo($sf_user->getFlash('news_ok'),'ok');//on l'affiche ?>

<?php endif;?>

<div class="cadre_bouttons">

<?php echo button_to('Retour', 'news/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>	

<?php 

echo $form_news->renderHiddenFields();?>

		<?php if($form_news->hasGlobalErrors()): ?>

			<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

		<?php endif; ?>

	<fieldset>

		<table class="tableau_formulaire">

			<tr>

				<th style="width: 150px;"><?php echo label('Texte', true) ?></th>

				<td><?php echo AfficheErreur($form_news['texte']); ?><?php echo $form_news['texte']; ?>

				</td>

			</tr>

			<tr>

				<th style="width: 150px;"><?php echo label('Priorité', true) ?> :</th>

				<td><?php echo AfficheErreur($form_news['priorite']) ?><?php echo $form_news['priorite'] ?></td>

			</tr>

			<tr>

				<th style="width: 150px;"><?php echo label('Active', true) ?> :</th>

				<td><?php echo AfficheErreur($form_news['active']) ?><?php echo $form_news['active'] ?></td>

			</tr>

		</table>

	</fieldset>

	<div class="cadre_bouttons">

<?php echo button_to('Retour', 'news/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>



</form>	



<div style="background-color: #ccd152;">

<ul>

	<li>La priorité doit être un entier compris entre 1 et 100</li>

	<li>Les news s'afficheront par ordre croissant de priorité</li>

</ul>

</div>	