<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * template de l'action index, qui liste les news

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */







use_helper('ecFormulaire');

?>



<div class="titre">Gestion des news</div>

<?php if ($sf_user->hasFlash('news_supprimer_ok')): //si le message flash de confirmation existe?>

			<?php echo Util::MessageInfo($sf_user->getFlash('news_supprimer_ok'),'ok');//on l'affiche ?>

<?php endif;?>

<div class="cadre_bouttons">

<?php echo button_to('Ajouter', 'news/new', array('class' => 'button_add'))?>

</div>



<fieldset>

	<legend>News</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 500px;">Texte</th> 

			<th style="width: 100px;">Priorité</th>

			<th style="width: 50px;">Actif</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($news as $new): ?>

		<tr>

			<td><?php echo $new->getTexte() ?></td>

			<td style="text-align: center;"><?php echo $new->getPriorite()?></td>

			<td style="text-align: center;"><?php echo ($new->getActive())? image_tag('icones/16/apply.png', array('alt' => 'V', 'title' => 'Est actif')) : '' ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'news/edit?id='.$new->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 'news/delete?id='.$new->getId(),array ('confirm' => 'Voulez-vous vraiment supprimer cette news?', 'method' => 'post') )?>&nbsp;&nbsp;

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	



<br />



</fieldset>	