<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial du mail envoye à la newsletter

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _mailBody.php 452 2010-09-30 08:47:20Z hlecorche $ 

 */



use_helper('Date');

$date = null;

$dossier = sfConfig::get('app_dossiers_images_agenda');

$url_portail = sfConfig::get('app_url_portail');

?>



<div>

	<?php echo image_tag($url_portail.'/images/newsletter/header.gif', array('alt' => 'Newsletter AnnecyByNight')) ?>

</div>



<div style="padding-left: 90px; padding-right: 90px; width: 470px; font-family: 'Arial'; font-size: 9pt; font-weight: bold; background-image: url('<?php echo image_path($url_portail.'/images/newsletter/body.gif') ?>')">



<?php if(!empty($text)):?>

	<?php 

		$text=  $sf_data->get('text', ESC_RAW); 

		if(substr($text, 0, 3) == '<p>')

		{

			echo substr_replace($text, '<p style="margin: 0px; padding: 0px;">', 0, 3);

		}

	?>

	<br />

<?php endif;?>



<?php foreach($liste_evenements as $evenement):?>

	

	<?php if($evenement->getDateDebut() != $date): ?>

		<?php $date = $evenement->getDateDebut(); ?>

			<div style="color: red; width: 470px; text-align: center; font-size: 12pt; border-bottom-style: solid; border-bottom-width: 2px; border-bottom-color: white;">

			<?php echo format_date($date, 'dddd dd MMMM yyyy', 'fr') ?>

			</div>

	<?php endif; ?>

	<br />

	<div style="margin-left: 20px; width: 440px; background-color: #ffd200">

		<?php echo link_to(image_tag($url_portail.'/'.Util::getUrlImage($dossier.'/'.$evenement->getImage_1(), 65),

								array('alt' => 'evenement', 'style' => 'margin: 4px; border: 0px; float: left;')),

							$url_portail.'/agenda/zoom/id/'.$evenement->getId()) ?>

	

		<?php echo $evenement->getTitre() ?> - <?php echo $evenement->getLieu()->getNom() ?> <br />

		<?php echo $evenement->getDescription() ?>

		<div style="clear: both;"></div>

	</div>



<?php endforeach; ?>



</div>



<div>

	<?php echo image_tag($url_portail.'/images/newsletter/footer.gif', array('alt' => '-')) ?>

</div>



<div style="width: 650px; background-color: black; color: white; text-align: center; font-family: 'Arial'; font-size: 9pt; font-weight: bold;">

Design by VIP Link <br />

Si vous ne souhaitez plus recevoir de mail de AnnecyByNight, modifier votre profil sur le site.

</div>