<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'ajout / d'édition de partenaire

 *

 * @author     Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: _form.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('ecFormulaire');

?>



<form action="<?php echo url_for('partenaires/'.($form_partenaire->getObject()->isNew() ? 'create' : 'update').(!$form_partenaire->getObject()->isNew() ? '?id='.$form_partenaire->getObject()->getId() : '')) ?>" method="post" <?php $form_partenaire->isMultipart() and print 'enctype="multipart/form-data" ' ?>>



<?php if ($sf_user->hasFlash('partenaire_ok')): //si le message flash de confirmation existe?>

			<?php echo Util::MessageInfo($sf_user->getFlash('partenaire_ok'),'ok');//on l'affiche ?>

<?php endif;?>

<div class="cadre_bouttons">

<?php echo button_to('Retour', 'partenaires/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>	

<?php 

echo $form_partenaire->renderHiddenFields();?>

		<?php if($form_partenaire->hasGlobalErrors()): ?>

			<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

		<?php endif; ?>

	<fieldset>

		<table class="tableau_formulaire">

			<tr>

				<th style="width: 150px;"><?php echo label('Image',$form_partenaire->getObject()->isNew() ) ?> :</th>

				<td><?php echo AfficheErreur($form_partenaire['image']); ?><?php echo $form_partenaire['image']; ?>

				<?php if(!$form_partenaire->getObject()->isNew()):?>

			

					<a href="<?php echo image_path('/'.$dossier.'/'.$url)?>" class="thickbox">

					<?php echo image_tag('icones/16/search.png', array('alt' => 'zoom', 'title' => 'Visualiser'))?></a>

				<?php endif;?>

				</td>

			</tr>

			<tr>

				<th style="width: 150px;"><?php echo label('Lien', false) ?> :</th>

				<td><?php echo AfficheErreur($form_partenaire['url_lien']) ?><?php echo $form_partenaire['url_lien'] ?></td>

			</tr>

			<tr>

				<th style="width: 150px;"><?php echo label('Priorité', true) ?> :</th>

				<td><?php echo AfficheErreur($form_partenaire['priorite']) ?><?php echo $form_partenaire['priorite'] ?></td>

			</tr>

			<tr>

				<th style="width: 150px;"><?php echo label('Active', true) ?> :</th>

				<td><?php echo AfficheErreur($form_partenaire['active']) ?><?php echo $form_partenaire['active'] ?></td>

			</tr>

		</table>

	</fieldset>

	<div class="cadre_bouttons">

<?php echo button_to('Retour', 'partenaires/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>



</form>	



<div style="background-color: #ccd152;">

<ul>

	<li>Les images doivent être des carrés de cotés egaux à 165 pixels</li>

	<li>Les images ne doivent pas dépasser 200ko</li>

	<li>La priorité doit être un entier compris entre 1 et 100</li>

	<li>Les images s'afficheront par ordre croissant de priorité</li>

	<li>Les images doivent être au format jpeg ou gif</li>



</ul>

</div>	



