<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche la liste des reponses d'un sondage

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 350 2010-08-13 09:06:41Z hlecorche $ 

 */





?>

<div class="titre">Gestion des réponses d'un sondage</div>



<?php if ($sf_user->hasFlash('bo_sondages_delete_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_sondages_delete_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_sondages_delete_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_sondages_delete_error'), 'error'); ?>

<?php endif;?>



<div class="cadre_bouttons">

<?php echo button_to('Retour liste sondages', 'sondages/index', array('class' => 'button_back')) ?>

<?php echo button_to('Ajouter', 'sondages/newResponse?sondage_id='.$sondage_id, array('class' => 'button_add'))?>

</div>



<?php if(count($liste_reponses) > 0 ): ?>



<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 650px;">Réponse</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($liste_reponses as $reponse): ?>

		<tr>

			<td><?php echo $reponse->getTexte() ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'sondages/editResponse?id='.$reponse->getId())?>&nbsp;&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 'sondages/deleteResponse?id='.$reponse->getId(), array('method' => 'post', 'confirm' => 'Voulez-vous vraiment supprimer cette réponse?')) ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

</table>



<?php else: ?>

Ce sondage ne comporte pas de réponse.

<?php endif; ?>