<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche la liste des types

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 388 2010-08-27 10:55:02Z hlecorche $ 

 */





?>



<div class="titre">Gestion des types</div>



<?php if ($sf_user->hasFlash('bo_types_delete_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_types_delete_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_types_delete_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_types_delete_error'), 'error'); ?>

<?php endif;?>



<div class="cadre_bouttons">

<?php echo button_to('Ajouter', 'types/new', array('class' => 'button_add'))?>

</div>



<?php include_partial('explications') ?>





<table class="tableau_liste" style="width: 725px;">

	<thead>

		<tr>

			<th>Nom</th>

			<th style="width: 50px;">Soirée</th>

			<th style="width: 50px;">Bar &amp; club</th>

			<th style="width: 50px;">Divers</th>

			<th style="width: 50px;">Priorité</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($liste_types as $type): ?>

		<tr>

			<td><?php echo $type->getNom() ?></td>

			<td style="text-align: center;"><?php echo ($type->getIsSortie())? image_tag('icones/16/apply.png', array('alt' => 'V', 'title' => 'Est une soirée')) : '' ?></td>

			<td style="text-align: center;"><?php echo ($type->getIsBarClub())? image_tag('icones/16/apply.png', array('alt' => 'V', 'title' => 'Est un bar & club')) : '' ?></td>

			<td style="text-align: center;"><?php echo ($type->getIsDivers())? image_tag('icones/16/apply.png', array('alt' => 'V', 'title' => 'Est divers')) : '' ?></td>

			<td style="text-align: center;"><?php echo $type->getPriorite() ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'types/edit?id='.$type->getId())?>&nbsp;&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 'types/delete?id='.$type->getId(), array('method' => 'post', 'confirm' => 'Voulez-vous vraiment supprimer ce type?')) ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

</table>



<br />

<i>Uniquement les types ayant "Soirée" coché seront affichés dans l'agenda du site.</i>