<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'édition d'une video

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _form.php 430 2010-09-27 13:41:54Z hlecorche $ 

 */





use_helper('ecFormulaire');



?>



<form action="<?php echo url_for('videos/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>



<?php if ($sf_user->hasFlash('bo_video_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_video_ok'), 'ok'); ?>

<?php endif;?>

<?php if ($sf_user->hasFlash('bo_video_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_video_error'), 'error'); ?>

<?php endif;?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<div class="cadre_bouttons">

<?php echo button_to('Retour', 'videos/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>



<?php echo $form->renderHiddenFields() ?>



<fieldset>

	<table class="tableau_formulaire">

		<tr>

			<th style="width: 150px;"><?php echo label('Nom', true) ?> :</th>

			<td><?php echo AfficheErreur($form['titre']) ?><?php echo $form['titre'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Catégorie', true) ?> :</th>

			<td><?php echo AfficheErreur($form['video_categorie_id']) ?><?php echo $form['video_categorie_id'] ?></td>

		</tr>

		

		<tr>

			<th style="width: 150px; vertical-align: top;"><?php echo label('Vidéo', true) ?> :</th>

			<td>

				<?php if(isset($form['video'])): ?>

					<b>Mettre source vidéo Youtube: </b><br />

					<?php echo AfficheErreur($form['video']) ?><?php echo $form['video'] ?><br />

					<?php echo image_tag('divers/aide_videos.jpg', array('alt' => 'aide vidéos')) ?>

				<?php elseif(!$form->getObject()->isNew()): ?>

					<?php echo image_tag($form->getObject()->getVignette()) ?>

			<?php endif; ?>

			</td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Actif', true) ?> :</th>

			<td><?php echo AfficheErreur($form['active']) ?><?php echo $form['active'] ?></td>

		</tr>

	</table>

</fieldset>





<div class="cadre_bouttons">

<?php echo button_to('Retour', 'videos/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>





</form>