<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'ajout / edition de media dans l'onglet métier d'un lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _formGalerieMetier.php 447 2010-09-29 13:53:48Z hlecorche $ 

 */





use_helper('ecFormulaire');

?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>







<form action="<?php echo ($form->getObject()->isNew())? url_for('admin_annuaire/galerieMetier?id='.$lieu->getId()) : url_for('admin_annuaire/editGalerieMetier?id='.$lieu->getId().'&media_id='.$form->getObject()->getId()) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>

<?php echo $form->renderHiddenFields() ?>





	<table class="formulaire">

		<tr>

			<th style="width: 150px;"><?php echo label('Titre', false) ?> :</th>

			<td><?php echo AfficheErreur($form['titre']) ?><?php echo $form['titre'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Dans l\'album', true) ?> :</th>

			<td><?php echo AfficheErreur($form['album_id']) ?><?php echo $form['album_id'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Photo', ($form->getObject()->isNew()? true : false)) ?> :</th>

			<td>

				<b>Format .jpg ou .jpeg uniquement, poids max 2 Mo par fichier</b><br />

				<?php echo AfficheErreur($form['image']) ?><?php echo $form['image'] ?> &nbsp;&nbsp;&nbsp;

				<input type="submit" value="Sauvegarder" class="button" />

			</td>

		</tr>

	</table>



</form>





<?php if(!$form->getObject()->isNew()): ?>

<br /><br />

<div style="text-align: center;">

	<?php echo image_tag(Util::getUrlImage(sfConfig::get('app_dossiers_images_metier_lieux').'/'.$form->getObject()->getNomFichier(), null, null, 115),

						array('alt' => 'media')) ?>

</div>

<?php endif;?>