<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'edition du texte metier d'un lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _formTexteMetier.php 444 2010-09-29 13:16:20Z hlecorche $ 

 */





use_helper('ecFormulaire');

$dossier_images = sfConfig::get('app_dossiers_images_lieux');

?>



<form action="<?php echo url_for('admin_annuaire/texteMetier?id='.$form->getObject()->getId()) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>





<?php if ($sf_user->hasFlash('fo_lieux_form_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('fo_lieux_form_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('fo_lieux_form_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('fo_lieux_form_error'), 'error'); ?>

<?php endif;?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>







<?php echo $form->renderHiddenFields() ?>



	<?php if(isset($form['texte_metier_1'])): ?>

		<fieldset>

			<legend style="font-size: 16pt;"><?php echo $form->getObject()->getLabelMetierTexte_1() ?></legend>

			<?php echo AfficheErreur($form['texte_metier_1']) ?><?php echo $form['texte_metier_1'] ?>

		</fieldset>

	<?php endif; ?>

	

	<br />

	<?php if(isset($form['texte_metier_2'])): ?>

		<fieldset>

			<legend style="font-size: 16pt;"><?php echo $form->getObject()->getLabelMetierTexte_2() ?></legend>

			<?php echo AfficheErreur($form['texte_metier_2']) ?><?php echo $form['texte_metier_2'] ?>

		</fieldset>

	<?php endif; ?>





<div style="text-align: center;">

<br />

<input type="submit" value="Sauvegarder" class="button" />

</div>





</form>