<?php

/**

 * This file is part of "anbnws"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche le les videos de la galerie photo d'un lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: galerieVideoSuccess.php 434 2010-09-27 18:40:29Z hlecorche $ 

 */



use_helper('ecomliste');

?>





<?php include_partial('menu', array('lieu' => $lieu, 'active' => 'album_videos' ))?>





<div id="admin_cadre_central" class="couleur1">

	<div class="cadre_interieur couleur2">

		<?php if ($sf_user->hasFlash('fo_lieux_form_ok')): ?>

		<?php echo Util::MessageInfo($sf_user->getFlash('fo_lieux_form_ok'), 'ok'); ?>

		<?php endif;?>

		

		<?php if ($sf_user->hasFlash('fo_lieux_form_error')): ?>

		<?php echo Util::MessageInfo($sf_user->getFlash('fo_lieux_form_error'), 'error'); ?>

		<?php endif;?>

	

	

		<?php 

		$chariot = 1;

		echo ec_init_list($chariot);

		?>



		<?php foreach($lieu->getLieuVideos() as $video): ?>

			<?php echo ec_list_open_element($chariot, 7, array('style' => 'width: 118px; text-align: center; vertical-align: bottom;'))?>

			

			

			<?php echo image_tag($video->getVignette(), 

								array('alt' => 'media', 'width' => '116')) ?><br />

			

								

			<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'admin_annuaire/editGalerieVideo?id='.$lieu->getId().'&video_id='.$video->getId())?>&nbsp;&nbsp;

			<?php echo link_to(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 'admin_annuaire/deleteGalerieVideo?id='.$lieu->getId().'&video_id='.$video->getId(), array('method' => 'post', 'confirm' => 'Voulez-vous vraiment supprimer ce media?'))?><br />			

			

			<?php echo ec_list_close_element($chariot, 7) ?>  

		<?php endforeach ?>



		<?php echo ec_list_close($chariot, 7 )?>

	</div>



	<div class="cadre_interieur couleur2">

		<h1>Ajouter une vidéo:</h1>

		<?php include_partial('formGalerieVideo', array('form' => $form, 'lieu' => $lieu))?>

	</div>

</div>



