<?php use_helper('ecomliste') ?>

<?php use_helper('Date') ?>

<?php use_helper('ecFormulaire') ?>

<?php use_helper('Text'); ?>



<?php echo image_tag('titres/agenda.jpg', array('align' =>'middle', 'alt'=> 'agenda')) ?>

<span class="texte_gras">Pour <?php echo ($date != null)? 'le '.format_date(Util::dateToTime($date), 'dddd dd MMMM yyyy', 'fr') : 'les 30 prochains jours' ?></span><br />

Annecy By Night vous propose sa selection de bons plans de soirées et plus...



<div class="hr"></div>





<?php 

//Formulaire de tri de recherche

echo form_tag($sf_data->get('url_page', ESC_RAW));



//On affiche les categories

echo '<span style="color: #ff9900;">'.count($liste_categories).' catégories : </span>';

echo ec_select_form('categorie', $liste_categories, $selected_categorie, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';



echo ec_select_form('tri', $liste_tri, $selected_tri, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';

echo ec_select_form('ordre', $liste_ordre, $selected_ordre, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp; Nombre par page: ';

echo ec_select_form('nombre_pages', $liste_nombre_pages, $selected_nombre_pages, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

?>

</form>

<div class="hr"></div>



<?php echo $pager->getNbResults() ?> soirées trouvées

<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'agenda/sorties?page=') ?> <br />



<?php $chariot = 0; 

echo ec_init_list($chariot, array('class' => 'tableau_noir_cadre', 'width' => '100%'));

?>



<?php foreach ($pager->getResults() as $evenement): ?>

	

	<?php echo ec_list_open_element($chariot, 2, array('style' => 'padding: 5px;', 'width' => '50%')) ?>

			

			<div style="float: left; margin-right: 2px;">

				<a href="<?php echo url_for('agenda/zoom?id='.$evenement->getId()) ?>">

				<?php

				$photo_1=$evenement->getImage_1();

				if(empty($photo_1))

				{

					echo image_tag('divers/defaut_lieu.jpg'

								, array('title' => $evenement->getTitre(), 

										'alt' => $evenement->getTitre(), 

										'width' => 100,

										'height' => 70,

										'style' => 'margin-right: 3px;'));

				}

				else

				{

					$image = empty($evenement['image_1_truncate'])? $evenement->getImage_1() : $evenement->getImage_1_Truncate();

					echo image_tag(Util::getUrlImageWithJpeg($dossier_images.$image, 100, 70, null, true)

								, array('class' => 'info-bulle-css',

										'title' => image_tag(Util::getUrlImageWithJpeg($dossier_images.$evenement->getImage_1(), 100)), 

										'alt' => $evenement->getTitre(), 

										'width' => 100,

										'style' => 'margin-right: 3px; border-style: solid; border-width: 1px; border-color: #ffffff;'));

				}

				?>

				</a>

			

			</div>

			<span class="texte_moyen">

				<?php if($evenement->getDateDebut() == $evenement->getDateFin()): ?>

					<?php echo format_date($evenement->getDateDebut(), 'dddd dd MMMM yyyy', 'fr') ?>

				<?php else: ?>

					Du <?php echo format_date($evenement->getDateDebut(), 'dddd dd MMMM yyyy', 'fr') ?><br />au <?php echo format_date($evenement->getDateFin(), 'dddd dd MMMM yyyy', 'fr') ?>

				<?php endif; ?>

			</span><br />

			<?php echo link_to(truncate_text($evenement->getTitre(), 23), 'agenda/zoom?id='.$evenement->getId(), array('class' => 'texte_moyen texte_rose'))?><br />

			<span class="texte_gras texte_moyen"><?php echo truncate_text($evenement->getLieu()->getNom(), 20) ?></span><br />

			

			

		

		<div style="clear: both;"></div>

		

		

		

		<?php echo ec_list_close_element($chariot, 2) ?>

	

<?php endforeach; ?>



<?php echo ec_list_close($chariot, 2) ?>