<?php use_helper('Date') ?>

<?php use_helper('Text') ?>

<?php use_helper('ecprofil') ?>



<?php echo image_tag('titres/agenda.jpg', array('align' =>'middle', 'alt'=> 'agenda')) ?>

<span class="texte_gras">Pour le <?php echo format_date($evenement->getDateDebut(), 'dddd dd MMMM yyyy', 'fr') ?></span>



<div class="titre_gros">

	<?php echo truncate_text($evenement->getTitre(), 15, '...', true) ?>

	<span class="texte_orange texte_moyen"><?php echo $evenement->getType()->getNom() ?></span>

</div>

<br />





<!-- Infos soires -->

<?php

	$photo_1=$evenement->getImage_1();

	if(empty($photo_1))

	{

		echo image_tag('divers/defaut_lieu.jpg'

					, array('title' => $evenement->getTitre(), 

							'alt' => $evenement->getTitre(), 

							'width' => 250,

							'style' => 'margin-right: 3px;'));

	}

	else

	{

	

		echo image_tag(Util::getUrlImage($dossier_images_events.$evenement->getImage_1(), 250),

			  array('width' => '250', 

			  		'alt' => $evenement->getTitre(), 'title' => $evenement->getTitre(), 

			  		'style' => 'margin-right: 20px; float: left;'));

	}

	?>

		  

<span class="texte_gras texte_moyen_plus">

	<?php if($evenement->getDateDebut() == $evenement->getDateFin()): ?>

		<?php echo format_date($evenement->getDateDebut(), 'dd/MM/yyyy') ?> 

	<?php else: ?>

		Du <?php echo format_date($evenement->getDateDebut(), 'dd/MM/yyyy') ?> au <?php echo format_date($evenement->getDateFin(), 'dd/MM/yyyy') ?> 

	<?php endif; ?>

	<?php echo $evenement->getTitre() ?>

</span> <br />

<span class="texte_moyen"><?php echo simple_format_text(auto_link_text($evenement->getDescription(), 'all', array('target' => '_blank'))) ?></span><br />



<?php 

$heure_debut = $evenement->getHeureDebut();

$heure_fin = $evenement->getHeureFin();

?>

<?php if(!empty($heure_debut)): ?>

<span class="texte_vert texte_gras">Heure de début: </span><?php echo $heure_debut ?><br />

<?php endif; ?>

<?php if(!empty($heure_fin)): ?>

<span class="texte_vert texte_gras">Heure de fin: </span><?php echo $heure_fin ?><br />

<?php endif; ?>



<br />





<!-- Infos lieu -->

<span class="texte_gras texte_moyen"><?php echo $lieu->getNom() ?></span><br />

<?php echo ($lieu->getActive()? '<a href="'.url_for('annuaire/zoom?id='.$lieu->getId()).'">' : '') ?>

<?php $image = $lieu->getImage_1() ?>

<?php echo image_tag(empty($image)? 'divers/defaut_lieu.jpg' : Util::getUrlImage($dossier_images_lieux.$lieu->getImage_1(), 60),

					  array('width' => '60', 

					  		'alt' => $lieu->getNom(), 'title' => $lieu->getNom(), 

					  		'style' => 'margin-right: 10px; float: left; border: 1px; border-style: solid;'))?>

<?php echo ($lieu->getActive()? '</a>' : '') ?>

<?php echo $lieu->getAdresse() ?><br />

<?php echo $lieu->getCodePostal() ?>  <?php echo $lieu->getVille() ?><br />

<?php echo $lieu->getTelephone() ?>

<div style="clear: both;"></div>





<div class="hr"></div>

<br />



Posté par <?php echo afficheProfilVollant($evenement->getMembre(), array('class' => 'texte_gras'))?> 

le <?php echo format_date($evenement->getCreatedAt(), 'dd/MM/yyyy') ?> 

à <?php echo format_date($evenement->getCreatedAt(), 'HH:mm') ?> 



<br /><br />







<!-- Inscriptions -->

<div style="float: left; display: inline; width: 400px;">

	<?php include_partial('inscriptions', array('lieu' => $lieu, 

												'evenement' => $evenement, 

												'inscriptions' => $inscriptions,

												'inscriptions_ouvertes' => $inscriptions_ouvertes,

												'user' => $user,

												'form' => $form)) ?>







<!-- Informations sur le lieu -->

<br />

<?php if($lieu->getActive()): ?>

	<div class="titre_moyen">Dernièrement dans ce lieu:</div>

	<?php if(count($liste_derniers_evenements) > 0): ?>

			<?php foreach($liste_derniers_evenements as $ev) :?>

				<a href="<?php echo url_for('agenda/zoom?id='.$ev->getId()) ?>">

					<?php echo format_date($ev->getDateDebut(), 'dd/MM/yyyy')?> 

					<?php echo truncate_text($ev->getTitre(), 11)?>

				</a><br />

			<?php endforeach; ?>

	<?php else:?>

		Aucun événement...<br />

	<?php endif;?>

	

	

	<br />

	<div class="titre_moyen">Reportages dans ce lieu:</div>

	<?php if(count($liste_reportages) > 0): ?>

			<?php foreach($liste_reportages as $rep) :?>

				<a href="<?php echo url_for('reportages/zoom?id='.$rep->getId()) ?>">

					<?php echo format_date($rep->getDate(), 'dd/MM/yyyy')?> 

					<?php echo substr($rep->getTitre(), 0, 11)?>...

				</a><br />

			<?php endforeach; ?>

	<?php else:?>

		Aucun reportage...<br />

	<?php endif;?>

	

	<br />

	<div class="titre_moyen">Prochainement dans ce lieu:</div>

	<?php if(count($liste_prochains_evenements) > 0): ?>

			<?php foreach($liste_prochains_evenements as $ev) :?>

				<a href="<?php echo url_for('agenda/zoom?id='.$ev->getId()) ?>">

					<?php echo format_date($ev->getDateDebut(), 'dd/MM/yyyy')?> 

					<?php echo substr($ev->getTitre(), 0, 11)?>...

				</a><br />

			<?php endforeach; ?>

	<?php else:?>

		Aucun événement...<br />

	<?php endif;?>

<br />

<?php endif; ?>

</div>









<!-- Image de droite -->

<div style="float: left; display: inline; width: 210px; margin-left: 20px; text-align: right;">

	<?php if(!is_null($evenement->getImage_2())): ?>

	<?php echo image_tag(Util::getUrlImage($dossier_images_events.$evenement->getImage_2(), 200),

					  array('width' => '200', 

					  		'alt' => $evenement->getTitre(), 'title' => $evenement->getTitre()))?>

	<?php endif; ?>

</div>



<div style="clear: both;"></div>

