<?php
/**
 * This file is part of "Annecy By Night"
 * Copyright (c) 2009-2010 Hubert LECORCHE
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */


/**
 * Composants du module annuaire
 *
 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>
 * @version    SVN: $Id: components.class.php 358 2010-08-18 13:17:07Z hlecorche $
 */
class annuaireComponents extends sfComponents
{
	
	//Composant qui affiche le menu du haut du site, concernant les bons-plans
	public function executeMenuTop()
	{
		$this->types = $this->getTypes();
	}
	
	//Composant qui affiche le menu du bas du site, concernant les bons-plans
	public function executeMenuBottom()
	{
		$this->types = $this->getTypes();
	}
	
	
	protected function getTypes()
	{
		$q = Doctrine::getTable('Type')->createQuery('t')
		->where('t.is_divers = 0')
		->addWhere('t.is_bar_club = 0')
		->orderBy('t.priorite ASC, t.nom ASC');
		
		return $q->execute();
	}
}

?>