<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche les photos

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: photos.php 439 2010-09-29 10:06:20Z hlecorche $ 

 */



$urls_images_grandes = array();

?>



<div id="cadre_interieur_photos" class="couleur2">

	<?php foreach(Lieu::getNumImages() as $num_image): ?>

		<?php $image = $lieu->get('image_'.$num_image) ?>

		

		<?php if($num_image > 1 && $num_image < 100 && !empty($image)): ?>

			<?php $id = 'photo_general_'.$num_image; ?>

			<div class="colonne">

					<?php echo image_tag(Util::getUrlImage($dossier_images.$image, null, null, 210, false),

						 		array('alt' => 'image '.$num_image,

						 			  'id' => $id,

						 			  'class' => 'photo_general',

						 	   		  'style' => 'border-color: #443B40; border-style: solid; border-width: 1px;')) ?>

				<?php $texte = $lieu->get('texte_'.$num_image); echo $texte; ?>

			</div>

			<?php $urls_images_grandes[$id] = Util::getUrlImage($dossier_images.$image, null, null, 600, false); ?>

		<?php endif; ?>

	<?php endforeach; ?>

	<div class="clear"></div>

</div>



<script type="text/javascript">

<?php foreach ($urls_images_grandes as $id => $url):?>

urls_images_grands['<?php echo $id ?>'] = '<?php echo $url ?>';

<?php endforeach;?>

</script>