<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial, appelé par de l'ajax

 * qui affiche une video (affiche dans le div #contenu_reportage )

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: zoomVideo.php 165 2009-08-11 08:55:36Z hlecorche $ 

 */



$galerie = $media->getGalerieArts();

$media_id_precedent = $media->getMediaIdPrecedent();

$media_id_suivant = $media->getMediaIdSuivant();



?>





<br />

<table>

<tr>

	<td width="500">

		<?php echo jq_button_to_remote('Retour galerie', 

										array('url' => 'galeries_arts/ajaxZoomGalerie?id='.$media->getGalerieArts()->getId().'&page='.$page_liste,

											  'update' => 'contenu_reportage',

									   		  'loading' => 'begin_ajax_reportage();',

									  		  'complete' => 'end_ajax_reportage();'),

										array('class' => 'button')) ?>

		

		<?php if(!empty($media_id_precedent)): ?>

			<?php echo jq_button_to_remote('&lt;&lt;', 

											array('url' => 'galeries_arts/ajaxZoomMedia?id='.$media_id_precedent,

												  'update' => 'contenu_reportage',

										   		  'loading' => 'begin_ajax_reportage();',

										  		  'complete' => 'end_ajax_reportage();'),

											array('class' => 'button')) ?>

		<?php endif;?>

		

		

		<?php if(!empty($media_id_suivant)): ?>

			<?php echo jq_button_to_remote('&gt;&gt;', 

											array('url' => 'galeries_arts/ajaxZoomMedia?id='.$media_id_suivant,

												  'update' => 'contenu_reportage',

										   		  'loading' => 'begin_ajax_reportage();',

										  		  'complete' => 'end_ajax_reportage();'),

											array('class' => 'button')) ?>

		<?php endif;?>

		

		

	</td>

	<td><?php echo $media->getPositionMedia() ?> sur  <?php echo $media->getNombreMedias() ?>  médias</td>

</tr>

</table>

<br />



<div class="cadre" style="width: 620px; text-align: center;">

<object type="application/x-shockwave-flash" data="<?php echo _compute_public_path('player_flv_multi.swf', 'objects', 'swf')?>" width="600" height="450">



   <param name="WMODE" value="Transparent" />

    <param name="movie" value="<?php echo _compute_public_path('player_flv_multi.swf', 'objects', 'swf')?>?a=<?php echo time()?>" />



    <param name="allowFullScreen" value="true" />

    <?php $file = str_replace(':', '%3A', sfConfig::get('app_url_portail')).'/'.$galerie->getPathDossier().'/'.$media->getNomFichier(); ?>

    <param name="FlashVars" value="flv=<?php echo $file?>&amp;title=movie&amp;width=600&amp;height=450&amp;autoplay=0&amp;autoload=0&amp;shuffle=1&amp;volume=100&amp;showvolume=1&amp;showfullscreen=1" />

</object>





</div>

<br />

