<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des médias d'une galerie

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _zoom_galerie.php 335 2010-01-09 16:17:44Z hlecorche $ 

 */



use_helper('ecomliste');





$pagination_options_ajax = array('update' => 'contenu_reportage',

							'loading' => 'begin_ajax_reportage();',

							'complete' => 'end_ajax_reportage();'

							);



?>



<table>

<tr>

	<td width="500"><?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'galeries_arts/ajaxZoomGalerie?id='.$galerie->getId().'&page=', $pagination_options_ajax) ?></td>

	<td><?php echo $pager->getFirstIndice() ?> à  <?php echo $pager->getLastIndice() ?> sur <?php echo $pager->getNbResults() ?> médias</td>

</tr>

</table>

<br /><br />





<!-- Liste des médias -->

<?php 

$i = 0; 

echo ec_init_list($i);

?>

<?php foreach ($pager->getResults() as $media): ?>

	<?php echo ec_list_open_element($i, 4, array('class' => 'colonne_album'))?>

	<?php $javascript =  jq_remote_function(array('url' => 'galeries_arts/ajaxZoomMedia?id='.$media->getId().'&page='.$pager->getPage(),

									   'update' => 'contenu_reportage',

									   'loading' => 'begin_ajax_reportage();',

									   'complete' => 'end_ajax_reportage();'

									   )) ?>

		<?php if ($media->getIsVideo()): ?>

			<?php echo image_tag($media->getVignette($galerie),

							array('alt' => 'image media', 

								  'width' => 120,

								  'style' => 'border-width: 1px; border-style: double; border-color: #443B40;',

								  'onclick' => $javascript)) ?>

		<?php else: ?>

		  <?php echo image_tag(Util::getUrlImage($media->getVignette($galerie), null, null, 120),

							array('alt' => 'image media', 

								  'style' => 'border-width: 1px; border-style: double; border-color: #443B40;',

								  'onclick' => $javascript)) ?>

		<?php endif; ?>

	<?php echo ec_list_close_element($i, 4) ?>

<?php endforeach; ?>



<?php echo ec_list_close($i, 4)?>