<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche la liste des catégories des galeries d'arts

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 365 2010-08-20 14:21:40Z hlecorche $ 

 */



use_helper('ecomliste');

jq_add_plugin_ui();

$dossier_images = sfConfig::get('app_dossiers_images_galeries');

?>





<?php echo image_tag('titres/galerie.jpg', array('align' =>'middle', 'alt'=> 'reportages')) ?><br />

Annecy By Night vous propose sa selection de galeries d'arts...



<div class="hr"></div>



<br />

<div class="ui-tabs ui-widget ui-widget-content ui-corner-all">



<div class="ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all" style="color: #0BEBD3; font-size: 14pt;">

N'hésitez pas à nous contacter si vous souhaitez exposer...

</div>

<br />



<?php 

$chariot = 0;

echo ec_init_list($chariot, array('cellspacing' => '10', 'cellpadding' => '15', 'style' => 'margin: auto;'));

?>



<?php foreach($liste_categories as $categorie): ?>

	<?php echo ec_list_open_element($chariot, 2, array('class' => 'cadre_noir',

													   'style' => 'width: 200px; text-align: center; vertical-align: top;')) ?>

	

	<?php $vignette = $categorie->getVignette() ?>

	<?php if(!empty($vignette)): ?>

			<?php echo link_to(image_tag(Util::getUrlImageWithJpeg($dossier_images.'/'.$vignette, null, null, 160 ), array('alt' => $categorie->getNom())), 'galeries_arts/listeGaleries?id='.$categorie->getId()) ?><br />

	<?php endif; ?>

	<span><?php echo link_to($categorie->getNom(), 'galeries_arts/listeGaleries?id='.$categorie->getId(), array('style' => 'font-size: 14pt; color: #0BEBD3;')) ?></span><br />

	

	<span style="font-size: 8pt; ">Nombre de galerie(s): <?php echo $categorie->getNombreGaleries() ?></span>

	<?php echo ec_list_close_element($chariot, 2) ?>

<?php endforeach; ?>



<?php echo ec_list_close($chariot, 2)?>

<br /><br /><br /><br /><br /><br />

</div>