<?php use_helper('ecomliste') ?>

<?php use_helper('Date') ?>

<?php use_helper('ecFormulaire') ?>

<?php use_helper('Text') ?>

<?php use_helper('ecprofil') ?>



<div class="titre_rubrique">

GALERIE D'ART : <?php echo $categorie->getNom() ?> <br />

<span>Annecy By Night vous propose sa selection de galeries d'arts...</span>

</div>

<br />





<?php echo link_to('Retour à la liste des catégories', 'galeries_arts/index', array('class' => 'texte_vert')) ?>



<div class="hr"></div>





<?php 

//Formulaire de tri de recherche

echo form_tag($url_page);



echo ec_select_form('tri', $liste_tri, $selected_tri, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';

echo ec_select_form('ordre', $liste_ordre, $selected_ordre, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp; Nombre par page: ';

echo ec_select_form('nombre_pages', $liste_nombre_pages, $selected_nombre_pages, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));



?>

</form>

<div class="hr"></div>



<?php echo $pager->getNbResults() ?> galeries trouvées

<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, $url_page."&page=") ?> <br />



<?php $chariot = 0; 

echo ec_init_list($chariot);

?>



<?php foreach ($pager->getResults() as $galerie): ?>

		<?php echo ec_list_open_element($chariot, 2, array('class' => 'colonne_demie', 'style' => 'vertical-align: top;'))?>

		<div class="titre_moyen"><?php echo truncate_text($galerie->getNom(), 15) ?> &nbsp;&nbsp;</div>

		

		<div style="float: left; margin: 4px; border-color: #443b40; border-style: double; border-width: 1px;">

		<?php if($galerie->getIsGalerieVideo()): ?>

			<?php echo link_to(image_tag('divers/video.jpg', array('title' => $galerie->getNom(), 'alt'=> $galerie->getNom(), 'width' => '120')),

								'galeries_arts/zoom?id='.$galerie->getId()) ?>



		<?php else:?>

			<?php echo jq_double_images($galerie->getPathDossier().'/'.$galerie->getImage_1(),

										$galerie->getPathDossier().'/'.$galerie->getImage_2(),

										120, 79, $galerie->getNom(), $galerie->getNom(),

										url_for('galeries_arts/zoom?id='.$galerie->getId())) ?>

		

		<?php endif;?>

		</div>

			<span class="texte_rose">Email:</span> <?php echo auto_link_text($galerie->getEmail()) ?><br />

			<?php $site = $galerie->getUrlSite() ?>

			<?php if(!empty($site)): ?>

				<span class="texte_rose">Site:</span> <?php echo auto_link_text($site) ?><br />

			<?php endif; ?>

			<span class="texte_vert">Nombre de <?php echo ($galerie->getIsGalerieVideo())? 'vidéos' : 'photos' ?> : <?php echo $galerie->getNombreMedias() ?></span><br />

			<?php echo $galerie->getDescription() ?>

			

		<div style="clear: both;"></div>

		<?php echo ec_list_close_element($chariot, 2) ?>

	

<?php endforeach; ?>

<?php echo ec_list_close($chariot, 2) ?>