<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * partial qui contien le mail envoyé lors de la demande de candidature d'un photographe

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: _mailPhotographeBody.php 126 2009-08-04 15:22:10Z sjeandroz $ 

 */

use_helper('Text');

use_helper('Date');





?>



Ceci est un mail de notification pour une nouvelle candidature de photographe <br /><br />

----------------------------------<br />

Nom: <?php echo $photographe->getNom(); ?><br />

Prenom: <?php echo $photographe->getPrenom(); ?><br /> 

Activité/Profession: <?php echo $photographe->getProfession(); ?><br /> 

Date de naissance: <?php echo format_date($photographe->getDateNaissance(),'dd/MM/yyyy')?><br />

Adresse: <?php echo $photographe->getAdresse(); ?><br />

Code postal: <?php echo $photographe->getCodePostal(); ?><br />

Ville: <?php echo $photographe->getVille(); ?><br />

Email: <?php echo auto_link_text($photographe->getEmail());?><br />

Téléphone domicile: <?php echo $photographe->getTelDomicile(); ?><br />

Téléphone portable: <?php echo $photographe->getTelPortable(); ?><br />

Ordinateur/Internet: <?php if($photographe->getOrdinateurNet()==='0'){echo 'Non';}elseif($photographe->getOrdinateurNet()==='1'){echo 'Oui';}?><br />

Voiture: <?php if($photographe->getVoiture()==='0'){echo 'Non';}elseif($photographe->getVoiture()==='1'){echo 'Oui';}?><br />

Appareil Photo: <?php if($photographe->getAppareilPhoto()=='0'){echo 'Non';}elseif($photographe->getAppareilPhoto()==='1'){echo 'Oui';}?><br />

Loisirs: <?php echo $photographe->getLoisirs();?><br />

Clubs favoris: <?php echo $photographe->getClubsFavoris();?><br />

Style musique: <?php echo $photographe->getStyleMusical();?><br />

Motivations/Disponibilités/pseudo: <?php echo $photographe->getMotivationsDispoPseudo();?><br />





