<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche les conditions générales d'utilisation du site

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: cguSuccess.php 246 2009-09-04 14:23:34Z hlecorche $ 

 */





?>



<div class="titre_rubrique">CONDITIONS GENERALES D'UTILISATION</div>

<br />



<div class="cadre_noir texte_normal_plus">

<div class="texte_vert texte_moyen texte_gras">Données d'inscription / Sécurité des comptes</div>

<p>En contrepartie de votre utilisation du site, vous acceptez (a) de fournir des informations vous concernant 

dans les formulaires d’inscription du Site; (b) d’utiliser un identifiant et un mot de passe sécurisés; et (c) 

d'être responsable de l’utilisation de votre compte et de n'importe quelles actions effectuées à l’aide de votre 

compte.</p>

<br /><br />



<div class="texte_vert texte_moyen texte_gras">Code de bonne conduite de l'utilisateur</div>

<p>Vous acceptez de ne pas utiliser le Service ou le Site pour:</p>

<ul>

<li>Extraire ou collecter des adresses électroniques ou d'autres informations relatives à d'autres utilisateurs du Service ou du Site par tout moyen électronique ou autre à des fins d'envoi de courriers électroniques ou autres communications non sollicitées</li>

<li>Utiliser le Service ou le Site d'une manière illégale ou par tout autre moyen susceptible d'endommager, de désactiver, de surcharger ou d'altérer le Site</li> 

<li>Utiliser des scripts automatiques en vue de collecter des informations à partir du Service ou du Site ou d'interagir avec le Service ou le Site</li> 

<li>Charger, publier, transmettre, partager, stocker ou diffuser de toute autre manière sur le Site un contenu préjudiciable, menaçant, illégal, diffamatoire, non autorisé, abusif, injurieux, malveillant, vulgaire, obscène, frauduleux, portant atteinte à la vie privée ou aux droits à l'image, odieux, incitant à la violence, à la haine raciale ou ethnique ou autrement répréhensible</li> 

<li>Usurper l'identité d'une autre personne</li> 

<li>Charger, publier, transmettre, partager ou mettre à disposition de quelque manière que ce soit, toutes publicités, sollicitations, contenus promotionnels, messages indésirables, spam, chaînes de lettres, ventes pyramidales ou autres formes de sollicitation non-autorisés ou non-sollicités</li> 

<li>Charger, publier, transmettre, partager ou mettre à disposition sur le Site toute donnée personnelle relative à un tiers, telle que des adresses, des numéros de téléphone, des adresses électroniques, des numéros de sécurité sociale et des numéros de carte bancaire</li>

<li>Solliciter des informations personnelles aux utilisateurs de moins de 18 ans ou des mots de passe ou données personnelles à des fins commerciales ou illégales</li> 

<li>Charger, publier, transmettre, partager ou rendre disponible tout élément contenant des virus informatiques ou tout code, fichier ou programme informatique conçu pour interrompre, détruire ou limiter la fonctionnalité de logiciels, d'équipement informatique ou de télécommunication</li>

<li>Intimider ou harceler autrui</li> 

<li>Charger, publier, transmettre, partager, stocker ou mettre à disposition de toute autre manière un contenu qui constitue ou encourage un acte pénalement répréhensible ou fournit des instructions sur la manière de le perpétrer, qui enfreint les droits d'un tiers ou est susceptible d'engager la responsabilité d'un tiers ou d'enfreindre la législation locale, nationale ou internationale</li>

<li>Utiliser ou tenter d'utiliser le compte, le service ou le système d'autrui sans son autorisation</li>

</ul>



<br /><br />



<div class="texte_vert texte_moyen texte_gras">Contenu utilisateur publié sur le Site</div>

<p>Vous êtes seul responsable des photos, profils (y compris vos nom, photos et ressemblances), messages, articles, 

textes, informations, musiques, vidéos, annonces, petites annonces et autre contenu que vous chargez ou affichez 

(« publiez ») sur le Site, ou que vous transmettez ou partagez avec d'autres utilisateurs (ci-après collectivement 

le « Contenu utilisateur »). Vous vous interdisez de publier, transmettre ou partager, sur le Site ou le Service, 

un Contenu utilisateur dont vous n'êtes pas l'auteur ou que vous n'avez pas le droit de publier. Vous acceptez 

sans réserve que les Administrateurs du Site puisse, le cas échéant, modifier le Site ou supprimer ou retirer 

(sans préavis) tout Contenu du site ou tout Contenu utilisateur, à son entière discrétion, avec ou sans motif, 

ainsi que tout Contenu utilisateur pouvant présenter un caractère offensant ou illégal ou susceptible 

d’enfreindre les droits des utilisateurs ou des tiers, ou encore de menacer la sécurité des utilisateurs ou des 

tiers ou de leur porter atteinte.</p>





<br /><br />



<div class="texte_vert texte_moyen texte_gras">Politique de confidentialité du Site</div>

<p>Le groupe dans lequel vous vous connectez vous permet de discuter sur des forums et d’ajouter des photos. 

Etant donné qu’une authentification avec mot de passe et un compte validé est nécessaire pour accéder à ces 

informations, cela vous garanti la sécurité des données que vous pourrez insérer dans le site. Quant aux photos, 

leur accès nécessite lui aussi une authentification, vous ne pourrez donc pas accéder à des photos d’autres 

groupes auxquels vous n’auriez pas accès.</p>







<br /><br />



<div class="texte_vert texte_moyen texte_gras">Informations collectées</div>

<p>Lorsque vous vous connectez au Site, nous enregistrons votre adresse IP ainsi que les pages que vous consultez. 

De plus, nous stockons certaines informations de votre navigateur en utilisant des « cookies ». Un cookie est un 

élément contenant des données relatives à l'utilisateur et qui est stocké dans son ordinateur. Nous utilisons des 

cookies d'identification de session qui confirment que l'utilisateur est identifié. Ces cookies cessent d'être 

valables dès que vous fermez votre navigateur. Par défaut, nous utilisons un cookie permanent qui enregistre 

votre identifiant, et votre mot de passe sous forme cryptée pour faciliter votre prochaine connexion au Site. 

Vous pouvez supprimer ou interdire ce cookie si vous souhaitez désactiver cette option.

Veuillez noter que vous publiez sur ce Site des informations à vos risques et périls. Il n'existe aucun système 

de sécurité infaillible. Nous ne sommes pas en mesure de contrôler les actions d'autres utilisateurs avec 

lesquels vous avez décidé de partager vos pages et vos informations. Nous ne pouvons donc en aucun cas garantir 

que le contenu que vous publiez sur ce site ne sera pas vu par des personnes non autorisées. Nous ne sommes en 

aucun cas responsables du non-respect des paramètres de confidentialité ou des mesures de sécurité en vigueur

 sur ce site. Vous comprenez et reconnaissez que, même après suppression, des copies du contenu utilisateur 

 peuvent rester visibles dans les pages d'archives et les pages en cache ou bien si d'autres utilisateurs ont 

 enregistré ou copié votre contenu.</p>



</div>