<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'inscription

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: inscriptionSuccess.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('ecFormulaire');

use_helper('sfCryptoCaptcha');







?>





<?php echo image_tag('titres/inscription_membres.gif', array('alt' => 'inscription membres')) ?>

<br /><br />

<div class="hr"></div>

<br />



Veuillez remplir tous les champs ci-dessous afin de créer votre profil le plus complet possible. <br />

<b>Vous devrez répondre à notre email de confirmation pour valider votre inscription !</b> <br />

Astuce : Notez votre numéro de portable pour recevoir les bons plans par sms...<br />

Merci de votre contribution <br /><br />





<?php echo form_tag('main/submitInscription', array('multipart' => true)) ?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<?php echo $form->renderHiddenFields() ?>



<table width="466" border="0">



<tr>

	<td width="186"><?php echo label('Pseudo', true) ?> :</td>

	<td><?php echo AfficheErreur($form['pseudo']); echo $form['pseudo']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Prénom', true) ?> :</td>

	<td><?php echo AfficheErreur($form['prenom']); echo $form['prenom']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Mot de passe', true) ?> :</td>

	<td><?php echo AfficheErreur($form['mot_passe']); echo $form['mot_passe']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Confirmation mot de passe', true) ?> :</td>

	<td><?php echo AfficheErreur($form['mot_passe_confirmation']); echo $form['mot_passe_confirmation']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Email', true) ?> :</td>

	<td><?php echo AfficheErreur($form['email']); echo $form['email']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Portable', false) ?> :</td>

	<td><?php echo AfficheErreur($form['portable']); echo $form['portable']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Sexe', true) ?> :</td>

	<td><?php echo AfficheErreur($form['sexe']); echo $form['sexe']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Civilité', false) ?> :</td>

	<td><?php echo AfficheErreur($form['civilite_id']); echo $form['civilite_id']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Etes-vous', false) ?> :</td>

	<td><?php echo AfficheErreur($form['fume']); echo $form['fume']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Enfants', false) ?> :</td>

	<td><?php echo AfficheErreur($form['enfants']); echo $form['enfants']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Date de naissance', true) ?> :</td>

	<td><?php echo AfficheErreur($form['date_naissance']); echo $form['date_naissance']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Ville', true) ?> :</td>

	<td><?php echo AfficheErreur($form['ville']); echo $form['ville']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Code postal', true) ?> :</td>

	<td><?php echo AfficheErreur($form['code_postal']); echo $form['code_postal']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Votre photo de profil', false) ?> :</td>

	<td><?php echo AfficheErreur($form['image']); echo $form['image']->render() ?></td>

</tr>



<tr>

	<td></td>

	<td><?php echo AfficheErreur($form['condition']); echo $form['condition']->render() ?>

	J'accepte les <?php echo link_to('conditions générales d\'utilisation', 'main/cgu', array('target' => 'blank')) ?>

	</td>

</tr>



<tr>

	<td><?php echo label('Code de vérification', true) ?> :</td>

	<td><?php echo AfficheErreur($form['captcha']); echo captcha_image(); echo captcha_reload_button();?> <br /> <?php echo $form['captcha']->render() ?></td>

</tr>



<tr>

	<td></td>

	<td><input type="submit" value="S'inscrire" class="button" /></td>

</tr>

</table>







</form>





<br />

Les informations recueillies sont nécessaires pour votre adhésion. <br />

En application des articles 39 et suivants de la loi du 6 janvier 1978 modifiée, vous bénéficiez d’un droit d’accès et de rectification aux informations qui vous concernent.<br />

Si vous souhaitez exercer ce droit et obtenir communication des informations vous concernant, veuillez <?php echo link_to('nous contacter', 'main/contact') ?>.

