<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 *

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * template qui sert a afficher le formulaire de recuperation de mot de passe

 *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: oubliMotPasseSuccess.php 381 2010-08-26 09:18:49Z hlecorche $

 */





use_helper('ecFormulaire');

?>



<div class="titre_rubrique">

MOT DE PASSE OUBLIE

</div>

<?php if($form->hasGlobalErrors())://si il y a une erreur globale ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>





<?php if ($sf_user->hasFlash('main_oubliMP_error')): //si le message flash d'erreur existe?>

			<?php echo Util::MessageInfo($sf_user->getFlash('main_oubliMP_error'),'error');//on l'affiche ?>

			<?php include_partial('formOubliMotPasse',array('form'=>$form))//on affiche le formulaire?>

			

<?php elseif ($sf_user->hasFlash('main_oubliMP_ok')==null): //sinon si le messge flash ok n'existe pas?>

			<?php include_partial('formOubliMotPasse',array('form'=>$form))//on affiche le formulaire?>

			

<?php elseif($sf_user->hasFlash('main_oubliMP_ok')): //sinon si le message flash ok existe ?>

			<?php echo Util::MessageInfo($sf_user->getFlash('main_oubliMP_ok'),'ok');//on l'affiche mais sans afficher le formulaire ?>



<?php endif; ?>			





			







