<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire de modification du profil, partie amis

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _amis.php 350 2010-08-13 09:06:41Z hlecorche $ 

 */



use_helper('ecomliste');

?>



<?php if ($sf_user->hasFlash('edit_profil_amis_ok')): ?>

		<?php echo Util::MessageInfo($sf_user->getFlash('edit_profil_amis_ok'), 'ok'); ?>

		<br /><br />

<?php endif;?>



<b><u>Vos amis</u> :</b>

<?php if($liste_amis_pager->getNbResults() == 0): ?>

	<br />Vous n'avez pas d'ami.

<?php else: ?>

	

	<?php echo affiche_pagination($liste_amis_pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'membres/ajaxListeAmisPrive?page_amis=', array('update' => 'Amis')) ?>

	

	<ul>

	<?php foreach($liste_amis_pager->getResults() as $ami): ?>

			<li>

				<?php echo link_to($ami->getPseudo(), 'membres/profil?id='.$ami->getId()) ?>&nbsp;&nbsp;&nbsp;

				<?php echo link_to('[Supprimer]', 'membres/deleteAmi?id='.$ami->getId(),

									array('confirm' => 'Voulez-vous vraiment supprimer cet ami?',

										  'method' => 'post')) ?>

			</li>

	<?php endforeach; ?>

	</ul>



<?php endif; ?>









<br /><br /><br />

<b><u>Vos êtes leur ami(e)</u> :</b>

<?php if($liste_est_ami_pager->getNbResults() == 0): ?>

	<br />Vous n'avez pas d'ami.

<?php else: ?>

	

	<?php echo affiche_pagination($liste_est_ami_pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'membres/ajaxListeAmisPrive?page_est_ami=', array('update' => 'Amis')) ?>

	<ul>

	<?php foreach($liste_est_ami_pager->getResults() as $ami): ?>

			<li><?php echo link_to($ami->getPseudo(), 'membres/profil?id='.$ami->getId()) ?></li>

	<?php endforeach; ?>

	</ul>



<?php endif; ?>