<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Profil publique - Onglet infos generales

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _infos.php 353 2010-08-13 10:01:31Z hlecorche $ 

 */





?>

<span class="texte_gras texte_moyen"><?php echo $membre->getPseudo() ?></span><br />



<!-- Colonne gauche (photo + liens) -->

<div style="float: left; display: inline; width: 210px;">

	<a href="<?php echo Util::getUrlImage($dossier.'/'.$membre->getFichierImageProfil())?>" class="thickbox" rel="gallery-public-profil">

	<?php echo image_tag(Util::getUrlImage($dossier.'/'.$membre->getFichierImageProfil(), 200),

						 array('alt' => 'image profil',

						 	   'style' => 'border: 2px; border-color: white; border-style: solid;')	)  ?>

	</a>

	<?php if($can_submit_message): ?>

		<?php echo link_to('Lui envoyer un message', 'messagerie/ecrire?id='.$membre->getId(), 

						array('class' => 'texte_gras texte_moyen')) ?> <br />

	<?php endif; ?>

	

	<?php if($can_add_friend): ?>

		<?php echo link_to('L\'ajouter à mes amis', 'membres/ajouterAmi?id='.$membre->getId(), 

						array('class' => 'texte_gras texte_moyen',

								'method' => 'post')) ?> <br />

	<?php endif; ?>

</div>







<!--  Colonne centrale (infos) -->

<div style="float: left; display: inline; width: 220px;">

	<table border="0">

		<tr>

			<td class="texte_rose texte_gras" width="87">Sexe :</td>

			<td width="123"><b><?php echo ($membre->getSexe() == 1)? 'Masculin' : 'Féminin' ?></b></td>

		</tr>

		<tr>

			<td class="texte_rose texte_gras">Prénom :</td>

			<td><b><?php echo ucfirst(strtolower($membre->getPrenom())) ?></b></td>

		</tr>

		<tr>

			<td class="texte_rose texte_gras">Age :</td>

			<td><b><?php echo floor((time() - Util::dateToTime($membre->getDateNaissance())) / 31536000) ?> ans (<?php echo format_date($membre->getDateNaissance(), 'dd/MM/yyyy') ?>)</b></td>

		</tr>

		<tr>

			<td class="texte_rose texte_gras">Signe astral :</td>

			<td><?php echo ucfirst(strtolower($membre->getSigneAstrologique())) ?></td>

		</tr>

		<tr>

			<td class="texte_rose texte_gras">Signe chinois :</td>

			<td><?php echo ucfirst(strtolower($membre->getSigneChinois()))?></td>

		</tr>

		<tr>

			<td class="texte_rose texte_gras">Statut :</td>

			<td><b><?php echo ucfirst(strtolower($membre->getFonction()->getNom())) ?></b></td>

		</tr>

		<tr>

			<td class="texte_rose texte_gras">Ville :</td>

			<td><b><?php echo ucfirst(strtolower($membre->getVille())) ?></b></td>

		</tr>

		<tr>

			<td class="texte_rose texte_gras">Code postal :</td>

			<td><?php echo $membre->getCodePostal() ?></td>

		</tr>

		<tr>

			<td class="texte_rose texte_gras">Civlité :</td>

			<td><?php echo (is_null($membre->getCiviliteId()))? '' : ucfirst(strtolower($membre->getCivilite()->getNom())) ?></td>

		</tr>

		<tr>

			<td class="texte_rose texte_gras">Fumeur :</td>

			<td><?php if($membre->getFume() === '1'): echo 'Oui'; elseif($membre->getFume() === '0'): echo 'Non'; endif; ?></td>

		</tr>

		<tr>

			<td class="texte_rose texte_gras">Enfants :</td>

			<td><?php if($membre->getEnfants() === '1'): echo 'Oui'; elseif($membre->getEnfants() === '0'): echo 'Non'; endif; ?></td>

		</tr>

		<?php $site_web=$membre->getSiteWeb();?>

		<?php if(!empty($site_web)):?>

		<tr>

			<td class="texte_rose texte_gras">Site web :</td>

			<td><a href="http://<?php echo str_replace('http://', '', $site_web)?>" style = "font-weight: bold;" ><?php echo str_replace('http://', '', $site_web)?></a></td>

		</tr>

		<?php endif;?>

	</table>



</div>



<!-- Colonne droite (photos) -->

<div style="float: left; display: inline; width: 70px; margin-left: 60px;">

	<?php for($i=1; $i<=3; $i++): ?>

	<?php $fonction = 'getImg_'.$i; ?>

	<?php if($membre->$fonction() != ''): ?>

		<a href="<?php echo Util::getUrlImage($dossier.'/'.$membre->$fonction())?>" class="thickbox" rel="gallery-public-profil">

			<?php echo image_tag(Util::getUrlImage($dossier.'/'.$membre->$fonction(), 200),

						 array('alt' => 'image profil',

						 	   'width' => 60,

						 		'style' => 'border: 1px; border-color: white; border-style: solid;'))  ?>

		</a>

		<br /><br />

	<?php endif;?>

	<?php endfor;?>

</div>







<div style="clear: both;"></div>





<br />

<?php echo $membre->getAnnonce() ?>

<br /><br /><br />

