<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 *

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche le profil d'une personne

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: editProfilSuccess.php 425 2010-09-27 08:51:05Z hlecorche $

 */

use_helper('Date');

jq_add_plugin_ui();

 ?>

 

 <?php echo image_tag('titres/profil_utilisateur.jpg', array('alt' => 'Profil utilisateur'))?><br />

 Profil de <?php echo $membre->getPseudo() ?> inscrit<?php echo ($membre->getSexe() == 1)? '' : 'e'?> 

 depuis le <?php echo format_date($membre->getCreatedAt(), 'dd/MM/yyyy')?> 

 - Dernière visite le: <?php echo format_date($membre->getDerniereRequete(), 'dd/MM/yyyy')?> 

 - <?php echo link_to('Voir mon profil public', 'membres/profil?id='.$membre->getId(), array('class' => 'texte_orange')) ?>

 <br /><br />

 <div class="hr"></div><br />





<script type="text/javascript">

	$(function() {

		$("#tabs").tabs({ selected: <?php echo $tab ?> });

	});

</script>





<div id="tabs">

<ul>

		<li><a href="#tabs-1">Infos</a></li>

		<li><a href="#tabs-2">Images profil</a></li>

		<li><a href="#tabs-3">Galerie photos</a></li>

		<li><a href="<?php echo url_for('membres/ajaxListeAmisPrive') ?>" title="Amis">Amis</a></li>

		<li><a href="#tabs-5">E-mail</a></li>

		<li><a href="#tabs-6">Reportages</a></li>

</ul>





<div id="tabs-1">

 	<?php include_partial('membres/profilPrive/_infos', array('form' => $form_infos)) ?>

</div>





<div id="tabs-2">

 	<?php include_partial('membres/profilPrive/_images', array('form' => $form_images,

 															   'dossier' => $dossier_membres,

 															   'membre' => $membre)) ?>

</div>



<div id="tabs-3">

	<?php include_partial('membres/profilPrive/_galerie', array('liste_images_galerie' => $liste_images_galerie)) ?>

</div>



<div id="tabs-5">

	<?php include_partial('membres/profilPrive/_email',array('form_email' => $form_email,

															'abonne' => $abonne,

															'mail' => $mail)) ?>

</div>



<div id="tabs-6">

	<?php include_partial('membres/profilPrive/_reportagesInscrits',array('membre' => $membre)) ?>

</div>



</div>



