<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 *

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * template qui affiche la liste des membres

 *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: listeSuccess.php 381 2010-08-26 09:18:49Z hlecorche $

 */



use_helper('ecomliste') ?>

<?php use_helper('Date') ?>

<?php use_helper('ecFormulaire') ?>

<?php use_helper('Text') ?>

<?php echo image_tag('titres/recherche_membres.jpg', array('align' =>'middle', 'alt'=> 'membres')) ?>



<div class="hr"></div>



<?php

//Formulaire de tri de recherche

echo form_tag($url_page);



echo ec_select_form('fonction', $liste_fonctions, $selected_fonctions, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';



echo ec_select_form('sexe', $liste_sexe, $selected_sexe, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';



echo ec_select_form('tri', $liste_tri, $selected_tri, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));



echo ec_select_form('ordre', $liste_ordre, $selected_ordre, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';



echo ec_select_form('photo', $liste_photo, $selected_photo, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));



echo '&nbsp; Nombre par page: ';

echo ec_select_form('nombre_pages', $liste_nombre_pages, $selected_nombre_pages, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

?>

</form>

<div class="hr"></div>



<?php echo $pager->getNbResults() ?>

 membres trouvés

<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png',

 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 

 'icones/16/resultset_next.png', 2, 2, 'membres/liste?page=') ?>

<br />



<?php $chariot = 0;

echo ec_init_list($chariot, array('cellpadding' => '3', 'cellspacing' => '10'));

?>



<?php foreach ($pager->getResults() as $membre): ?>

	

	<?php echo ec_list_open_element($chariot, 2, array('class' => 'cadre_noir','style' => 'width: 296px; vertical-align: top;'))?>

		

	<div style="float: left; margin-right: 4px;">

	<?php echo link_to(image_tag(Util::getUrlImage($dossier_images.$membre

	->getFichierImageProfil(), 85, 85, null, true),array('alt'=> 'img_profile_'.$membre->getId(),

										  'style' => 'border-color: #443B40; border-width: 1px; border-style: solid;')),

	'membres/profil?id='.$membre->getId())?>

	</div>

	<div style="float: left;">

	<span class="texte_orange texte_moyen"><?php echo $membre->getPseudo() ?></span><br />

	Sexe : <span><?php echo $liste_sexe[$membre->getSexe()] ?></span><br />

	Prénom : <span><?php echo $membre->getPrenom() ?></span><br />

	Age : <span><?php echo floor((time() - Util::dateToTime($membre

	->getDateNaissance())) / 31536000) ?> ans </span><br />

	Ville : <span><?php echo $membre->getVille() ?></span><br />

	C P : <span><?php echo $membre->getCodePostal() ?></span><br />

	Inscrit le : <span><?php echo format_date($membre->getCreatedAt(),'dd/MM/yyyy') ?></span><br />

	</div>

	

	

	<div style="clear: both;"></div>

	<?php echo ec_list_close_element($chariot, 2) ?>

	

<?php endforeach; ?>



<?php echo ec_list_close($chariot, 2) ?>