<?php
/**
 * This file is part of "AnnecyByNight"
 * Copyright (c) 2009 Hubert LECORCHE
 * 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */


/**
 * Partial qui affiche les actions d'une photo
 *
 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>
 * @version    SVN: $Id: actionsVideo.php 381 2010-08-26 09:18:49Z hlecorche $ 
 */


use_helper('ecFormulaire');
use_helper('ecprofil');
?>

		 
 						 
<br /> 	<br /> 						 
<div class="cadre" style="width: 620px; margin: auto;">
<?php echo count($liste_commentaires) ?> commentaire(s)
 
<!-- Formulaire d'ajout de commentaire -->
<?php if ($sf_user->hasFlash('reportages_add_comment_ok')): ?>
		<?php echo Util::MessageInfo($sf_user->getFlash('reportages_add_comment_ok'), 'ok'); ?>
<?php endif;?>
<?php if ($sf_user->hasFlash('reportages_add_comment_error')): ?>
		<?php echo Util::MessageInfo($sf_user->getFlash('reportages_add_comment_error'), 'error'); ?>
<?php endif;?>


<?php echo jq_form_remote_tag(array('url' => 'reportages/AjaxAjouterCommentaire?id='.$media->getId(),
									'update' => 'actions_reportage')) ?>

<?php if($form_comment->hasGlobalErrors()): ?>
	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>
<?php endif; ?>


<?php echo $form_comment->renderHiddenFields() ?>

<table border="0">
<tr style="vertical-align: bottom;">
	<td><?php echo label('Message', true) ?> :</td>
	<td><?php echo AfficheErreur($form_comment['message']); echo $form_comment['message']->render() ?></td>
	<td><input type="submit" value="Ajouter" class="button" /></td>
</tr>
</table>
</form>




<!-- Liste des commentaires -->
<br /><br />
<?php if(count($liste_commentaires) > 0): ?>
<table width="100%" cellspacing="0">
	<thead>
		<tr background="<?php echo image_path('bg_titre_300px_sombre.jpg')?>" style="background-repeat: repeat-y;">
			<td>Messages</td>
		</tr>
	</thead>
	<tbody>
		<?php foreach($liste_commentaires as $commentaire): ?>
		<tr>
			<td><?php echo afficheProfilVollant($commentaire->getMembre()) ?> : <?php echo $commentaire->getMessage() ?></td>
		</tr>
		<?php endforeach; ?>
	</tbody>
</table>
<?php endif; ?>

</div>