<?php
/**
 * This file is part of "AnnecyByNight"
 * Copyright (c) 2009 Hubert LECORCHE
 * 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */


/**
 * Partial, appelé par de l'ajax
 * qui affiche une video (affiche dans le div #contenu_reportage )
 *
 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>
 * @version    SVN: $Id: zoomVideo.php 54 2009-07-12 12:57:51Z hlecorche $ 
 */

$reportage = $media->getReportage();
$media_id_precedent = $media->getMediaIdPrecedent();
$media_id_suivant = $media->getMediaIdSuivant();

?>


<br />
<table>
<tr>
	<td width="500">
		<?php echo jq_button_to_remote('Retour reportage', 
										array('url' => 'reportages/ajaxZoomReportage?id='.$media->getReportage()->getId().'&page='.$page_liste,
											  'update' => 'contenu_reportage',
									   		  'loading' => 'begin_ajax_reportage();',
									  		  'complete' => 'end_ajax_reportage();'),
										array('class' => 'button')) ?>
		
		<?php if(!empty($media_id_precedent)): ?>
			<?php echo jq_button_to_remote('&lt;&lt;', 
											array('url' => 'reportages/ajaxZoomMedia?id='.$media_id_precedent,
												  'update' => 'contenu_reportage',
										   		  'loading' => 'begin_ajax_reportage();',
										  		  'complete' => 'end_ajax_reportage();'),
											array('class' => 'button')) ?>
		<?php endif;?>
		
		
		<?php if(!empty($media_id_suivant)): ?>
			<?php echo jq_button_to_remote('&gt;&gt;', 
											array('url' => 'reportages/ajaxZoomMedia?id='.$media_id_suivant,
												  'update' => 'contenu_reportage',
										   		  'loading' => 'begin_ajax_reportage();',
										  		  'complete' => 'end_ajax_reportage();'),
											array('class' => 'button')) ?>
		<?php endif;?>
		
		
	</td>
	<td><?php echo $media->getPositionMedia() ?> sur  <?php echo $media->getNombreMedias() ?>  photos</td>
</tr>
</table>
<br />

<div class="cadre" style="width: 620px; text-align: center;">
<object type="application/x-shockwave-flash" data="<?php echo _compute_public_path('player_flv_multi.swf', 'objects', 'swf')?>" width="600" height="450">

   <param name="WMODE" value="Transparent" />
    <param name="movie" value="<?php echo _compute_public_path('player_flv_multi.swf', 'objects', 'swf')?>?a=<?php echo time()?>" />

    <param name="allowFullScreen" value="true" />
    <?php $file = str_replace(':', '%3A', sfConfig::get('app_url_portail')).'/'.$reportage->getPathDossier().'/'.$media->getNomFichier(); ?>
    <param name="FlashVars" value="flv=<?php echo $file?>&amp;title=movie&amp;width=600&amp;height=450&amp;autoplay=0&amp;autoload=0&amp;shuffle=1&amp;volume=100&amp;showvolume=1&amp;showfullscreen=1" />
</object>


</div>
<br />



<!-- Actions -->
<div id="actions_reportage">
<?php include_partial('reportages/ajax/actionsVideo', array('media' => $media,
															'liste_commentaires' => $liste_commentaires,
															'form_comment' => $form_comment))?>
 </div>