<?php
/**
 * This file is part of "AnnecyByNight"
 * Copyright (c) 2009 Hubert LECORCHE
 * 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */


/**
 * Formulaire d'envoi d'ecard
 *
 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>
 * @version    SVN: $Id: createEcardSuccess.php 381 2010-08-26 09:18:49Z hlecorche $ 
 */


use_helper('ecFormulaire');
use_helper('sfCryptoCaptcha');
?>
<?php echo image_tag('titres/reportages.jpg', array('align' =>'middle', 'alt'=> 'reportages')) ?><br />
Envoyer une Ecard

<div class="hr"></div>
<br />

<?php echo image_tag(Util::getUrlImage($reportage->getPathDossier().'/'.$media->getNomFichier(), 500),
				array('alt' => 'Image', 
					  'class' => 'cadre')	
				) ?>
				
<br /><br />

<?php echo form_tag('reportages/createEcard?id='.$media->getId()) ?>

<?php if($form->hasGlobalErrors()): ?>
	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>
<?php endif; ?>

<?php echo $form->renderHiddenFields() ?>

<table width="610" border="0">


<tr>
	<td><?php echo label('E-mail destinataire', true) ?> :</td>
	<td><?php echo AfficheErreur($form['email']); echo $form['email']->render() ?></td>
</tr>

<tr>
	<td><?php echo label('Objet', true) ?> :</td>
	<td><?php echo AfficheErreur($form['objet']); echo $form['objet']->render() ?></td>
</tr>

<tr>
	<td><?php echo label('Texte', true) ?> :</td>
	<td><?php echo AfficheErreur($form['message']); echo $form['message']->render() ?></td>
</tr>

<tr>
	<td></td>
	<td>
		<?php echo AfficheErreur($form['email_client']); echo $form['email_client']->render() ?> Insérer mon email en réponse
	</td>
</tr>

<tr>
	<td><?php echo label('Code de vérification', true) ?> :</td>
	<td><?php echo AfficheErreur($form['captcha']); echo captcha_image(); echo captcha_reload_button();?> <br /> <?php echo $form['captcha']->render() ?></td>
</tr>

<tr>
	<td></td>
	<td><input type="submit" value="Envoyer" class="button" /></td>
</tr>
</table>


</form>