<?php
/**
 * This file is part of "AnnecyByNight"
 * Copyright (c) 2009 Hubert LECORCHE
 * 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */


/**
 * Template qui permet d'afficher une ecard
 *
 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>
 * @version    SVN: $Id: zoomEcardSuccess.php 79 2009-07-16 09:40:48Z hlecorche $ 
 */

use_helper('Date');
use_helper('Text');

?>

<?php echo image_tag('titres/reportages.jpg', array('align' =>'middle', 'alt'=> 'reportages')) ?><br />
Regarder une Ecard

<div class="hr"></div>
<br />

<?php echo image_tag(Util::getUrlImage($reportage->getPathDossier().'/'.$media->getNomFichier(), 500),
				array('alt' => 'Image', 
					  'class' => 'cadre')	
				) ?>

<br />
<?php echo link_to('Les reportages &gt;', 'reportages/listeReportages?media=photos', array('class' => 'texte_vert')) ?>
&nbsp;&nbsp;
<?php echo link_to($reportage->getLieu()->getType()->getNom().' &gt;', 'reportages/listeReportages?media=photos&categorie='.$reportage->getLieu()->getTypeId(), array('class' => 'texte_orange', 'style' => 'font-weight: bold;')) ?>
&nbsp;&nbsp;
<?php echo format_date($reportage->getDate(), 'dd/MM/yyyy') ?> 
&nbsp;
<?php echo truncate_text($reportage->getLieu()->getNom(),11 )?>
<br /><br />



<div class="cadre">
	<div class="titre_moyen">Le message</div>
	
	<b>Expéditeur: </b><?php echo ucfirst(strtolower($ecard->getMembre()->getPrenom())) ?>  (<?php echo ucfirst(strtolower($ecard->getMembre()->getPseudo())) ?>) <br />
	<b>Envoyé le:</b> <?php echo format_date($ecard->getCreatedAt(), 'dd/MM/yyyy')?><br />
	<b>Objet: </b> <?php echo $ecard->getObjet() ?><br />
	<b>Message: </b> <?php echo $ecard->getMessage() ?>
</div>