<?php use_helper('ecomliste') ?>
<?php use_helper('Date') ?>
<?php use_helper('ecFormulaire') ?>
<?php use_helper('Text') ?>


<div class="titre_rubrique">
LES REPORTAGES <br />
<span>Annecy By Night vous propose sa selection de reportages...</span>
</div>
<br />

<?php 
//Formulaire de tri de recherche
echo form_tag($url_page);

//On affiche les categories
echo '<span style="color: #ff9900;">'.count($liste_categories).' catégories : </span>';
echo ec_select_form('categorie', $liste_categories, $selected_categorie, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';

echo ec_select_form('tri', $liste_tri, $selected_tri, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';
echo ec_select_form('ordre', $liste_ordre, $selected_ordre, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));
echo '&nbsp; Nombre par page: ';
echo ec_select_form('nombre_pages', $liste_nombre_pages, $selected_nombre_pages, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));
?>
</form>
<div class="hr"></div>

<?php echo $pager->getNbResults() ?> reportages trouvés
<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, $url_page."&page=") ?> <br />

<?php $chariot = 0; 
echo ec_init_list($chariot, array('class' => 'tableau_noir_cadre', 'width' => '100%'));
?>

<?php foreach ($pager->getResults() as $reportage): ?>
		<?php echo ec_list_open_element($chariot, 3, array('style' => 'width: 33%; padding: 5px;')) ?>
				
				<div style="width: 130px; margin: auto;">
				<?php if($reportage->getIsReportageVideo()): ?>
					<?php echo link_to(image_tag('divers/video.jpg', array('title' => $reportage->getTitre(), 
																			'alt'=> $reportage->getTitre(), 
																			'width' => '130', 'height' => '90',
																			'style' => 'margin-bottom: 5px; border-color: #ffffff; border-width: 1px; border-style: solid;')),
										'reportages/zoom?id='.$reportage->getId()) ?>

				<?php else:?>
					<?php echo jq_double_images($reportage->getPathDossier().'/'.$reportage->getImage_1(),
										$reportage->getPathDossier().'/'.$reportage->getImage_2(),
										130, 90, $reportage->getTitre(), $reportage->getTitre(),
										url_for('reportages/zoom?id='.$reportage->getId()),
										array('style' => 'margin-bottom: 5px; border-color: #ffffff; border-width: 1px; border-style: solid;')) ?>
		
				<?php endif;?>
								
				
				<?php echo link_to(truncate_text($reportage->getTitre(), 18), 'reportages/zoom?id='.$reportage->getId(), array('class' => 'texte_rose texte_moyen')) ?><br />
				<span class="texte_moyen"><?php echo substr(format_date($reportage->getDate(), 'dddd', 'fr'), 0, 3) ?> <?php echo format_date($reportage->getDate(), 'dd.MM.yyyy', 'fr') ?></span><br />
				<span class="texte_moyen"><?php echo truncate_text($reportage->getLieu()->getNom(), 15) ?></span>
				</div>

		<?php echo ec_list_close_element($chariot, 3) ?>
	
<?php endforeach; ?>
<?php echo ec_list_close($chariot, 3) ?>