<?php

/**
 * VideoCategorie form.
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: VideoCategorieForm.class.php 430 2010-09-27 13:41:54Z hlecorche $
 */
class VideoCategorieForm extends BaseVideoCategorieForm
{
	public function configure()
	{
		$class = 'fields';
		
		$this->useFields(array('nom'));
		
		//Widget Nom
		$this->setWidget('nom', new sfWidgetFormInputText(array(), array('size' => '50',
																	 'class' => $class)));
		$this->setValidator('nom', new sfValidatorString(array('max_length' => 255,
															   'min_length' => 3,
															   'required' => true,
															   'trim' => true),
														 array('max_length' => '%max_length% caractères maxi.',
														 	   'min_length' => '%min_length% caractères mini.',
														 	   'required' => 'Champ obligatoire')));
	}
}
