<?php

/**
 * Banniere form base class.
 *
 * @method Banniere getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseBanniereForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'          => new sfWidgetFormInputHidden(),
      'nom_fichier' => new sfWidgetFormInputText(),
      'type'        => new sfWidgetFormInputText(),
      'date_debut'  => new sfWidgetFormDate(),
      'date_fin'    => new sfWidgetFormDate(),
    ));

    $this->setValidators(array(
      'id'          => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'nom_fichier' => new sfValidatorString(array('max_length' => 30)),
      'type'        => new sfValidatorString(array('max_length' => 2)),
      'date_debut'  => new sfValidatorDate(),
      'date_fin'    => new sfValidatorDate(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('banniere[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Banniere';
  }

}
