<?php

/**
 * Censure form base class.
 *
 * @method Censure getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseCensureForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'           => new sfWidgetFormInputHidden(),
      'mot'          => new sfWidgetFormInputText(),
      'remplacement' => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'           => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'mot'          => new sfValidatorString(array('max_length' => 100)),
      'remplacement' => new sfValidatorString(array('max_length' => 100)),
    ));

    $this->widgetSchema->setNameFormat('censure[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Censure';
  }

}
