<?php

/**
 * EvenementInscription form base class.
 *
 * @method EvenementInscription getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseEvenementInscriptionForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'           => new sfWidgetFormInputHidden(),
      'evenement_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Evenement'), 'add_empty' => false)),
      'membre_id'    => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'), 'add_empty' => false)),
      'va'           => new sfWidgetFormInputText(),
      'message'      => new sfWidgetFormInputText(),
      'created_at'   => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'           => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'evenement_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Evenement'))),
      'membre_id'    => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'))),
      'va'           => new sfValidatorInteger(),
      'message'      => new sfValidatorString(array('max_length' => 255)),
      'created_at'   => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('evenement_inscription[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'EvenementInscription';
  }

}
