<?php

/**
 * GalerieArts form base class.
 *
 * @method GalerieArts getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseGalerieArtsForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                        => new sfWidgetFormInputHidden(),
      'is_galerie_video'          => new sfWidgetFormInputText(),
      'nom'                       => new sfWidgetFormInputText(),
      'galerie_arts_categorie_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('GalerieArtsCategorie'), 'add_empty' => false)),
      'path_dossier'              => new sfWidgetFormInputText(),
      'email'                     => new sfWidgetFormInputText(),
      'description'               => new sfWidgetFormTextarea(),
      'active'                    => new sfWidgetFormInputText(),
      'url_site'                  => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'                        => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'is_galerie_video'          => new sfValidatorInteger(),
      'nom'                       => new sfValidatorString(array('max_length' => 50)),
      'galerie_arts_categorie_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('GalerieArtsCategorie'))),
      'path_dossier'              => new sfValidatorString(array('max_length' => 80)),
      'email'                     => new sfValidatorString(array('max_length' => 100)),
      'description'               => new sfValidatorString(array('max_length' => 2147483647)),
      'active'                    => new sfValidatorInteger(array('required' => false)),
      'url_site'                  => new sfValidatorString(array('max_length' => 255, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('galerie_arts[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'GalerieArts';
  }

}
