<?php

/**
 * LieuAdmin form base class.
 *
 * @method LieuAdmin getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseLieuAdminForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'lieu_id'   => new sfWidgetFormInputHidden(),
      'membre_id' => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'lieu_id'   => new sfValidatorChoice(array('choices' => array($this->getObject()->get('lieu_id')), 'empty_value' => $this->getObject()->get('lieu_id'), 'required' => false)),
      'membre_id' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('membre_id')), 'empty_value' => $this->getObject()->get('membre_id'), 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('lieu_admin[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'LieuAdmin';
  }

}
