<?php

/**
 * Lieu form base class.
 *
 * @method Lieu getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseLieuForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                   => new sfWidgetFormInputHidden(),
      'type_id'              => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Type'), 'add_empty' => false)),
      'active'               => new sfWidgetFormInputText(),
      'active_index'         => new sfWidgetFormInputText(),
      'nom'                  => new sfWidgetFormInputText(),
      'adresse'              => new sfWidgetFormInputText(),
      'code_postal'          => new sfWidgetFormInputText(),
      'ville'                => new sfWidgetFormInputText(),
      'telephone'            => new sfWidgetFormInputText(),
      'fax'                  => new sfWidgetFormInputText(),
      'created_at'           => new sfWidgetFormDateTime(),
      'updated_at'           => new sfWidgetFormDateTime(),
      'horaires'             => new sfWidgetFormInputText(),
      'tarifs'               => new sfWidgetFormInputText(),
      'description'          => new sfWidgetFormTextarea(),
      'presentation'         => new sfWidgetFormTextarea(),
      'texte_metier_1'       => new sfWidgetFormTextarea(),
      'texte_metier_2'       => new sfWidgetFormTextarea(),
      'image_1'              => new sfWidgetFormInputText(),
      'lien'                 => new sfWidgetFormInputText(),
      'image_2'              => new sfWidgetFormInputText(),
      'texte_2'              => new sfWidgetFormTextarea(),
      'image_3'              => new sfWidgetFormInputText(),
      'texte_3'              => new sfWidgetFormTextarea(),
      'image_4'              => new sfWidgetFormInputText(),
      'texte_4'              => new sfWidgetFormTextarea(),
      'image_5'              => new sfWidgetFormInputText(),
      'texte_5'              => new sfWidgetFormTextarea(),
      'image_101'            => new sfWidgetFormTextarea(),
      'image_102'            => new sfWidgetFormTextarea(),
      'image_103'            => new sfWidgetFormTextarea(),
      'image_104'            => new sfWidgetFormTextarea(),
      'css'                  => new sfWidgetFormTextarea(),
      'label_metier_album_1' => new sfWidgetFormInputText(),
      'label_metier_album_2' => new sfWidgetFormInputText(),
      'label_metier_texte_1' => new sfWidgetFormInputText(),
      'label_metier_texte_2' => new sfWidgetFormInputText(),
      'admins_list'          => new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'Membre')),
    ));

    $this->setValidators(array(
      'id'                   => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'type_id'              => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Type'))),
      'active'               => new sfValidatorInteger(),
      'active_index'         => new sfValidatorInteger(),
      'nom'                  => new sfValidatorString(array('max_length' => 55)),
      'adresse'              => new sfValidatorString(array('max_length' => 255)),
      'code_postal'          => new sfValidatorString(array('max_length' => 55)),
      'ville'                => new sfValidatorString(array('max_length' => 55)),
      'telephone'            => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'fax'                  => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'created_at'           => new sfValidatorDateTime(),
      'updated_at'           => new sfValidatorDateTime(),
      'horaires'             => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'tarifs'               => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'description'          => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'presentation'         => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'texte_metier_1'       => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'texte_metier_2'       => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'image_1'              => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'lien'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'image_2'              => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'texte_2'              => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'image_3'              => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'texte_3'              => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'image_4'              => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'texte_4'              => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'image_5'              => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'texte_5'              => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'image_101'            => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'image_102'            => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'image_103'            => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'image_104'            => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'css'                  => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'label_metier_album_1' => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'label_metier_album_2' => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'label_metier_texte_1' => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'label_metier_texte_2' => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'admins_list'          => new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Membre', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('lieu[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Lieu';
  }

  public function updateDefaultsFromObject()
  {
    parent::updateDefaultsFromObject();

    if (isset($this->widgetSchema['admins_list']))
    {
      $this->setDefault('admins_list', $this->object->Admins->getPrimaryKeys());
    }

  }

  protected function doSave($con = null)
  {
    $this->saveAdminsList($con);

    parent::doSave($con);
  }

  public function saveAdminsList($con = null)
  {
    if (!$this->isValid())
    {
      throw $this->getErrorSchema();
    }

    if (!isset($this->widgetSchema['admins_list']))
    {
      // somebody has unset this widget
      return;
    }

    if (null === $con)
    {
      $con = $this->getConnection();
    }

    $existing = $this->object->Admins->getPrimaryKeys();
    $values = $this->getValue('admins_list');
    if (!is_array($values))
    {
      $values = array();
    }

    $unlink = array_diff($existing, $values);
    if (count($unlink))
    {
      $this->object->unlink('Admins', array_values($unlink));
    }

    $link = array_diff($values, $existing);
    if (count($link))
    {
      $this->object->link('Admins', array_values($link));
    }
  }

}
