<?php

/**
 * MembreAlbumMedia form base class.
 *
 * @method MembreAlbumMedia getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseMembreAlbumMediaForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(),
      'titre'           => new sfWidgetFormInputText(),
      'membre_album_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('MembreAlbum'), 'add_empty' => false)),
      'url'             => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'titre'           => new sfValidatorString(array('max_length' => 255)),
      'membre_album_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('MembreAlbum'))),
      'url'             => new sfValidatorString(array('max_length' => 255)),
    ));

    $this->widgetSchema->setNameFormat('membre_album_media[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'MembreAlbumMedia';
  }

}
