<?php

/**
 * MembreAmis form base class.
 *
 * @method MembreAmis getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseMembreAmisForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'membre_id'     => new sfWidgetFormInputHidden(),
      'ami_membre_id' => new sfWidgetFormInputHidden(),
      'created_at'    => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'membre_id'     => new sfValidatorChoice(array('choices' => array($this->getObject()->get('membre_id')), 'empty_value' => $this->getObject()->get('membre_id'), 'required' => false)),
      'ami_membre_id' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('ami_membre_id')), 'empty_value' => $this->getObject()->get('ami_membre_id'), 'required' => false)),
      'created_at'    => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('membre_amis[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'MembreAmis';
  }

}
