<?php

/**
 * MembreGuestbook form base class.
 *
 * @method MembreGuestbook getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseMembreGuestbookForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                => new sfWidgetFormInputHidden(),
      'membre_id'         => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'), 'add_empty' => false)),
      'posteur_membre_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('PosteurMembre'), 'add_empty' => false)),
      'message'           => new sfWidgetFormInputText(),
      'created_at'        => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'                => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'membre_id'         => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'))),
      'posteur_membre_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('PosteurMembre'))),
      'message'           => new sfValidatorString(array('max_length' => 255)),
      'created_at'        => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('membre_guestbook[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'MembreGuestbook';
  }

}
