<?php

/**
 * Message form base class.
 *
 * @method Message getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseMessageForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                     => new sfWidgetFormInputHidden(),
      'titre'                  => new sfWidgetFormInputText(),
      'message'                => new sfWidgetFormTextarea(),
      'lu'                     => new sfWidgetFormInputText(),
      'expediteur_membre_id'   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('ExpediteurMembre'), 'add_empty' => false)),
      'destinataire_membre_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('DestinataireMembre'), 'add_empty' => false)),
      'created_at'             => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'                     => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'titre'                  => new sfValidatorString(array('max_length' => 60)),
      'message'                => new sfValidatorString(array('max_length' => 2147483647)),
      'lu'                     => new sfValidatorInteger(array('required' => false)),
      'expediteur_membre_id'   => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('ExpediteurMembre'))),
      'destinataire_membre_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('DestinataireMembre'))),
      'created_at'             => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('message[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Message';
  }

}
