<?php

/**
 * NewsletterContenu form base class.
 *
 * @method NewsletterContenu getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseNewsletterContenuForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'texte'      => new sfWidgetFormTextarea(),
      'envoye'     => new sfWidgetFormInputText(),
      'brouillon'  => new sfWidgetFormInputText(),
      'membre_id'  => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'), 'add_empty' => false)),
      'adresses'   => new sfWidgetFormTextarea(),
      'created_at' => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'texte'      => new sfValidatorString(array('max_length' => 2147483647)),
      'envoye'     => new sfValidatorInteger(array('required' => false)),
      'brouillon'  => new sfValidatorInteger(array('required' => false)),
      'membre_id'  => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'))),
      'adresses'   => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'created_at' => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('newsletter_contenu[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'NewsletterContenu';
  }

}
