<?php

/**
 * Partenaire form base class.
 *
 * @method Partenaire getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BasePartenaireForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'        => new sfWidgetFormInputHidden(),
      'url_lien'  => new sfWidgetFormInputText(),
      'url_image' => new sfWidgetFormInputText(),
      'active'    => new sfWidgetFormInputText(),
      'priorite'  => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'        => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'url_lien'  => new sfValidatorString(array('max_length' => 255)),
      'url_image' => new sfValidatorString(array('max_length' => 255)),
      'active'    => new sfValidatorInteger(),
      'priorite'  => new sfValidatorInteger(),
    ));

    $this->widgetSchema->setNameFormat('partenaire[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Partenaire';
  }

}
