<?php

/**
 * ReportageComment form base class.
 *
 * @method ReportageComment getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseReportageCommentForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                 => new sfWidgetFormInputHidden(),
      'reportage_media_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('ReportageMedia'), 'add_empty' => false)),
      'membre_id'          => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'), 'add_empty' => false)),
      'message'            => new sfWidgetFormInputText(),
      'created_at'         => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'                 => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'reportage_media_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('ReportageMedia'))),
      'membre_id'          => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'))),
      'message'            => new sfValidatorString(array('max_length' => 255)),
      'created_at'         => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('reportage_comment[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'ReportageComment';
  }

}
