<?php

/**
 * ReportageEcard form base class.
 *
 * @method ReportageEcard getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseReportageEcardForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                 => new sfWidgetFormInputHidden(),
      'membre_id'          => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'), 'add_empty' => false)),
      'reportage_media_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('ReportageMedia'), 'add_empty' => false)),
      'email'              => new sfWidgetFormInputText(),
      'objet'              => new sfWidgetFormInputText(),
      'message'            => new sfWidgetFormTextarea(),
      'code_visualisation' => new sfWidgetFormInputText(),
      'created_at'         => new sfWidgetFormDateTime(),
      'lu'                 => new sfWidgetFormInputText(),
      'email_reply'        => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'                 => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'membre_id'          => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'))),
      'reportage_media_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('ReportageMedia'))),
      'email'              => new sfValidatorString(array('max_length' => 255)),
      'objet'              => new sfValidatorString(array('max_length' => 255)),
      'message'            => new sfValidatorString(array('max_length' => 2147483647)),
      'code_visualisation' => new sfValidatorString(array('max_length' => 55)),
      'created_at'         => new sfValidatorDateTime(),
      'lu'                 => new sfValidatorInteger(array('required' => false)),
      'email_reply'        => new sfValidatorString(array('max_length' => 255, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('reportage_ecard[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'ReportageEcard';
  }

}
