<?php

/**
 * Saint form base class.
 *
 * @method Saint getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseSaintForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'jour'      => new sfWidgetFormInputHidden(),
      'fete'      => new sfWidgetFormTextarea(),
      'lever'     => new sfWidgetFormTime(),
      'coucher'   => new sfWidgetFormTime(),
      'jour_mois' => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'jour'      => new sfValidatorChoice(array('choices' => array($this->getObject()->get('jour')), 'empty_value' => $this->getObject()->get('jour'), 'required' => false)),
      'fete'      => new sfValidatorString(array('max_length' => 2147483647)),
      'lever'     => new sfValidatorTime(array('required' => false)),
      'coucher'   => new sfValidatorTime(array('required' => false)),
      'jour_mois' => new sfValidatorString(array('max_length' => 10)),
    ));

    $this->widgetSchema->setNameFormat('saint[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Saint';
  }

}
