<?php

/**
 * SondageReponseMembre form base class.
 *
 * @method SondageReponseMembre getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseSondageReponseMembreForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                 => new sfWidgetFormInputHidden(),
      'sondage_id'         => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Sondage'), 'add_empty' => false)),
      'sondage_reponse_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('SondageReponse'), 'add_empty' => false)),
      'ip'                 => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'                 => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'sondage_id'         => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Sondage'))),
      'sondage_reponse_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('SondageReponse'))),
      'ip'                 => new sfValidatorString(array('max_length' => 50)),
    ));

    $this->widgetSchema->setNameFormat('sondage_reponse_membre[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'SondageReponseMembre';
  }

}
