<?php

/**
 * Video form base class.
 *
 * @method Video getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseVideoForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                 => new sfWidgetFormInputHidden(),
      'titre'              => new sfWidgetFormInputText(),
      'video_categorie_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('VideoCategorie'), 'add_empty' => false)),
      'url'                => new sfWidgetFormInputText(),
      'active'             => new sfWidgetFormInputText(),
      'created_at'         => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'                 => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'titre'              => new sfValidatorString(array('max_length' => 255)),
      'video_categorie_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('VideoCategorie'))),
      'url'                => new sfValidatorString(array('max_length' => 255)),
      'active'             => new sfValidatorInteger(),
      'created_at'         => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('video[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Video';
  }

}
