<?php





class VideoCategorieTable extends Doctrine_Table

{

    
    public static function getInstance()
    {
        return Doctrine_Core::getTable('VideoCategorie');
    }

    

	/**

	 * Fonction qui retourne les noms des categories des videos

	 * @param Doctrine_Query $q

	 * @return Array

	 */

	public function getVideoCategoriesForm(Doctrine_Query $q = null)

	{

		if (is_null($q))

		{

			$q = Doctrine_Query::create()->from('VideoCategorie c');

		}

		$q->addOrderBy('c.nom ASC');

		$ret = array(0 => 'Toutes');

		foreach($q->execute() as $type)

		{

			$ret[$type->getId()] = $type->getNom();

		}

		return $ret;

	}

}