<?php

/**

 * This file is part of "anbnws"

 * Copyright (c) 2010 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */

 

 

/**

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: ecValidatorHtml.class.php 438 2010-09-28 14:00:40Z hlecorche $ 

 */

 

class ecValidatorHtml extends sfValidatorString

{



  /**

   * @see sfValidatorString

   */

  protected function doClean($value)

  {

    $clean = parent::doClean($value);



    ProjectConfiguration::registerPurifierHtml();

    $config = HTMLPurifier_Config::createDefault();  

    $config->set('Core.Encoding', 'UTF-8');

    $config->set('HTML.Doctype', 'XHTML 1.0 Transitional'); 

    $config->set('Cache.SerializerPath', sfConfig::get('sf_cache_dir').'/htmlpurifier');

    

    // Balises interdites

	$config->set('HTML.ForbiddenElements', 'iframe,img'); 

	

	$purifier = new HTMLPurifier($config);

	$clean = $purifier->purify($clean);  



    return $clean;

  }

}

?>