function init_fade () 

{

	$('div.fade').unbind();

	

	$('div.fade').bind("mouseenter", function()

	{

	

		// on hovering over, find the element we want to fade *up*

	    var fade = $('> div', this);

		

		if(fade.css('opacity') == 0)

		{

			fade.css('opacity', '1');

			fade.css('display', 'none');

		}

	    

	    // if the element is currently being animated (to a fadeOut)...

	    if (fade.is(':animated')) 

	    {

	      // ...take it's current opacity back up to 1

	      fade.stop().fadeTo(1000, 1);

	    } else 

	    {

	      // fade in quickly

	      fade.fadeIn(1000);

	    }   

		

    });

	

	

	$('div.fade').bind("mouseleave", function()

	{

		// on hovering out, fade the element out

	    var fade = $('> div', this);

	    if (fade.is(':animated')) 

	    {

	      fade.stop().fadeTo(1000, 0);

	    } else 

	    {

	      // fade away slowly

	      fade.fadeOut(1000);

	    }

    });





}



$(document).ready(function () {

	if ( $("#banniere_haut").length > 0 ) {

		change_banniere_haut(bann_haut,delai_haut);

	}

	if ( $("#banniere_haut_blog").length > 0 ) {

		change_banniere_haut_blog(bann_haut_blog,delai_haut_blog);

	}

	if ( $("#menu_right").length > 0 ) {

		change_banniere_droite_verticale(bann_droite_verticale, delai_droite_verticale);

		change_banniere_droite_carree(bann_droite_carree, delai_droite_carree);

		change_partenaire(partenaires, delai_partenaire);

	}

	$("#loading").ajaxStart(function(){

		 $(this).show();

	});

	$("#loading").ajaxComplete(function(){

		 $(this).hide();

	});

	init_fade();

	InstallationInfoBulle();

});







function begin_ajax_reportage()

{

	$('#contenu_reportage').fadeOut();

	$('#details_reportage').fadeOut();

}



function end_ajax_reportage()

{

	if((jQuery.browser['mozilla'] == true || jQuery.browser['msie'] == true || jQuery.browser['safari'] == true) && $("#photo_ajax").length)

	{

		$('#photo_ajax').load(function(){			

			$('#contenu_reportage').fadeIn();

			$('#details_reportage').fadeIn();

		});

	}

	else

	{

		$('#contenu_reportage').fadeIn();

		$('#details_reportage').fadeIn();

	}

	InstallationInfoBulle('#contenu_reportage .info-bulle-css');

}



function affiche_banniere(file, width, height, balise)

{



	var str = '<object type="application/x-shockwave-flash" data="'+file+'" width="'+width+'" height="'+height+'">';

	var str = str + '<param name="WMODE" value="Transparent" />';

	var str = str + '<param name="movie" value="'+file+'">';

	var str = str + '</object>';

	$('#'+balise+'').html(str);



}





function affiche_partenaire(url_image, url_lien)

{

	

	$('#image_partenaire').animate({opacity : 0}, 1 ,'linear',function (){

		$("#lien_partenaire").attr("href",url_lien);

		$("#image_partenaire").attr("src",url_image);

			

		if((jQuery.browser['mozilla'] == true || jQuery.browser['msie'] == true || jQuery.browser['safari'] == true) && $("#image_partenaire").length)

		{	

			$("#image_partenaire").load(function(){	

			$('#image_partenaire').animate({opacity : 1},1,'linear');

			})

		}

		else

		{

			$('#image_partenaire').animate({opacity : 1},1,'linear');

		}

		

	});

	

}



function change_banniere_haut(bann_haut, delai_haut)

{

	if(bann_haut.length !='0')

	{

		if(num_haut == bann_haut.length)

		{

			num_haut = 0;

		}

		

		affiche_banniere(bann_haut[num_haut],'728','90','banniere_haut');

		

		num_haut = num_haut + 1;

		

		setTimeout("change_banniere_haut(bann_haut,delai_haut)", delai_haut);



		

	}

	

}



function change_banniere_haut_blog(bann_haut_blog, delai_haut_blog)

{

	if(bann_haut_blog.length !='0')

	{

		if(num_haut_blog == bann_haut_blog.length)

		{

			num_haut_blog = 0;

		}

		

		affiche_banniere(bann_haut_blog[num_haut_blog],'728','90','banniere_haut_blog');

		

		num_haut_blog = num_haut_blog + 1;

		

		setTimeout("change_banniere_haut_blog(bann_haut_blog,delai_haut_blog)", delai_haut_blog);



		

	}

	

}







function change_banniere_droite_verticale(bann_droite_verticale, delai_droite_verticale)

{

	if(bann_droite_verticale.length !='0')

	{

		if(num_droite_verticale == bann_droite_verticale.length)

		{

			num_droite_verticale = 0;

		}

		

		affiche_banniere(bann_droite_verticale[num_droite_verticale],'120','600','banniere_droite_verticale');

		num_droite_verticale = num_droite_verticale + 1;

		setTimeout("change_banniere_droite_verticale(bann_droite_verticale,delai_droite_verticale)", delai_droite_verticale);

		

	}

	

}







function change_banniere_droite_carree(bann_droite_carree, delai_droite_carree)

{

	if(bann_droite_carree.length !='0')

	{

		if(num_droite_carree == bann_droite_carree.length)

		{

			num_droite_carree = 0;

		}

		

		affiche_banniere(bann_droite_carree[num_droite_carree],'300','250','media_droite');

		num_droite_carree = num_droite_carree + 1;

		setTimeout("change_banniere_droite_carree(bann_droite_carree,delai_droite_carree)", delai_droite_carree);

		

	}

}











function change_partenaire(partenaires, delai_partenaire)

{

	if(partenaires.length != '0')

	{

		if(num_partenaire == partenaires.length)

		{

			num_partenaire = 0;

		}

		

		affiche_partenaire(partenaires[num_partenaire][0],partenaires[num_partenaire][1]);

		num_partenaire = num_partenaire + 1;

		setTimeout("change_partenaire(partenaires,delai_partenaire)", delai_partenaire);

		

	}

	

}











AfficherInfoBulle = function(e)

{

	var text = $(this).next('.info-bulle-contenu');

	if (text.attr('class') != 'info-bulle-contenu')

	return false;

	text.fadeIn()

	.css('top', e.pageY)

	.css('left', e.pageX+10);

	return false;

}

CacherInfoBulle = function(e)

{

	var text = $(this).next('.info-bulle-contenu');

	if (text.attr('class') != 'info-bulle-contenu')

	return false;

	text.fadeOut();

}



InstallationInfoBulle = function(element)

{

	if (element==undefined) element = '.info-bulle-css';

	$(element)

	.each(function(){

	$(this)

	.after($('<span/>')

	.attr('class', 'info-bulle-contenu')

	.html($(this).attr('title')))

	.attr('title', '');

	})

	.hover(AfficherInfoBulle, CacherInfoBulle);

}