<?php

/**

 * This file is part of "anbnws"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche le formulaire de creation d'image tronquee

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: editImageTronqueeSuccess.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('jQuery');

use_javascript('/jQuery/js/plugins/jquery.Jcrop.min.js');

?>





<script language="Javascript">





	jQuery(document).ready(function(){



		jQuery('#cropbox').Jcrop({

			onChange: showCoords,

			onSelect: showCoords,

			aspectRatio: <?php echo $form->getRatio() ?>

		});

	

	});



			

	function showCoords(c)

	{

		jQuery('#evenementImageTruncate_x1').val(c.x);

		jQuery('#evenementImageTruncate_y1').val(c.y);

		jQuery('#evenementImageTruncate_w').val(c.w);

		jQuery('#evenementImageTruncate_h').val(c.h);



		var min_w = <?php echo round(intval(sfConfig::get('app_agenda_thumb_width')) * $form->getSourceResizeFactor()) ?>;

		var min_h = <?php echo round(intval(sfConfig::get('app_agenda_thumb_height')) * $form->getSourceResizeFactor()) ?>;



		if(c.w < min_w || c.h < min_h)

		{

			jQuery('#message_image').css('visibility', 'visible');

		}

		else

		{

			jQuery('#message_image').css('visibility', 'hidden');

		}

		

	};



</script>





<div class="titre">Créer image tronquée</div>



<form action="<?php echo url_for('agenda/updateImageTronquee?id='.$form->getObject()->getId().'&image='.$image_id) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>





<?php if($form->hasGlobalErrors() || $form->hasErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant la création de l'image</div>

<?php endif; ?>



<div class="cadre_bouttons">

<?php echo button_to('Retour', 'agenda/edit?id='.$form->getObject()->getId(), array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>



<?php echo $form->renderHiddenFields() ?>



<div id="message_image" style="visibility: hidden; color: red;">Info: La zone de l'image sélectionée est petite. Il est conseillé de sélectionner si possible une zone plus grande.</div>

<?php echo image_tag(Util::getUrlImage(sfConfig::get('app_dossiers_images_agenda').'/'.$form->getObject()->get('image_'.$image_id), sfConfig::get('app_agenda_thumb_width_select')), array('alt' => 'image evenement', 'id' => 'cropbox', 'width' => sfConfig::get('app_agenda_thumb_width_select'))) ?>





<div class="cadre_bouttons">

<?php echo button_to('Retour', 'agenda/edit?id='.$form->getObject()->getId(), array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>