<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * template de l'action d'affichage des bannieres dans le back-office

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 436 2010-09-28 11:14:50Z hlecorche $ 

 */





use_helper('ecFormulaire');

?>



<div class="titre">Gestion des bannieres</div>



<?php if ($sf_user->hasFlash('banniere_supprimer_ok')): //si le message flash de confirmation existe?>

			<?php echo Util::MessageInfo($sf_user->getFlash('banniere_supprimer_ok'),'ok');//on l'affiche ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('banniere_supprimer_erreur')): //si le message flash de confirmation existe?>

			<?php echo Util::MessageInfo($sf_user->getFlash('banniere_supprimer_erreur'),'error');//on l'affiche ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bannieres_ok')): //si le message flash de confirmation existe?>

			<?php echo Util::MessageInfo($sf_user->getFlash('bannieres_ok'),'ok');//on l'affiche ?>

<?php endif;?>



<fieldset>

	<legend>Bannieres "Haut"</legend>

	<?php include_partial('list_index', array('bannieres' => $bannieres_haut)) ?>

	<br />

<?php include_partial('form_index', array('form' => $form_haut, 'type' => Banniere::BANNIERE_HAUT)) ?>

	

</fieldset>	

<br />



<fieldset>

	<legend>Bannieres "Droite verticale"</legend>

	<?php include_partial('list_index', array('bannieres' => $bannieres_droite_verticale)) ?>

	<br />

<?php include_partial('form_index', array('form' => $form_droite_verticale, 'type' => Banniere::BANNIERE_DROITE_VERTICALE)) ?>

	

</fieldset>	

<br />



<fieldset>

	<legend>Bannieres "Droite carrée"</legend>

	<?php include_partial('list_index', array('bannieres' => $bannieres_droite_carree)) ?>

	<br />

<?php include_partial('form_index', array('form' => $form_droite_carree, 'type' => Banniere::BANNIERE_DROITE_CARREE)) ?>

	

</fieldset>	

<br />







<div style="background-color: #ccd152;">

<ul>

	<li>Les bannières pour le haut du site doivent avoir les dimensions suivantes : hauteur: 90 pixels, largeur: 728 pixels.</li>

	<li>Les bannières verticales pour la droite du site doivent avoir les dimensions suivantes : hauteur: 600 pixels, largeur: 120 pixels.</li>

	<li>Les bannières carrées pour la droite du site doivent avoir les dimensions suivantes : hauteur: 250 pixels, largeur: 300 pixels.</li>

	<li>Les bannières doivent obligatoirement être en format flash (.swf).</li>

	<li>L'ordre d'affichage des bannières est déterminé par leur nom (ordre alphabétique) </li>

	<li>La taille des bannières ne doit pas dépasser 2 Mo.</li>

</ul>

</div>



<i></i>