<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * template de l'action d'affichage des bons plans dans le back-office

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('ecFormulaire');

?>



<div class="titre">Gestion des bons plans</div>

<?php if ($sf_user->hasFlash('bon_plan_supprimer_ok')): //si le message flash de confirmation existe?>

			<?php echo Util::MessageInfo($sf_user->getFlash('bon_plan_supprimer_ok'),'ok');//on l'affiche ?>

<?php endif;?>

<div class="cadre_bouttons">

<?php echo button_to('Ajouter', 'bons_plans/new', array('class' => 'button_add'))?>

</div>



<fieldset>

	<legend>Bons plans</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 175px;">Texte</th>

			<th style="width: 175px;">Image</th> 

			<th style="width: 50px;">Actif</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($bons_plans as $bon_plan): ?>

		<tr>

			<td><?php echo $bon_plan->getTexte() ?></td>

			<td><?php echo $bon_plan->getUrlImage() ?></td>

			<td style="text-align: center;"><?php echo ($bon_plan->getActive())? image_tag('icones/16/apply.png', array('alt' => 'V', 'title' => 'Est actif')) : '' ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'bons_plans/edit?id='.$bon_plan->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 'bons_plans/delete?id='.$bon_plan->getId(),array ('confirm' => 'Voulez-vous vraiment supprimer cette image?', 'method' => 'post') )?>&nbsp;&nbsp;

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	



<br />



</fieldset>	



<br />