<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche la liste des catégories des galeries d'arts

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 350 2010-08-13 09:06:41Z hlecorche $ 

 */





?>



<div class="titre">Gestion des catégories des galeries d'arts</div>



<?php if ($sf_user->hasFlash('bo_categories_galeries_delete_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_categories_galeries_delete_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_categories_galeries_delete_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_categories_galeries_delete_error'), 'error'); ?>

<?php endif;?>



<div class="cadre_bouttons">

<?php echo button_to('Retour liste galeries', 'galeries_arts/index', array('class' => 'button_back'))?>

<?php echo button_to('Ajouter', 'categories_galeries_arts/new', array('class' => 'button_add'))?>

</div>





<table class="tableau_liste" style="width: 500px;">

	<thead>

		<tr>

			<th>Nom</th>

			<th style="width: 60px;">Actif</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($liste_categories as $categorie): ?>

		<tr>

			<td><?php echo $categorie->getNom() ?></td>

			<td style="text-align: center;"><?php echo ($categorie->getActive())? image_tag('icones/16/apply.png', array('alt' => 'A', 'title' => 'Est actif')) : '' ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'categories_galeries_arts/edit?id='.$categorie->getId())?>&nbsp;&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 'categories_galeries_arts/delete?id='.$categorie->getId(), array('method' => 'post', 'confirm' => 'Voulez-vous vraiment supprimer ce type?')) ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

</table>