<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'ajout / edition de media dans le staff d'un lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _form.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('ecFormulaire');

?>





<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>







<?php 

/*

 * Attention, pour l'ajout et l'edition le param "id" passé en GET dans l'action du formulaire

 * ne sont pas les memes

 */

?>

<form action="<?php echo ($form->getObject()->isNew())? url_for('lieux/listStaffMedias?id='.$lieu->getId()) : url_for('lieux/editStaffMedias?id='.$form->getObject()->getId()) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>

<?php echo $form->renderHiddenFields() ?>





	<table class="tableau_formulaire">

		<tr>

			<th style="width: 150px;"><?php echo label('Titre', false) ?> :</th>

			<td><?php echo AfficheErreur($form['titre']) ?><?php echo $form['titre'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Photo', ($form->getObject()->isNew()? true : false)) ?> :</th>

			<td><?php echo AfficheErreur($form['image']) ?><?php echo $form['image'] ?> &nbsp;&nbsp;&nbsp;

				<input type="submit" value="Sauvegarder" class="button_save" />

			</td>

		</tr>

	</table>



</form>