<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche la liste des medias du staff d'un lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: listSuccess.php 350 2010-08-13 09:06:41Z hlecorche $ 

 */



use_helper('ecomliste');



?>



<div class="titre">Gestion photos Staff <?php echo $lieu->getNom() ?></div>





<?php if ($sf_user->hasFlash('bo_lieux_message_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_lieux_message_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_lieux_message_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_lieux_message_error'), 'error'); ?>

<?php endif;?>



<div class="cadre_bouttons">

<?php echo button_to('Retour', 'lieux/index', array('class' => 'button_back'))?>

</div>







<!-- Formulaire d'ajout -->



<fieldset>

<legend>Nouvelle photo</legend>

<?php include_partial('lieux/staffMedias/_form', array('form' => $form,

													   'lieu' => $lieu)) ?>



</fieldset>







<!-- Liste des médias -->



<?php 

$chariot = 1;

echo ec_init_list($chariot);

?>



<?php foreach($liste_medias as $media): ?>

	<?php echo ec_list_open_element($chariot, 8, array('style' => 'width: 118px; text-align: center; vertical-align: bottom;'))?>

	

	

	<?php echo image_tag(Util::getUrlImage(sfConfig::get('app_dossiers_images_staff_lieux').'/'.$media->getNomFichier(), null, null, 115), 

							array('alt' => 'media')) ?><br />

	

						

	<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'lieux/editStaffMedias?id='.$media->getId())?>&nbsp;&nbsp;

	<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)) echo link_to(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

		'lieux/deleteStaffMedias?id='.$media->getID(),	array('method' => 'post', 'confirm' => 'Voulez-vous vraiment supprimer ce media?'))?><br />			

	

	<?php echo ec_list_close_element($chariot, 8) ?>  

<?php endforeach ?>







<?php echo ec_list_close($chariot, 8 )?>