<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche les informations sur la newsletter

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 119 2009-08-03 13:22:59Z hlecorche $ 

 */





?>



<div class="titre">Newsletter</div>



<?php if ($sf_user->hasFlash('bo_newsletter_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_newsletter_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_newsletter_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_newsletter_error'), 'error'); ?>

<?php endif;?>





<?php if($envoi_cours): ?>

Actuellement, une newsletter est en cours d'envoi. <br /><br />



<div style="background-color: #ccd152;">

<b>Nombre de mails envoyés: </b> <?php echo $nombre_mails_envoyes ?><br />

<b>Nombre d'abonnés: </b> <?php echo $nombre_abonnes ?><br />

<b>Pogression: </b> <?php echo $pourcentage_envoye ?> % <br />

<b>Configuration: </b> Envoi de mails par paquets de <b><?php echo sfConfig::get('app_newsletter_nombre_par_paquets')?></b>

 , toutes les <b><?php echo sfConfig::get('app_newsletter_delai_entre_paquets')?></b> secondes

 , dans la limite de <b><?php echo sfConfig::get('app_newsletter_limite_heure')?></b> mails / heure.

</div>



<br /><br />

Pour actualiser les informations, actualiser la page.



<?php else: ?>



Actuellement, aucun envoi de newsletter n'est programmé. <br />

<div class="cadre_bouttons">

<?php echo button_to('Envoyer une nouvelle newsletter', 'newsletter/new', array('class' => 'button_add'))?>

</div>



<?php endif; ?>