<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * template de l'action d'affichage des bannieres dans le back-office

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('ecFormulaire');

use_helper('Text');

?>



<div class="titre">Gestion des partenaires</div>

<?php if ($sf_user->hasFlash('partenaire_supprimer_ok')): //si le message flash de confirmation existe?>

			<?php echo Util::MessageInfo($sf_user->getFlash('partenaire_supprimer_ok'),'ok');//on l'affiche ?>

<?php endif;?>

<div class="cadre_bouttons">

<?php echo button_to('Ajouter', 'partenaires/new', array('class' => 'button_add'))?>

</div>



<fieldset>

	<legend>Partenaires</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 175px;">Image</th>

			<th style="width: 175px;">Lien</th> 

			<th style="width: 50px;">Priorité</th>

			<th style="width: 50px;">Actif</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($partenaires as $partenaire): ?>

		<tr>

			<td><?php echo $partenaire->getUrlImage() ?></td>

			<td><?php echo auto_link_text($partenaire->getUrlLien(),'all',array('title' => $partenaire->getUrlLien()),true)?></td>

			<td style="text-align: center;"><?php echo $partenaire->getPriorite()?></td>

			<td style="text-align: center;"><?php echo ($partenaire->getActive())? image_tag('icones/16/apply.png', array('alt' => 'V', 'title' => 'Est actif')) : '' ?></td>

			<td style="text-align: center;">

				<a href="<?php echo image_path('/'.$dossier.'/'.$partenaire->getUrlImage())?>" class="thickbox">

					<?php echo image_tag('icones/16/search.png', array('alt' => 'zoom', 'title' => 'Visualiser'))?></a>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'partenaires/edit?id='.$partenaire->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 'partenaires/delete?id='.$partenaire->getId(),array ('confirm' => 'Voulez-vous vraiment supprimer cette image?', 'method' => 'post') )?>&nbsp;&nbsp;

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	



<br />



</fieldset>	

