<?php

/**

 * This file is part of "Name Project"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des sondages

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _listPoll.php 350 2010-08-13 09:06:41Z hlecorche $ 

 */



use_helper('ecomliste')

?>



<?php if ($sf_user->hasFlash('bo_sondages_delete_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_sondages_delete_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_sondages_delete_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_sondages_delete_error'), 'error'); ?>

<?php endif;?>





<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'sondages/ajaxShowListPolls?page=', array('update' => 'list')) ?>



<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 600px;">Question</th>

			<th style="width: 50px;">Actif</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($pager->getResults() as $sondage): ?>

		<tr>

			<td><?php echo $sondage->getQuestion() ?></td>

			<td style="text-align: center;"><?php echo ($sondage->getActive())? image_tag('icones/16/apply.png', array('alt' => 'V', 'title' => 'Est actif')) : '' ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'sondages/editPoll?id='.$sondage->getId())?>&nbsp;&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/list.png', array('alt' => 'responses', 'title' => 'Liste des réponses')), 'sondages/listResponses?id='.$sondage->getId())?>&nbsp;&nbsp;&nbsp;

				<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

											array('url' => 'sondages/ajaxDeletePoll?id='.$sondage->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer ce sondage?', 'csrf' => true)) ?>&nbsp;&nbsp;

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

</table>