<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Menu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _menu.php 444 2010-09-29 13:16:20Z hlecorche $ 

 */

?>





<?php slot('menu') ?>

	 <span id="menu_admin"><?php echo link_to('Admin', 'admin_annuaire/infos?id='.$lieu->getId()) ?></span>

	 <?php echo image_tag('icones/back.png', array('alt' => '<=', 'style' => 'vertical-align: -4px;', 'height' => '18px')) ?> <?php echo link_to('Retour', 'annuaire/zoom?id='.$lieu->getId()) ?>

<?php end_slot() ?>



<ul id="labels_central">

	<li><?php echo link_to('Informations', 'admin_annuaire/infos?id='.$lieu->getId(), array('class' => ($active == 'infos')? 'current' : '' )) ?></li>

	<li><?php echo link_to('Photos', 'admin_annuaire/galeriePhoto?id='.$lieu->getId(), array('class' => ($active == 'album_photos')? 'current' : '' )) ?></li>

	<li><?php echo link_to('Vidéos', 'admin_annuaire/galerieVideo?id='.$lieu->getId(), array('class' => ($active == 'album_videos')? 'current' : '' )) ?></li>

	<li><?php echo link_to('Staff', 'admin_annuaire/staff?id='.$lieu->getId(), array('class' => ($active == 'staff')? 'current' : '' )) ?></li>

	<li><?php echo link_to('Coupons', 'admin_annuaire/reductions?id='.$lieu->getId(), array('class' => ($active == 'reductions')? 'current' : '' )) ?></li>

	<?php if(!empty($lieu->label_metier_album_1) || !empty($lieu->label_metier_album_2)): ?>

		<?php 

		if(empty($lieu->label_metier_album_1))

		{

			$title = $lieu->label_metier_album_2;

		}

		elseif(empty($lieu->label_metier_album_2))

		{

			$title = $lieu->label_metier_album_1;

		}

		else

		{

			$title = $lieu->label_metier_album_1.' | '.$lieu->label_metier_album_2;

		}

		?>

		<li><?php echo link_to(ucfirst($title), 'admin_annuaire/galerieMetier?id='.$lieu->getId(), array('class' => ($active == 'album_metier')? 'current' : '' )) ?></li>

	<?php endif; ?>

	<?php if(!empty($lieu->label_metier_texte_1) || !empty($lieu->label_metier_texte_2)): ?>

		<?php 

		if(empty($lieu->label_metier_texte_1))

		{

			$title = $lieu->label_metier_texte_2;

		}

		elseif(empty($lieu->label_metier_texte_2))

		{

			$title = $lieu->label_metier_texte_1;

		}

		else

		{

			$title = $lieu->label_metier_texte_1.' | '.$lieu->label_metier_texte_2;

		}

		?>

		<li><?php echo link_to(ucfirst($title), 'admin_annuaire/texteMetier?id='.$lieu->getId(), array('class' => ($active == 'texte_metier')? 'current' : '' )) ?></li>

	<?php endif; ?>

</ul>