<?php
/**
 * This file is part of "anbnws"
 * Copyright (c) 2009 Hubert LECORCHE
 * 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */


/**
 * Template qui affiche le formulaire d'edition d'une photo dans la galerie d'un lieu
 *
 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>
 * @version    SVN: $Id: editGaleriePhotoSuccess.php 434 2010-09-27 18:40:29Z hlecorche $ 
 */

?>

<?php include_partial('menu', array('lieu' => $lieu, 'active' => 'album_photos' ))?>


<div id="admin_cadre_central" class="couleur1">
	<div class="cadre_interieur couleur2">
		<h1>Editer une photo:</h1>
		<?php include_partial('formGaleriePhoto', array('form' => $form, 'lieu' => $lieu))?><br />
		<?php echo link_to('Retour', 'admin_annuaire/galeriePhoto?id='.$lieu->getId())?>
	</div>
</div>
