<?php use_helper('ecprofil') ?>

<?php use_helper('ecFormulaire') ?>



<?php if($inscriptions_ouvertes):?>

		

		<span class="texte_gras_rose texte_moyen">Poser un Rendez-vous à cet événement. </span><br />



		<span class="texte_gras texte_moyen">

		Le <?php echo format_date($evenement->getDateDebut(), 'dd/MM/yyyy') ?> <br />

		Lieu: <?php echo $lieu->getNom() ?>&nbsp;&nbsp;&nbsp;

		</span>  <?php echo count($inscriptions) ?>  pers.  <br />





		<?php if($user->isAuthenticated()): ?>

		

		<!--  Formulaire d'inscription -->

		

			<?php echo form_tag('agenda/addInscription?id='.$evenement->getId()) ?>	

			

			<?php if ($sf_user->hasFlash('add_inscription_error')): ?>

			<?php echo Util::MessageInfo($sf_user->getFlash('add_inscription_error'), 'error'); ?>

			<?php endif;?>

			<?php if ($sf_user->hasFlash('add_inscription_ok')): ?>

			<?php echo Util::MessageInfo($sf_user->getFlash('add_inscription_ok'), 'ok'); ?>

			<?php endif;?>

			

			<?php echo AfficheErreur($form['va']) ?>

			<?php echo AfficheErreur($form['message']) ?>

			

			<?php echo $form->renderHiddenFields() ?>

			<table>

				<tr>

					<td width="50">Va</td>

					<td width="195">Message publique</td>

					<td></td>

				</tr>

				<tr>

					<td><?php echo $form['va'] ?></td>

					<td><?php echo $form['message'] ?></td>

					<td><input type="submit" value="Valider" class="button" /></td>

				</tr>

			</table>

			</form>

			

		<!-- Fin formulaire d'inscription -->

		

		<?php else: ?>

				Vous devez être connectés pour pouvoir vous inscrire à la soirée.

		<?php endif;?>



		

		



		

<?php else: ?>

		<span class="texte_gras texte_rose texte_moyen">

			<?php echo count($inscriptions) ?> membres étaient à cet événement !!! 

		</span>

<?php endif; ?>















<!--  Affichage des messages -->

<br /><br />

<?php if(count($inscriptions) > 0): ?>

<table width="100%" cellspacing="0" style="border-width: 1px; border-style: dotted; border-color: #666666;">

	<thead>

		<tr style="background-repeat: repeat-y; background-image: url('/images/bg_titre_300px_sombre.jpg');">

			<td width="50px">Va</td>

			<td>Messages</td>

		</tr>

	</thead>

	<tbody>

		<?php foreach($inscriptions as $inscription): ?>

		<tr>

			<td><?php echo ($inscription->getVa() == EvenementInscription::VA)? 'Oui' : 'Peut être' ?></td>

			<td><?php echo afficheProfilVollant($inscription->getMembre()) ?> : <?php echo $inscription->getMessage() ?></td>

		</tr>

		<?php endforeach; ?>

	</tbody>

</table>

<?php endif; ?>

<!-- Fin affichage des messages -->