<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template d'ajout d'une soirée

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: ajoutEvenementSuccess.php 417 2010-09-07 14:11:49Z hlecorche $ 

 */





use_helper('ecFormulaire');

use_helper('sfCryptoCaptcha');









?>







<?php javascript_tag() ?>



function resetChoicePlace()

{

	$("#evenement_select_type_id").val('');

	$("#evenement_lieu_id").val('');

}



function resetAddPlace()

{

	$("#evenement_nouveau_lieu_nom").val('');

	$("#evenement_nouveau_lieu_type_id").val('');

	$("#evenement_nouveau_lieu_adresse").val('');

	$("#evenement_nouveau_lieu_code_postal").val('');

	$("#evenement_nouveau_lieu_ville").val('');

	$("#evenement_nouveau_lieu_telephone").val('');

}





function addPlace()

{

	$("#frameChoicePlace").hide();

	resetChoicePlace();

	$("#frameAddPlace").show();

}



function cancelPlace()

{

	$("#frameAddPlace").hide();

	resetAddPlace();

	$("#frameChoicePlace").show();

}



$(document).ready(function(){

	if($("#evenement_nouveau_lieu_nom").val() != '' || $("#evenement_nouveau_lieu_type_id").val() != '' ||

	   $("#evenement_nouveau_lieu_adresse").val() != '' || $("#evenement_nouveau_lieu_code_postal").val() != '' ||

	   $("#evenement_nouveau_lieu_ville").val() != '' || $("#evenement_nouveau_lieu_telephone").val() != '')

	{

		addPlace();

	}

});





<?php end_javascript_tag() ?>







<?php echo image_tag('titres/ajouter_date.jpg', array('alt' => 'Ajouter date')) ?>

<br />

Propose tes bons plans de sorties, soirées, spéctacles...

<br /><br />

<div class="hr"></div>

<br />



Merci de remplir tous les champs obligatoires * 





<?php echo form_tag('agenda/ajoutEvenement', array('multipart' => true)) ?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<?php echo $form->renderHiddenFields() ?>

<table width="610" border="0">



<tr>

	<td width="186" style="vertical-align: top;"><?php echo label('Lieu', true) ?> :</td>

	<td>

		<div id="frameChoicePlace">

		Selectionnez un type de lieu dans la liste : <br />

		<?php echo AfficheErreur($form['select_type_id']); echo $form['select_type_id']->render() ?><br />

		Selectionnez un lieu dans la liste:<br />

		<span id="liste_lieu_id"><?php echo AfficheErreur($form['lieu_id']); echo $form['lieu_id']->render() ?></span>

		<br /><br />

		<b><a href="#" onclick="addPlace(); return false;">Ou alors si le lieu n'existe pas dans la liste ci-dessus, cliquez ici.</a></b>

		</div>

		

		<div id="frameAddPlace" class="cadre" style="display: none;">

		<b><a href="#" onclick="cancelPlace(); return false;">Pour annuler l'ajout d'un nouveau lieu et en choisir un dans notre base de données, cliquez ici.</a></b><br /><br />

			<?php echo label('Nom du lieu', true) ?> :<br /><?php echo AfficheErreur($form['nouveau_lieu']['nom']); echo $form['nouveau_lieu']['nom']->render() ?><br /><br />

			<?php echo label('Type de lieu', true) ?> :<br /><?php echo AfficheErreur($form['nouveau_lieu']['type_id']); echo $form['nouveau_lieu']['type_id']->render() ?><br /><br />

			<?php echo label('Adresse du lieu', true) ?> :<br /><?php echo AfficheErreur($form['nouveau_lieu']['adresse']); echo $form['nouveau_lieu']['adresse']->render() ?><br /><br />

			<?php echo label('Code postal du lieu', true) ?> :<br /><?php echo AfficheErreur($form['nouveau_lieu']['code_postal']); echo $form['nouveau_lieu']['code_postal']->render() ?><br /><br />

			<?php echo label('Ville du lieu', true) ?> :<br /><?php echo AfficheErreur($form['nouveau_lieu']['ville']); echo $form['nouveau_lieu']['ville']->render() ?><br /><br />

			<?php echo label('Téléphone', false) ?> :<br /><?php echo AfficheErreur($form['nouveau_lieu']['telephone']); echo $form['nouveau_lieu']['telephone']->render() ?><br /><br />

			<?php echo label('Fax', false) ?> :<br /><?php echo AfficheErreur($form['nouveau_lieu']['fax']); echo $form['nouveau_lieu']['fax']->render() ?><br /><br />

		</div>

		<br />

	</td>

</tr>







<tr>

	<td><?php echo label('Date de début de la soirée', true) ?> :</td>

	<td><?php echo AfficheErreur($form['date_debut']); echo $form['date_debut']->render() ?>  (Format: jj/mm/aaaa)</td>

</tr>



<tr>

	<td><?php echo label('Date de fin de la soirée', false) ?> :</td>

	<td><?php echo AfficheErreur($form['date_fin']); echo $form['date_fin']->render() ?>  (Format: jj/mm/aaaa)</td>

</tr>



<tr>

	<td><?php echo label('Heure de début', false) ?> :</td>

	<td><?php echo AfficheErreur($form['heure_debut']); echo $form['heure_debut']->render() ?>  (Format: hh:mm)</td>

</tr>



<tr>

	<td><?php echo label('Heure de fin', false) ?> :</td>

	<td><?php echo AfficheErreur($form['heure_fin']); echo $form['heure_fin']->render() ?>  (Format: hh:mm)</td>

</tr>



<tr>

	<td><?php echo label('Nom de la soirée', true) ?> :</td>

	<td><?php echo AfficheErreur($form['titre']); echo $form['titre']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Description de la soirée', true) ?> :</td>

	<td><?php echo AfficheErreur($form['description']); echo $form['description']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Flyer', false) ?> :</td>

	<td>

		<span style="font-weight: bold; color: #ff00ff;">Format .jpg ou .jpeg (72 DPI RVB) uniquement, poids max 2 Mo par fichier</span><br />

		<?php echo AfficheErreur($form['flyer1']); echo $form['flyer1']->render() ?> Recto<br />

		<?php echo AfficheErreur($form['flyer2']); echo $form['flyer2']->render() ?> Verso

	</td>

</tr>



<tr>

	<td><?php echo label('Code de vérification', true) ?> :</td>

	<td><?php echo AfficheErreur($form['captcha']); echo captcha_image(); echo captcha_reload_button();?> <br /> <?php echo $form['captcha']->render() ?></td>

</tr>



<tr>

	<td></td>

	<td><input type="submit" value="Ajouter événement" class="button" /></td>

</tr>

</table>





</form>



