<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la galerie photos du blog des lieux

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: galerie.php 402 2010-09-02 15:54:26Z hlecorche $ 

 */



use_helper('ecomliste');

$div_opened = false;

$div_closed = true;

$i = 0;

$urls_images_moyennes = array();

$urls_images_grandes = array();

?>



<div class="image_wrap"><?php echo image_tag('blank.gif', array('alt' => 'image')) ?></div>



<div class="image_right">

	<div class="navigation"><a class="prev browse left disabled"></a><a class="next browse right<?php echo (count($photos) > 6)? '' : ' disabled' ?>"></a></div>

	<div class="scrollable">   

   			<div class="items">

				<?php foreach($photos as $photo): ?>

					

					<?php 

					$i = $i + 1;

					$id = 'image_'.rand(1,99999999999).$photo->getId();

					$urls_images_moyennes[$id] = Util::getUrlImage($dossier.'/'.$photo->getNomFichier(), null, null, 646, false);

					$urls_images_grandes[$id] = Util::getUrlImage($dossier.'/'.$photo->getNomFichier(), null, null, 600, false);

					?>

					<?php if (!$div_opened): ?>

						<div>

						<?php $div_opened = true; $div_closed = false; $chariot = 0; 

						echo ec_init_list($chariot, array('style' => 'margin: 0px; padding: 0px; border: none;'))?>

					<?php endif; ?>

					

					<?php echo ec_list_open_element($chariot, 2) ?>

					<?php echo image_tag(Util::getUrlImage($dossier.'/'.$photo->getNomFichier(), null, null, 118, false), 

									array('alt' => $photo->getTitre(),

										  'title' => $photo->getTitre(),

										  'id' => $id)) ?>

					<?php echo ec_list_close_element($chariot, 2) ?>

					

					<?php if($i % 6 == 0): ?>

						<?php echo ec_list_close($chariot, 2) ?>

						</div>

						<?php $div_opened = false; $div_closed = true; ?>

					<?php endif; ?>

					

				<?php endforeach; ?>

				

				<?php echo($div_closed)? '' : ec_list_close($chariot, 2).'</div>' ?>

			</div>

	</div>

	<br />

	<div class="title_image"></div>

	<div class="player">

		<a class="first"></a><a class="rew"></a><a class="play"></a><a class="fwd"></a><a class="end"></a>

	</div>

</div>





<div class="clear"></div>







<script type="text/javascript">

<?php foreach ($urls_images_moyennes as $id => $url):?>

	urls_images_moyens['<?php echo $id ?>'] = '<?php echo $url ?>';

<?php endforeach;?>

<?php foreach ($urls_images_grandes as $id => $url):?>

urls_images_grands['<?php echo $id ?>'] = '<?php echo $url ?>';

<?php endforeach;?>

</script>