<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * template qui affiche les bons plans

 *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 320 2009-11-02 12:35:50Z hlecorche $ 

 */



use_helper('ecomliste') ?>

<?php use_helper('Text') ?>



<div class="titre_rubrique">

BONS PLANS

</div>



<?php if($bons_plans->count()===0):?>

	<br /><div class="texte_moyen cadre_noir">Actuellement, AnnecyByNight ne propose pas de bons plans.</div>

<?php else:?>

	<?php $chariot = 0;

	echo ec_init_list($chariot, array('cellspacing' => '12', 'cellpadding' =>'4'));

	?>

	

	<?php foreach ($bons_plans as $bon_plan): ?>

	

		<?php echo ec_list_open_element($chariot, 2, array('class' => 'cadre_noir','style' => 'vertical-align: top; width: 302px;'))?>

		<?php echo image_tag(Util::getUrlImage($dossier.'/'.$bon_plan->getUrlImage(),120),array('alt'=> 'img_bon_plan',

																									'style' =>'float: left; margin-right: 8px;'));?>

			<?php echo auto_link_text($bon_plan->getTexte()); ?>

		

		<div style="clear: both;"></div>

		<?php echo ec_list_close_element($chariot, 2) ?>

	

	<?php endforeach; ?>

	<?php echo ec_list_close($chariot, 2) ?>



<?php endif;?>