<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial, appelé par de l'ajax

 * qui affiche une photo (affiche dans le div #contenu_reportage )

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: zoomPhoto.php 335 2010-01-09 16:17:44Z hlecorche $ 

 */



$galerie = $media->getGalerieArts();

$media_id_precedent = $media->getMediaIdPrecedent();

$media_id_suivant = $media->getMediaIdSuivant();



?>





<br />

<table>

<tr>

	<td width="500">

	<?php



if(empty($media_id_suivant))

{

	$javascript =  'return false;';

}

else

{

	$javascript =  jq_remote_function(array('url' => 'galeries_arts/ajaxZoomMedia?id='.$media_id_suivant,

									   'update' => 'contenu_reportage',

									   'loading' => 'begin_ajax_reportage();',

									   'complete' => 'end_ajax_reportage();'

									   ));

}									   

									   ?>

	

	

		<?php echo jq_button_to_remote('Retour galerie', 

										array('url' => 'galeries_arts/ajaxZoomGalerie?id='.$media->getGalerieArts()->getId().'&page='.$page_liste,

											  'update' => 'contenu_reportage',

									   		  'loading' => 'begin_ajax_reportage();',

									  		  'complete' => 'end_ajax_reportage();'),

										array('class' => 'button')) ?>

		

		<?php if(!empty($media_id_precedent)): ?>

			<?php echo jq_button_to_remote('&lt;&lt;', 

											array('url' => 'galeries_arts/ajaxZoomMedia?id='.$media_id_precedent,

												  'update' => 'contenu_reportage',

										   		  'loading' => 'begin_ajax_reportage();',

										  		  'complete' => 'end_ajax_reportage();'),

											array('class' => 'button')) ?>

		<?php endif;?>

		

		

		<?php if(!empty($media_id_suivant)): ?>

			<?php echo jq_button_to_remote('&gt;&gt;', 

											array('url' => 'galeries_arts/ajaxZoomMedia?id='.$media_id_suivant,

												  'update' => 'contenu_reportage',

										   		  'loading' => 'begin_ajax_reportage();',

										  		  'complete' => 'end_ajax_reportage();'),

											array('class' => 'button')) ?>

		<?php endif;?>

		

		

	</td>

	<td><?php echo $media->getPositionMedia() ?> sur  <?php echo $media->getNombreMedias() ?>  médias</td>

</tr>

</table>

<br />



<div style="text-align: center;">

<?php echo image_tag(Util::getUrlImage($galerie->getPathDossier().'/'.$media->getNomFichier(), null, null, 620),

				array('alt' => 'Photo de galerie', 

					  'id' => 'photo_ajax',

					  'style' => 'border-width: 1px; border-style: double; border-color: #443B40;',

					  'onclick' => $javascript));

 ?>

</div>

<br />



