<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche la liste des médias d'une galerie

 * Contient par défaut le partial "zoom_galerie" et apres change

 * en AJAX

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: zoomSuccess.php 165 2009-08-11 08:55:36Z hlecorche $ 

 */



use_helper('Date');

use_helper('Text');

jq_add_plugin_ui();



?>



<!-- Fil d'arianne -->

<span class="texte_moyen texte_gras">

	

	<?php echo link_to('Les galeries &gt;', 'galeries_arts/index', array('class' => 'texte_vert')) ?>

	&nbsp;&nbsp;

	<?php echo link_to($galerie->getGalerieArtsCategorie()->getNom().' &gt;', 'galeries_arts/listeGaleries?id='.$galerie->getGalerieArtsCategorieId(), array('class' => 'texte_orange', 'style' => 'font-weight: bold;')) ?>

	

	&nbsp;&nbsp;

	<?php echo truncate_text($galerie->getNom(),20 )?>

</span>



<br />





<!-- Contenu central de la galerie -->

<div id="contenu_reportage">



<?php include_partial('zoom_galerie', array('pager' => $pager,

											  'galerie' => $galerie));

?>



</div>













<!-- Détails sur galerie -->

<div id="details_reportage"> 

<br />

<div class="hr"></div>



<br />

<div class="titre_moyen"><?php echo $galerie->getNom() ?></div>

<br />



<span class="texte_vert"><b>E-mail de l'artiste: </b></span> <?php echo auto_link_text($galerie->getEmail()) ?><br />

<span class="texte_vert"><b>Site web de l'artiste: </b></span> <?php echo auto_link_text($galerie->getUrlSite()) ?> <br />



<br />

<?php echo $galerie->getDescription() ?>

</div>