<?php
/**
 * This file is part of "Annecy By Night"
 * Copyright (c) 2009 Hubert LECORCHE
 * 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */


/**
 * Composant qui affiche l'agenda sur la page d'index
 *
 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>
 * @version    SVN: $Id: _agendaIndex.php 422 2010-09-08 13:23:39Z hlecorche $ 
 */

use_helper('Date');
use_helper('ecomliste');
use_helper('Text');
$chariot = 0;
?>


<?php echo ec_init_list($chariot, array('class' => 'tableau_noir_cadre', 'width' => '100%')) ?>

<tr><td colspan="2" class="texte_gras texte_moyen" style="padding: 5px;">BONS PLANS DE SORTIES</td></tr>
<a href="<?php echo url_for('agenda/ajoutEvenement') ?>">

	<?php

	echo image_tag('divers/add_date.png', array('alt' => 'Ajouter une date',

												'onmouseover' => 'this.src=\''.Util::url_for('images/divers/add_date_over.png').'\'',

												'onmouseout' => 'this.src=\''.Util::url_for('images/divers/add_date.png').'\''));

	?>

</a><br />




<?php foreach($journees as $journee => $evenements_journee): ?>
		<?php echo ec_list_open_element($chariot, 1, array('style' => 'padding: 5px;')) ?>
			

			
			<?php foreach($evenements_journee as $evenement): ?>
			<div style="width: 223px; margin: auto; margin-top: 5px;">
				<a href="<?php echo url_for('agenda/zoom?id='.$evenement->getId()) ?>">
				<?php
				$photo_1=$evenement->getImage_1();
				if(empty($photo_1))
				{
					echo image_tag('divers/defaut_lieu.jpg'
								, array('title' => $evenement->getTitre(), 
										'alt' => $evenement->getTitre(), 
										'width' => 220,
										'height' => 152,
										'style' => 'margin-bottom: 3px;'));
				}
				else
				{
					$image = empty($evenement['image_1_truncate'])? $evenement->getImage_1() : $evenement->getImage_1_Truncate();
					echo image_tag(Util::getUrlImageWithJpeg($dossier_lieux.'/'.$image, 220, 152, null, true)
								, array('class' => 'info-bulle-css',
										'title' => image_tag(Util::getUrlImageWithJpeg($dossier_lieux.'/'.$evenement->getImage_1(), 100)), 
										'alt' => $evenement->getTitre(), 
										'width' => 220, 'height' => 152,
										'style' => 'margin-bottom: 3px; border-style: solid; border-width: 1px; border-color: #ffffff;'));
										
				}
				?>
				</a>
			
			<br />
			<?php echo link_to(truncate_text($evenement->getTitre(), 36), 'agenda/zoom?id='.$evenement->getId(), array('class' => 'texte_grand texte_orange'))?><br />
			<span class="texte_gras texte_moyen"><?php echo truncate_text($evenement->getLieu()->getNom(), 20) ?></span><br />
						<span class="texte_moyen"><?php echo substr(format_date($journee, 'dddd', 'fr'), 0, 3) ?> <?php echo format_date($journee, 'dd MMMM yyyy', 'fr') ?></span><br />
			</div>
		<?php endforeach; ?>
		
		
		<?php echo ec_list_close_element($chariot, 1) ?>

<?php endforeach; ?>

<?php echo ec_list_close($chariot, 1) ?>

<table class="tableau_noir_cadre" style="text-align: right;" width="100%">
<tr><td><?php echo link_to("&raquo; Voir l'Agenda", '@liste_evenements_without_date', array('class' => 'texte_moyen texte_orange'))?></td></tr>
</table>