<?php 
$user = sfContext::getInstance()->getUser();
?>


<table class="tableau_noir_cadre" width="100%" style="height: 280px;">

<?php if($user->isAuthenticated()): ?>

	<?php
	//on recupere le nombre de messages non lus, stocké en session.si cette variable n'existe pas,
	//on recupere 0
	$nbre_messages_non_lus = $user->getAttribute('nbre_messages_non_lus', 0);
	
	//on teste si ce nombre vaut 0. dans ce cas, on n'affiche aucun nombre en parenthese dans le nom du bouton de boite de reception
	if($nbre_messages_non_lus == 0)
	{
		$boutton_messagerie = button_to('Mes messages', 'messagerie/index', array('class' => 'button', 'style' => 'margin-bottom: 10px; width: 90%;'));
	}
	//sinon si ce nombre est different de 0, on l'affiche entre parenthese dans le nom du bouton
	else
	{
		$boutton_messagerie = button_to('Mes messages ('.$nbre_messages_non_lus.')', 'messagerie/index', array('class' => 'button_messages', 'style' => 'margin-bottom: 10px; width: 90%;'));
	}
	
	?>
	
	
<tr>
	<td class="texte_gras_rose texte_moyen" style="height: 30px; padding-left: 5px;"><?php echo $user->getAttribute('MembrePseudo') ?></td>
</tr>
<tr>
	<td style="padding-top: 5px;  vertical-align: top; text-align: center;">
		<?php echo button_to('Mon profil', 'membres/editProfil', array('class' => 'button', 'style' => 'margin-bottom: 10px; width: 90%;')) ?> <br />
		<?php echo $boutton_messagerie ?> <br />
		<?php echo button_to('Ajouter une soirée', 'agenda/ajoutEvenement', array('class' => 'button', 'style' => 'margin-bottom: 10px; width: 90%;')) ?> <br />
		<?php echo button_to('Sondages', 'sondages/index', array('class' => 'button', 'style' => 'margin-bottom: 10px; width: 90%;')) ?> <br />
		<?php echo button_to('Devenir photographe', 'main/photographe', array('class' => 'button', 'style' => 'margin-bottom: 10px; width: 90%;')) ?> <br />
		<?php if($user->hasCredential(array('ADMIN', 'REPORTER', 'MANAGER', 'EXPO', 'PUBLICITE', 'BONNES_ADRESSES', 'REPORTER_EX'), false)): ?>
			<?php echo button_to('Admin', sfContext::getInstance()->getConfiguration()->generateBackendUrl('homepage'), array('class' => 'button', 'style' => 'margin-bottom: 10px; width: 90%;')) ?><br />
		<?php endif; ?>
		<?php echo button_to('Déconnecter', 'main/logout', array('class' => 'button', 'style' => 'margin-bottom: 5px; width: 90%;')) ?><br />
	</td>
</tr>
	
	
	
	
	
	
	
	
	

<?php else: ?>

<tr>
	<td class="texte_gras texte_moyen" style="height: 30px; padding-left: 5px;">Connexion</td>
</tr>
<tr>
	<td style="vertical-align: top;"> 
		<span style="color: red;"><b><?php echo $sf_user->getFlash('resultat_connexion') ?></b></span>
		<form action="<?php echo url_for('main/login') ?>" method="post" style="margin: 0px;">
		<span class="texte_moyen">Nom d'utilisateur</span><br />
		<input type="text" id="pseudo" name="pseudo" class="fields" size="20" /><br /><br />
		<span class="texte_moyen">Mot de passe</span><br />
		<input type="password" id="password" name="password" class="fields" size="20" /><br /><br />
		<input name="auto" type="checkbox" id="auto" value="oui" /> <span class="texte_moyen">Auto-login</span><br /><br />
		<?php $inst = sfContext::getInstance(); ?>
		<input type="hidden" id="ref_url" name="ref_url" value="<?php echo Util::getRefererConnection() ?>" />
		
		<div style="text-align: center;"><input name="connexion" type="submit" class="button" value="Connexion" /></div><br />
		
		<b>
		<?php echo link_to('&raquo; Mot de passe oublié ?', 'main/oubliMotPasse', array('class' => 'texte_moyen', 'style' => 'color: white;')) ?><br />
		<?php echo link_to('&raquo; Devenir membre', '@inscription', array('class' => 'texte_moyen', 'style' => 'color: white;')) ?><br /> 
		<?php echo link_to('&raquo; Devenir photographe', 'main/photographe', array('class' => 'texte_moyen', 'style' => 'color: white;')) ?><br /> 
		</b>
	</form>
	</td>
</tr>	

<?php endif; ?>







<?php
$auto_play = ($sf_user->getAttribute('stats_ok') == 'ok')? 0 : 1;
if(file_exists(sfConfig::get('sf_web_dir').'/objects/son.mp3'))
{
	$lecteur = _compute_public_path('dewplayer-mini.swf', 'objects', 'swf');
	$file = _compute_public_path('son.mp3', 'objects', 'mp3');
	echo '<tr><td style="height: 23px;">';
	echo '<object type="application/x-shockwave-flash" data="'.$lecteur.'?mp3='.$file.'&amp;autostart='.$auto_play.'&amp;volume=50" width="160" height="20">';
	echo '<param name="wmode" value="transparent" />';
	echo '<param name="movie" value="'.$lecteur.'?mp3='.$file.'&amp;autostart='.$auto_play.'&amp;volume=50" />';
	echo '</object>';
	echo '</td></tr>';
}
?>


</table>

<span id="loading" style="display: none;"></span>