<?php
/**
 * This file is part of "Annecy By Night"
 * Copyright (c) 2009 Hubert LECORCHE
 * 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */


/**
 * Composant qui affiche les reportages sur la page d'index
 *
 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>
 * @version    SVN: $Id: _reportagesIndex.php 419 2010-09-08 12:27:01Z hlecorche $ 
 */

use_helper('Date');
use_helper('ecomliste');
use_helper('Text');
$chariot = 0;
?>


<?php echo ec_init_list($chariot, array('class' => 'tableau_noir_cadre', 'width' => '100%')) ?>

<tr><td colspan="2" class="texte_gras texte_moyen" style="padding: 5px;">DERNIERS REPORTAGES</td></tr>

<a href="<?php echo url_for('main/photographe') ?>">


<?php

echo image_tag('divers/devenez_reporter.png', array('alt' => 'Devenez reporter',

'onmouseover' => 'this.src=\''.Util::url_for('images/divers/devenez_reporter_over.png').'\'',

'onmouseout' => 'this.src=\''.Util::url_for('images/divers/devenez_reporter.png').'\''));

?>

</a>


<?php foreach($reportages as $reportage): ?>
		<?php echo ec_list_open_element($chariot, 2, array('style' => 'width: 50%; padding: 5px;')) ?>
				
				<div style="width: 178px; margin: auto;">
				<?php if($reportage->getIsReportageVideo()): ?>
					<?php echo link_to(image_tag('divers/video.jpg', array('title' => $reportage->getTitre(), 
																			'alt'=> $reportage->getTitre(), 
																			'width' => '176', 'height' => '122',
																			'style' => 'margin-bottom: 5px; border-color: #ffffff; border-width: 1px; border-style: solid;')),
										'reportages/zoom?id='.$reportage->getId()) ?>

				<?php else:?>
					<?php echo jq_double_images($reportage->getPathDossier().'/'.$reportage->getImage_1(),
										$reportage->getPathDossier().'/'.$reportage->getImage_2(),
										176, 122, $reportage->getTitre(), $reportage->getTitre(),
										url_for('reportages/zoom?id='.$reportage->getId()),
										array('style' => 'margin-bottom: 5px; border-color: #ffffff; border-width: 1px; border-style: solid;')) ?>
		
				<?php endif;?>
								
				
				<?php echo link_to(truncate_text($reportage->getTitre(), 23), 'reportages/zoom?id='.$reportage->getId(), array('class' => 'texte_bleu texte_moyen')) ?><br />
				<span class="texte_moyen"><?php echo substr(format_date($reportage->getDate(), 'dddd', 'fr'), 0, 3) ?> <?php echo format_date($reportage->getDate(), 'dd.MM.yyyy', 'fr') ?></span><br />
				<span class="texte_moyen"><?php echo truncate_text($reportage->getLieu()->getNom(), 16) ?></span>
				</div>

		<?php echo ec_list_close_element($chariot, 2) ?>

<?php endforeach; ?>

<?php echo ec_list_close($chariot, 2) ?>

<table class="tableau_noir_cadre" style="text-align: right;" width="100%">
<tr><td><?php echo link_to('&raquo; Voir tous les reportages', '@liste_reportages_photos', array('class' => 'texte_moyen texte_bleu'))?></td></tr>
</table>