<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * template qui affiche le formulaire de demande de photographe

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: demmandePhotographeEtape2Success.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */

?>



<?php use_helper('sfCryptoCaptcha');?>

<?php use_helper('ecFormulaire')?>

<?php echo form_tag('main/SubmitPhotographe') ?>

<?php echo $form->renderHiddenFields() ?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<table width="600" border="0">

	<tr>

		<td width="250"><?php echo label('Prenom', true) ?> :</td>

		<td><?php echo AfficheErreur($form['prenom']); echo $form['prenom']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Nom', true) ?> :</td>

		<td><?php echo AfficheErreur($form['nom']); echo $form['nom']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Activité/Profession', true) ?> :</td>

		<td><?php echo AfficheErreur($form['profession']); echo $form['profession']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Adresse', true) ?> :</td>

		<td><?php echo AfficheErreur($form['adresse']); echo $form['adresse']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Ville', true) ?> :</td>

		<td><?php echo AfficheErreur($form['ville']); echo $form['ville']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Code postal', true) ?> :</td>

		<td><?php echo AfficheErreur($form['code_postal']); echo $form['code_postal']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Date de naissance', true) ?> :</td>

		<td><?php echo AfficheErreur($form['date_naissance']); echo $form['date_naissance']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Numero de telephone (domicile)', true) ?> :</td>

		<td><?php echo AfficheErreur($form['tel_domicile']); echo $form['tel_domicile']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Numero de telephone (portable)', true) ?> :</td>

		<td><?php echo AfficheErreur($form['tel_portable']); echo $form['tel_portable']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Email', true) ?> :</td>

		<td><?php echo AfficheErreur($form['email']); echo $form['email']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('As-tu un ordinateur et internet à domicile', true) ?> :</td>

		<td><?php echo AfficheErreur($form['ordinateur_net']); echo $form['ordinateur_net']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('As-tu une voiture', true) ?> :</td>

		<td><?php echo AfficheErreur($form['voiture']); echo $form['voiture']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('As-tu un appareil photo', true) ?> :</td>

		<td><?php echo AfficheErreur($form['appareil_photo']); echo $form['appareil_photo']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Loisirs', true) ?> :</td>

		<td><?php echo AfficheErreur($form['loisirs']); echo $form['loisirs']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Clubs préférés', true) ?> :</td>

		<td><?php echo AfficheErreur($form['clubs_favoris']); echo $form['clubs_favoris']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Ton style de musique', true) ?> :</td>

		<td><?php echo AfficheErreur($form['style_musical']); echo $form['style_musical']->render() ?></td>

	</tr>

	<tr>

		<td width="250"><?php echo label('Pourquoi est tu interessé(e) de prendre des photos?<br />Quelles sont tes disponiblilités(y compris la semaine)?<br />Pseudo de membre AnnecyByNight', true) ?> :</td>

		<td><?php echo AfficheErreur($form['motivations_dispo_pseudo']); echo $form['motivations_dispo_pseudo']->render() ?></td>

	</tr>

	<tr>

		<td></td>

		<td><input type="submit" value="Valider ma demande" class="button" /></td>

	</tr>

</table>

</form>



<br />

Les informations recueillies sont nécessaires pour votre adhésion. <br />

En application des articles 39 et suivants de la loi du 6 janvier 1978 modifiée, vous bénéficiez d’un droit d’accès et de rectification aux informations qui vous concernent.<br />

Si vous souhaitez exercer ce droit et obtenir communication des informations vous concernant, veuillez <?php echo link_to('nous contacter', 'main/contact') ?>.

