<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * template de l'action miss, qui affiche le formulaire

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: missSuccess.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */

?>



<?php use_helper('sfCryptoCaptcha');?>

<?php use_helper('ecFormulaire')?>



<div class="titre_rubrique">FORMULAIRE DE CANDIDATURE</div>



<br />



<?php echo form_tag('main/submitMiss', array('multipart' => true)) ?>

<?php echo $form->renderHiddenFields() ?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>

<table width="490" border="0">

	<tr>

		<td width="186"><?php echo label('Civilité', true) ?> :</td>

		<td><?php echo AfficheErreur($form['civilite']); echo $form['civilite']->render() ?></td>

	</tr>

	<tr>

		<td width="186"><?php echo label('Nom', true) ?> :</td>

		<td><?php echo AfficheErreur($form['nom']); echo $form['nom']->render() ?></td>

	</tr>

	<tr>

		<td width="186"><?php echo label('Prenom', true) ?> :</td>

		<td><?php echo AfficheErreur($form['prenom']); echo $form['prenom']->render() ?></td>

	</tr>

	<tr>

		<td width="186"><?php echo label('Date de naissance', true) ?> :</td>

		<td><?php echo AfficheErreur($form['date_naissance']); echo $form['date_naissance']->render() ?></td>

	</tr>

	<tr>

		<td width="186"><?php echo label('Adresse', true) ?> :</td>

		<td><?php echo AfficheErreur($form['adresse']); echo $form['adresse']->render() ?></td>

	</tr>

	<tr>

		<td width="186"><?php echo label('Code postal', true) ?> :</td>

		<td><?php echo AfficheErreur($form['code_postal']); echo $form['code_postal']->render() ?></td>

	</tr>

	<tr>

		<td width="186"><?php echo label('Ville', true) ?> :</td>

		<td><?php echo AfficheErreur($form['ville']); echo $form['ville']->render() ?></td>

	</tr>

	<tr>

		<td width="186"><?php echo label('Email', true) ?> :</td>

		<td><?php echo AfficheErreur($form['email']); echo $form['email']->render() ?></td>

	</tr>

	<tr>

		<td width="186"><?php echo label('Telephone', true) ?> :</td>

		<td><?php echo AfficheErreur($form['telephone']); echo $form['telephone']->render() ?></td>

	</tr>

	<tr>

		<td width="186"><?php echo label('Photo portrait', true) ?> :</td>

		<td><?php echo AfficheErreur($form['photo_portrait']); echo $form['photo_portrait']->render() ?></td>

	</tr>

	<tr>

		<td width="186"><?php echo label('Photo en pied', true) ?> :</td>

		<td><?php echo AfficheErreur($form['photo_pied']); echo $form['photo_pied']->render() ?></td>

	</tr>

	<tr>

	<td><?php echo label('Code de vérification', true) ?> :</td>

	<td><?php echo AfficheErreur($form['captcha']); echo captcha_image(); echo captcha_reload_button();?> <br /> <?php echo $form['captcha']->render() ?></td>

</tr>

	<tr>

		<td></td>

		<td><input type="submit" value="Envoyer" class="button" /></td>

	</tr>

</table>

</form>



	