<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire de modification du profil, partie images de profil

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _images.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('ecFormulaire');





?>





<?php echo form_tag('membres/UpdateImagesProfil', array('multipart' => true)) ?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<?php if ($sf_user->hasFlash('edit_profil_images_ok')): ?>

		<?php echo Util::MessageInfo($sf_user->getFlash('edit_profil_images_ok'), 'ok'); ?>

<?php endif;?>



<?php echo $form->renderHiddenFields() ?>



<table width="466" border="0">



<tr>

	<td><?php echo label('Photo principale', false) ?> :</td>

	<td><?php echo AfficheErreur($form['fichier_image_profil']); echo $form['fichier_image_profil']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Photo supplémentaire 1', false) ?> :</td>

	<td><?php echo AfficheErreur($form['fichier_img_1']); echo $form['fichier_img_1']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Photo supplémentaire 2', false) ?> :</td>

	<td><?php echo AfficheErreur($form['fichier_img_2']); echo $form['fichier_img_2']->render() ?></td>

</tr>





<tr>

	<td><?php echo label('Photo supplémentaire 3', false) ?> :</td>

	<td><?php echo AfficheErreur($form['fichier_img_3']); echo $form['fichier_img_3']->render() ?></td>

</tr>



<tr>

	<td></td>

	<td><input type="submit" value="Mettre à jour mon profil" class="button" /></td>

</tr>

</table>



</form>





<table border="0">

<tr>

		

	<?php if($membre->getImageProfil() != ''): ?>

	<td style="vertical-align: bottom;">

		<a href="<?php echo Util::getUrlImage($dossier.'/'.$membre->getImageProfil())?>" class="thickbox" rel="gallery-private-profil">

		<?php echo image_tag(Util::getUrlImage($dossier.'/'.$membre->getImageProfil(), 100),

						 array('alt' => 'Photo principale',

						 	   'title' => 'Photo principale',

						 	   'width' => 100,

						 		'style' => 'border: 1px; border-color: white; border-style: solid;'))  ?>

		</a>

		<br /><br />

		Photo principale <br />

		<?php echo link_to('[Supprimer]', 'membres/deleteImageProfil?id=0', array('confirm' => 'Voulez-vous vraiment supprimer cette photo?',

																				  'method' => 'post'))?>

	</td>

	<?php endif;?>









		<?php for($i=1; $i<=3; $i++): ?>

			<?php $fonction = 'getImg_'.$i; ?>

			<?php if($membre->$fonction() != ''): ?>

			<td style="vertical-align: bottom;">

			<a href="<?php echo Util::getUrlImage($dossier.'/'.$membre->$fonction())?>" class="thickbox" rel="gallery-private-profil">

			<?php echo image_tag(Util::getUrlImage($dossier.'/'.$membre->$fonction(), 100),

						 array('alt' => 'Photo supplémentaire '.$i,

						 	   'title' => 'Photo supplémentaire '.$i,

						 	   'width' => 100,

						 		'style' => 'border: 1px; border-color: white; border-style: solid;'))  ?>

			</a>

			<br /><br />

			Photo n°<?php echo $i?> <br />

			<?php echo link_to('[Supprimer]', 'membres/deleteImageProfil?id='.$i, array('confirm' => 'Voulez-vous vraiment supprimer cette photo?',

																				  'method' => 'post'))?>

			</td>

			<?php endif;?>

		<?php endfor;?>

</tr>

</table>