<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire de modification du profil, partie infos

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _infos.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('ecFormulaire');

use_helper('sfCryptoCaptcha');









?>





<?php echo form_tag('membres/UpdateInfosProfil', array('multipart' => true)) ?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<?php if ($sf_user->hasFlash('edit_profil_infos_ok')): ?>

		<?php echo Util::MessageInfo($sf_user->getFlash('edit_profil_infos_ok'), 'ok'); ?>

<?php endif;?>



<?php echo $form->renderHiddenFields() ?>



<table width="466" border="0">



<tr>

	<td><?php echo label('Prénom', true) ?> :</td>

	<td><?php echo AfficheErreur($form['prenom']); echo $form['prenom']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Nouveau mot de passe', false) ?> :</td>

	<td><?php echo AfficheErreur($form['mot_passe']); echo $form['mot_passe']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Confirmation mot de passe', false) ?> :</td>

	<td><?php echo AfficheErreur($form['mot_passe_confirmation']); echo $form['mot_passe_confirmation']->render() ?></td>

</tr>





<tr>

	<td><?php echo label('Portable', false) ?> :</td>

	<td><?php echo AfficheErreur($form['portable']); echo $form['portable']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Sexe', true) ?> :</td>

	<td><?php echo AfficheErreur($form['sexe']); echo $form['sexe']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Civilité', false) ?> :</td>

	<td><?php echo AfficheErreur($form['civilite_id']); echo $form['civilite_id']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Etes-vous', false) ?> :</td>

	<td><?php echo AfficheErreur($form['fume']); echo $form['fume']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Enfants', false) ?> :</td>

	<td><?php echo AfficheErreur($form['enfants']); echo $form['enfants']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Date de naissance', true) ?> :</td>

	<td><?php echo AfficheErreur($form['date_naissance']); echo $form['date_naissance']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Ville', true) ?> :</td>

	<td><?php echo AfficheErreur($form['ville']); echo $form['ville']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Code postal', true) ?> :</td>

	<td><?php echo AfficheErreur($form['code_postal']); echo $form['code_postal']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Site web (http://www...)', false) ?> :</td>

	<td><?php echo AfficheErreur($form['site_web']); echo $form['site_web']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Présentation', false) ?> :</td>

	<td><?php echo AfficheErreur($form['annonce']); echo $form['annonce']->render() ?></td>

</tr>



<tr>

	<td><?php echo label('Code de vérification', true) ?> :</td>

	<td><?php echo AfficheErreur($form['captcha']); echo captcha_image(); echo captcha_reload_button();?> <br /> <?php echo $form['captcha']->render() ?></td>

</tr>



<tr>

	<td></td>

	<td><input type="submit" value="Mettre à jour mon profil" class="button" /></td>

</tr>

</table>







</form>