<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Profil prive - Onglet liste les reportages inscrits

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _reportagesInscrits.php 350 2010-08-13 09:06:41Z hlecorche $ 

 */





?>



<?php if ($sf_user->hasFlash('edit_profil_reportages_ok')): ?>

		<?php echo Util::MessageInfo($sf_user->getFlash('edit_profil_reportages_ok'), 'ok'); ?>

		<br /><br />

<?php endif;?>



<?php if(count($membre->getReportagesPresents()) == 0): ?>

	Vous n'êtes pas inscrit dans des reportages.

<?php else: ?>

	Vous êtes inscrit dans <?php echo count($membre->getReportagesPresents()) ?> reportages : <br /><br />

	

	<ul>

	<?php foreach($membre->getReportagesPresents() as $reportage): ?>

		<?php $texte = $reportage->getTitre().' ,le '.format_date($reportage->getDate(), 'dd/MM/yyyy') ?>

		<li>

			<?php echo link_to($texte, 'reportages/zoom?id='.$reportage->getId())?> &nbsp;&nbsp;

			<?php echo link_to('[Supprimer]', 'membres/deleteReportageInscrit?id='.$reportage->getId(),

							   array('confirm' => 'Voulez-vous vraiment supprimer ce reportage de votre profil ?',

									 'method' => 'post')) ?>

		</li>

	<?php endforeach; ?>

	</ul>

	

<?php endif; ?>