<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Profil publique - Onglet album photos

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _albumPhotos.php 335 2010-01-09 16:17:44Z hlecorche $ 

 */



use_helper('ecomliste')

?>



<?php if(count($liste_images_galerie) == 0): ?>

	<?php echo ucfirst(strtolower($membre->getPseudo())) ?> n'a aucune image dans sa galerie.

<?php else: ?>



	<?php $chariot = 0;

	echo ec_init_list($chariot);

	?>

	<?php foreach($liste_images_galerie as $image): ?>

		<?php echo ec_list_open_element($chariot, 5, array('class' => 'colonne_cinq', 'style' => 'margin-bottom: 5px;'))?>

			<a href="<?php echo url_for('reportages/zoomMedia?id='.$image->getId()) ?>">

			<?php echo image_tag(Util::getUrlImage($image->getReportage()->getPathDossier().'/'.$image->getNomFichier(), null, null, 105),

								 array('alt' => $image->getReportage()->getTitre(),

								 	   'title' => $image->getReportage()->getTitre(),

								 	   'style' => 'border: 1px; border-color: white; border-style: solid;'))?> <br />

			</a>

		<?php echo ec_list_close_element($chariot, 5) ?>

	<?php endforeach;?>

	

	<?php echo ec_list_close($chariot, 5)?>

<?php endif; ?>