<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Profil publique - Onglet liste des amis

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _amis.php 339 2010-01-16 11:01:11Z hlecorche $ 

 */



use_helper('ecomliste');

?>



<?php if($liste_amis_pager->getNbResults() == 0): ?>

	<?php echo ucfirst(strtolower($membre->getPseudo())) ?> n'a aucun ami.

<?php else: ?>



	<?php echo affiche_pagination($liste_amis_pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'membres/ajaxListeAmisPublic?id='.$membre->getId().'&page_amis=', array('update' => 'Amis')) ?>

	<?php $chariot = 0;

	echo ec_init_list($chariot);

	?>

	<?php foreach($liste_amis_pager->getResults() as $ami): ?>

		<?php echo ec_list_open_element($chariot, 5, array('class' => 'colonne_cinq', 'style' => 'margin-bottom: 5px;'))?>

			<?php echo link_to(image_tag(Util::getUrlImage($dossier_membres.'/'.$ami->getFichierImageProfil(), 105, 80, null, true),

								 array('alt' => $ami->getPseudo(),

								 	   'style' => 'border: 1px; border-color: white; border-style: solid;')), 'membres/profil?id='.$ami->getId())?> <br />

			<?php echo link_to($ami->getPseudo(), 'membres/profil?id='.$ami->getId()) ?>

		<?php echo ec_list_close_element($chariot, 5) ?>

	<?php endforeach;?>

	

	<?php echo ec_list_close($chariot, 5) ?>

<?php endif; ?>