<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Profil publique - Onglet liste les reportages inscrits

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _reportagesInscrits.php 208 2009-08-27 09:21:13Z hlecorche $ 

 */





?>



<?php if(count($membre->getReportagesPresents()) == 0): ?>

	<?php echo ucfirst(strtolower($membre->getPseudo())) ?> n'est pas inscrit dans des reportages.

<?php else: ?>

	<?php echo ucfirst(strtolower($membre->getPseudo())) ?> est inscrit dans <?php echo count($membre->getReportagesPresents()) ?> reportages : <br /><br />

	

	<ul>

	<?php foreach($membre->getReportagesPresents() as $reportage): ?>

		<?php $texte = $reportage->getTitre().' ,le '.format_date($reportage->getDate(), 'dd/MM/yyyy') ?>

		<li><?php echo link_to($texte, 'reportages/zoom?id='.$reportage->getId())?></li>

	<?php endforeach; ?>

	</ul>

	

<?php endif; ?>