<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * template qui affiche la liste du staff

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: listeStaffSuccess.php 401 2010-09-02 11:50:13Z hlecorche $ 

 */

use_helper('ecomliste') ?>

<?php use_helper('Date') ?>

<?php use_helper('ecFormulaire') ?>

<?php use_helper('Text') ?>

<?php echo image_tag('titres/staff.jpg', array('align' =>'middle', 'alt'=> 'staff')) ?>



<div class="hr"></div>



<?php

//Formulaire de tri de recherche

echo form_tag($url_page);





echo ec_select_form('sexe', $liste_sexe, $selected_sexe, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';



echo ec_select_form('tri', $liste_tri, $selected_tri, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));



echo ec_select_form('ordre', $liste_ordre, $selected_ordre, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';



echo ec_select_form('photo', $liste_photo, $selected_photo, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));



echo '&nbsp; Nombre par page: ';

echo ec_select_form('nombre_pages', $liste_nombre_pages, $selected_nombre_pages, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

?>

</form>

<div class="hr"></div>



<?php echo $pager->getNbResults() ?>

 membres trouvés

<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png',

 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 

 'icones/16/resultset_next.png', 2, 2, 'membres/listeStaff?page=') ?>

<br />



<?php $chariot = 0;

echo ec_init_list($chariot, array('cellpadding' => '3', 'cellspacing' => '10'));

?>



<?php foreach ($pager->getResults() as $membre): ?>



	<?php echo ec_list_open_element($chariot, 2, array('class' => 'cadre_noir','style' => 'width: 296px; vertical-align: top;'))?>

		

	<div style="float: left; margin-right: 4px;">

	<?php echo link_to(image_tag(Util::getUrlImage($dossier_images.$membre

	->getFichierImageProfil(), 85, 85, null, true),array('alt'=> 'img_profile_'.$membre->getId(),

										  'style' => 'border-color: #443B40; border-width: 1px; border-style: solid;')),

	'membres/profil?id='.$membre->getId())?>

	</div>

	<div style="float: left;">

	<span class="texte_orange texte_moyen"><?php echo ucfirst($membre->getPrenom()) ?></span><br />

	<span class="texte_moyen"><?php echo $membre->getFonction()->getNom() ?></span><br /><br />

	<span><b>Nombre de reportages : </b></span><span class="texte_rose"><?php echo $membre->getNombreReportages() ?></span><br />

	<span><?php echo link_to('Lui envoyer un message', 'messagerie/ecrire?id='.$membre->getId(), array('class' => 'texte_rose')) ?></span>

	</div>

	

	

	<div style="clear: both;"></div>

	

	<?php echo ec_list_close_element($chariot, 2) ?>



<?php endforeach; ?>



<?php echo ec_list_close($chariot, 2) ?>



