<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 *

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche le profil d'une personne

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: profilSuccess.php 425 2010-09-27 08:51:05Z hlecorche $

 */

use_helper('Date');

jq_add_plugin_ui();

 ?>

 

 <?php echo image_tag('titres/profil_utilisateur.jpg', array('alt' => 'Profil utilisateur'))?><br />

 Profil de <?php echo $membre->getPseudo() ?> inscrit<?php echo ($membre->getSexe() == 1)? '' : 'e'?> 

 depuis le <?php echo format_date($membre->getCreatedAt(), 'dd/MM/yyyy')?> 

 - Dernière visite le: <?php echo format_date($membre->getDerniereRequete(), 'dd/MM/yyyy')?> 

 

 <br /><br />

 <div class="hr"></div><br />





<script type="text/javascript">

	$(function() {

		$("#tabs").tabs({ selected: <?php echo $tab ?> });

	});

</script>





<div id="tabs">

<ul>

		<li><a href="#tabs-1">Infos</a></li>

		<li><a href="<?php echo url_for('membres/ajaxListeAmisPublic?id='.$membre->getId()) ?>" title="Amis">Amis</a></li>

		<li><a href="#tabs-3">Galerie photos</a></li>

		<li><a href="#tabs-4">Reportages</a></li>

		<?php if($admin===1):?>

		<li><a href="#tabs-5">Livre d'or</a></li>

		<?php endif; ?>

</ul>





<div id="tabs-1">

	<?php include_partial('membres/profilPublic/_infos', array('membre' => $membre,

															   'dossier' => $dossier_membres,

															   'can_submit_message' => $can_submit_message,

															   'can_add_friend' => $can_add_friend)) ?>

</div>









<div id="tabs-3">

	<?php include_partial('membres/profilPublic/_albumPhotos', array('membre' => $membre,

																	 'liste_images_galerie' => $liste_images_galerie)) ?>

</div>



<div id="tabs-4">

	<?php include_partial('membres/profilPublic/_reportagesInscrits', array('membre' => $membre)) ?>

</div>



<?php if($admin===1):?>

<div id="tabs-5">

	<?php include_partial('membres/profilPublic/_livreOr', array('id' => $membre->getId(), 

										'messages_or' => $messages_or,

										'form' => $form_livre_or)) ?>

</div>

<?php endif;?>









</div>



