<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template de la boite de réception des messages

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */



use_helper('Date');

use_helper('ecprofil')



?>

<?php echo image_tag('titres/messagerie.jpg', array('alt' => 'messagerie'))?>

<div class="hr"></div>



Boite de réception: <?php echo count($liste_messages) ?> message(s)

<br /><br />





<?php if ($sf_user->hasFlash('messages_ok')): ?>

		<?php echo Util::MessageInfo($sf_user->getFlash('messages_ok'), 'ok'); ?>

<?php endif;?>

<?php if ($sf_user->hasFlash('messages_error')): ?>

		<?php echo Util::MessageInfo($sf_user->getFlash('messages_error'), 'error'); ?>

<?php endif;?>







<script type="text/javascript">

function select()

{

	var elements = $("#boite_reception :checkbox");

	elements.each(function (i) {

		this.checked = true;

	});

}

</script>



<?php echo form_tag('messagerie/deleteMessages', array('id' => 'boite_reception'))?>

<table width="600" border="0" cellpadding="2" cellspacing="2" class="cadre">

	<tr>

		<td width="25"><b>Lu</b></td>

		<td width="130"><b>Date</b></td>

		<td width="132"><b>Expediteur</b></td>

		<td><b>Objet</b></td>

		<td width="25"></td>

	</tr>

<?php foreach($liste_messages as $message): ?>

	<tr>

		<td><?php echo ($message->getLu())? image_tag('icones/15/email_open.png', array('alt' => 'Lu', 'title' => 'lu')) :  image_tag('icones/15/email.png', array('alt' => 'Non lu', 'title' => 'Non lu')) ?></td>

		<td><?php echo format_date($message->getCreatedAt(), 'dd/MM/yyyy HH:mm')?></td>

		<td><?php echo afficheProfilVollant($message->getExpediteurMembre())?></td>

		<td><?php echo link_to($message->getTitre(), 'messagerie/lire?id='.$message->getId()) ?></td>

		<td><input type="checkbox" id="delete_msg_<?php echo $message->getId()?>" name="delete_msg[<?php echo $message->getId() ?>]" value="<?php echo $message->getId() ?>" /></td>

	</tr>

<?php endforeach; ?>

</table>



<a href="#" onclick="select(); return false;">Tout sélectionner</a>



<br /><br />

<input type="submit" value="Supprimer la sélection" class="button', 'confirm' => 'Voulez-vous vraiment supprimer ces messages?" />



</form>



