<?php
/**
 * This file is part of "AnnecyByNight"
 * Copyright (c) 2009 Hubert LECORCHE
 * 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
/**
 * Partial qui affiche les actions d'une photo
 *
 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>
 * @version    SVN: $Id: actionsPhoto.php 440 2010-09-29 11:49:55Z hlecorche $ 
 */
use_helper('ecFormulaire');
use_helper('ecprofil');
?>
<?php $reportage = $media->getReportage();

?>
<?php if ($sf_user->hasFlash('reportages_add_favori_ok')): ?>
		<?php echo Util::MessageInfo($sf_user->getFlash('reportages_add_favori_ok'), 'ok'); ?>
<?php endif;?>
<?php if ($sf_user->hasFlash('reportages_add_favori_error')): ?>
		<?php echo Util::MessageInfo($sf_user->getFlash('reportages_add_favori_error'), 'error'); ?>
<?php endif;?>


<?php echo link_to(image_tag('icones/15/mail.gif', array('alt' => 'mail', 'style' => 'vertical-align: bottom;')).'
 			<b>Envoi la photo par mail à tes amis</b>', 'reportages/createEcard?id='.$media->getId()) ?>
&nbsp;&nbsp;&nbsp;&nbsp;
<?php echo image_tag('icones/16/coeur.gif', array('alt' => 'coeur', 'style' => 'vertical-align: bottom;'))?>
 <?php echo jq_link_to_remote('Ajoute cette photo à ta galerie', 
 						 array('url' => 'reportages/ajaxAjouterFavoris?id='.$media->getId(),
 						 	   'update' => 'actions_reportage'),
 						 array('style' => 'color: #ffffff; font-weight: bold;')) ?>						 
 &nbsp;&nbsp;&nbsp;&nbsp;
 <?php echo image_tag('icones/16/cross.gif', array('alt' => 'coeur', 'style' => 'vertical-align: bottom;'))?>
 <?php echo jq_link_to_remote('Ajoute cette photo comme photo de profil', 
 						 array('url' => 'reportages/ajaxAjouterImageProfil?id='.$media->getId(),
 						 	   'confirm' => 'Souhaitez-vous supprimer votre image de profil actuelle et la remplacer par celle-ci ?',
 						 	   'update' => 'actions_reportage'),
 						 array('style' => 'color: #ffffff; font-weight: bold;')) ?>
 
<br />					 
 
 <?php echo image_tag('http://b.static.ak.fbcdn.net/images/share/facebook_share_icon.gif') ?>
&nbsp;<a href="http://www.facebook.com/share.php?u=<?php echo  sfConfig::get('app_url_portail').Util::getUrlImageWithJpeg($reportage->getPathDossier().'/'.$media->getNomFichier())?>" style="font-weight: bold;" target="blank">Partager sur Facebook</a>
<br /> 	<br /> 						 
<div class="cadre" style="width: 620px; margin: auto;">
<?php echo count($liste_commentaires) ?> commentaire(s)
 
<!-- Formulaire d'ajout de commentaire -->
<?php if ($sf_user->hasFlash('reportages_add_comment_ok')): ?>
		<?php echo Util::MessageInfo($sf_user->getFlash('reportages_add_comment_ok'), 'ok'); ?>
<?php endif;?>
<?php if ($sf_user->hasFlash('reportages_add_comment_error')): ?>
		<?php echo Util::MessageInfo($sf_user->getFlash('reportages_add_comment_error'), 'error'); ?>
<?php endif;?>


<?php echo jq_form_remote_tag(array('url' => 'reportages/AjaxAjouterCommentaire?id='.$media->getId(),
									'update' => 'actions_reportage')) ?>

<?php if($form_comment->hasGlobalErrors()): ?>
	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>
<?php endif; ?>


<?php echo $form_comment->renderHiddenFields() ?>

<table border="0">
<tr style="vertical-align: bottom;">
	<td><?php echo label('Message', true) ?> :</td>
	<td><?php echo AfficheErreur($form_comment['message']); echo $form_comment['message']->render() ?></td>
	<td><input type="submit" value="Ajouter" class="button" /></td>
</tr>
</table>
</form>




<!-- Liste des commentaires -->
<br /><br />
<?php if(count($liste_commentaires) > 0): ?>
<table width="100%" cellspacing="0">
	<thead>
		<tr>
			<td background="<?php echo image_path('bg_titre_300px_sombre.jpg')?>" style="background-repeat: repeat-y;">Messages</td>
		</tr>
	</thead>
	<tbody>
		<?php foreach($liste_commentaires as $commentaire): ?>
		<tr>
			<td><?php echo afficheProfilVollant($commentaire->getMembre()) ?> : <?php echo $commentaire->getMessage() ?></td>
		</tr>
		<?php endforeach; ?>
	</tbody>
</table>
<?php endif; ?>

</div>