<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des evenements

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _agenda.php 360 2010-08-19 13:10:25Z hlecorche $ 

 */



use_helper('Date');

$dossier = sfConfig::get('app_dossiers_images_agenda');

?>



<br /><br />



<div class="titre_moyen">Agenda</div>

<?php if(count($resultats_agenda) >0): ?>



	<?php foreach($resultats_agenda as $evenement): ?>

		<div>

		

			<div style="float: left; margin: 2px; margin-right: 4px; border-color: #443b40; border-style: double; border-width: 1px;">

			<?php echo link_to(image_tag(Util::getUrlImage($dossier.'/'.$evenement->getImage_1(), 80), array('title' => $evenement->getTitre(), 'alt'=> $evenement->getTitre())),

								'agenda/zoom?id='.$evenement->getId()) ?>



			</div>

			<span class="texte_normal_plus"><?php echo $evenement->getLieu()->getType()->getNom() ?></span> <br />

			<span class="texte_rose texte_gras"><?php echo $evenement->getLieu()->getNom() ?></span>

			 Le <?php echo format_date($evenement->getDateDebut(), 'dd/MM/yyyy') ?><br />

			<span class="texte_vert"><?php echo $evenement->getTitre()?></span><br />

			<?php echo $evenement->getDescription() ?>

			

			

		<div style="clear: both;"></div>

		</div>

		<div class="hr"></div>

	

	<?php endforeach; ?>







<?php else: ?>

Pas de résultat dans l'agenda.

<?php endif; ?>