<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des membres

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _membres.php 207 2009-08-26 10:05:10Z sjeandroz $ 

 */



use_helper('Date');

$dossier = sfConfig::get('app_dossiers_images_membres');

?>



<br /><br />



<div class="titre_moyen">Membres</div>

<?php if(count($resultats_membres) >0): ?>



	<?php foreach($resultats_membres as $membre): ?>

		<div>

		

			<div style="float: left; margin: 2px; margin-right: 4px; border-color: #443b40; border-style: double; border-width: 1px;">

			<?php echo link_to(image_tag(Util::getUrlImage($dossier.'/'.$membre->getFichierImageProfil(), 80), array('title' => $membre->getPseudo(), 'alt'=> $membre->getPseudo())),

								'membres/profil?id='.$membre->getId()) ?>



			</div>

			<span class="texte_rose texte_gras"><?php echo $membre->getPseudo() ?></span> <br />

			<span class="texte_normal_plus"><?php echo $membre->getPrenom() ?></span>			

			

		<div style="clear: both;"></div>

		</div>

		<div class="hr"></div>

	

	<?php endforeach; ?>







<?php else: ?>

Pas de résultat dans les membres.

<?php endif; ?>