<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des résultats sur les reportages photos

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _photos.php 125 2009-08-04 14:33:10Z hlecorche $ 

 */



use_helper('Date');

?>



<div class="titre_moyen">Reportages photos</div>

<?php if(count($resultats_reportages_photos) >0): ?>



	<?php foreach($resultats_reportages_photos as $reportage): ?>

		<div>

		

			<div style="float: left; margin: 2px; margin-right: 4px; border-color: #443b40; border-style: double; border-width: 1px;">

			<?php echo link_to(image_tag(Util::getUrlImage($reportage->getPathDossier().'/'.$reportage->getImage_1(), 80), array('title' => $reportage->getTitre(), 'alt'=> $reportage->getTitre())),

								'reportages/zoom?id='.$reportage->getId()) ?>



			</div>

			<span class="texte_normal_plus"><?php echo $reportage->getLieu()->getType()->getNom() ?></span> <br />

			<span class="texte_rose texte_gras"><?php echo $reportage->getLieu()->getNom() ?> <?php echo (is_object($reportage->getEvenement()))? ' - ' .$reportage->getEvenement()->getTitre() : ''?></span>

			 Le <?php echo format_date($reportage->getDate(), 'dd/MM/yyyy') ?><br />

			<span class="texte_vert"><?php echo $reportage->getTitre()?></span><br />

			<?php echo $reportage->getDescription() ?>

			

			

		<div style="clear: both;"></div>

		</div>

		<div class="hr"></div>

	

	<?php endforeach; ?>







<?php else: ?>

Pas de résultat dans les reportages photos.

<?php endif; ?>