<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche le fomulaire de recherche avancée + les résultats

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: indexSuccess.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('ecFormulaire');

?>



<?php if ($sf_user->hasFlash('search_message_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('search_message_error'), 'error'); ?>

<?php endif;?>





<div class="titre_rubrique">RECHERCHE</div>





<?php echo form_tag('search/recherche') ?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<?php echo $form->renderHiddenFields() ?>



<table style="width: 624px;" border="0">

<tr>

	<td colspan="3"><?php echo AfficheErreur($form['text']) ?><?php echo $form['text'] ?></td>

</tr>

<tr>

	<td><?php echo AfficheErreur($form['type']) ?><?php echo $form['type'] ?></td>

	<td><?php echo AfficheErreur($form['date']) ?><?php echo $form['date'] ?></td>

	<td style="text-align: left;"><input type="submit" value="Rechercher" class="button" /></td>

</tr>

</table>



</form>



<div class="hr"></div>



<br /><br />

<?php 

if($active_recherche_photos)

{

	include_partial('photos', array('resultats_reportages_photos' => $resultats_reportages_photos));

}

if($active_recherche_videos)

{

	include_partial('videos', array('resultats_reportages_videos' => $resultats_reportages_videos));

}

if($active_recherche_agenda)

{

	include_partial('agenda', array('resultats_agenda' => $resultats_agenda));

}

if($active_recherche_membres)

{

	include_partial('membres', array('resultats_membres' => $resultats_membres));

}

?>