<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des sondages actifs

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _list.php 320 2009-11-02 12:35:50Z hlecorche $ 

 */



use_helper('ecomliste')

?>



<?php if ($sf_user->hasFlash('sondages_ok')): ?>

		<?php echo Util::MessageInfo($sf_user->getFlash('sondages_ok'), 'ok'); ?>

<?php endif;?>

<?php if ($sf_user->hasFlash('sondages_error')): ?>

		<?php echo Util::MessageInfo($sf_user->getFlash('sondages_error'), 'error'); ?>

<?php endif;?>





<?php if(count($liste_sondages) > 0) :?>



<?php 

$chariot = 0;

echo ec_init_list($chariot,  array('cellspacing' => '10' ));

?>



<?php foreach($liste_sondages as $sondage): ?>

	<?php echo ec_list_open_element($chariot, 2, array('class' => 'cadre_noir', 'style' => 'width: 300px; vertical-align: top;' )) ?>

	

	<span class="texte_moyen" style="font-weight: bold; font-style: italic;"><?php echo $sondage['question'] ?></span><br />

	

	<?php if($sondage['type'] == 'Form'): ?>

		

		<?php include_partial('form', array('sondage' => $sondage)) ?>

		

	<?php else: ?>

		

		<?php include_partial('results', array('sondage' => $sondage)) ?>

		

	<?php endif; ?>

	





	<?php echo ec_list_close_element($chariot, 2) ?>

<?php endforeach; ?>



<?php echo ec_list_close($chariot, 2) ?>



<?php else: ?>

<div class="cadre_noir texte_moyen">Aucun sondage d'actif pour le moment.</div> 

<?php endif; ?>