<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche les resultats d'un formulaire

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _results.php 185 2009-08-20 09:44:13Z hlecorche $ 

 */



$table = $sondage['object'];

$total_vote = $table[0]; //Nombre total de vote sur ce sondage

$liste_reponses = $table[1]; //Liste des réponses (avec le nombre de votes)



?>



<table>

<?php foreach($liste_reponses as $reponse => $score): ?>

	<tr>

		<td width="150px"><?php echo $reponse ?></td>

		<td><?php echo image_tag('divers/statut_bar.jpg', array('width' => ceil(($score * 100) / $total_vote), 'height' => '5px', 'alt' => 'barre')) ?>

			<?php echo round(($score * 100) / $total_vote ,2) ?> %

		</td>

	</tr>

<?php endforeach;?>



</table>