<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche la liste des videos

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: listSuccess.php 431 2010-09-27 14:42:23Z hlecorche $ 

 */



use_helper('ecomliste');

use_helper('Date');

use_helper('ecFormulaire');

use_helper('Text');

?>



<div class="titre_rubrique">Vidéos</div>

<br />



<?php 

//Formulaire de tri de recherche

echo form_tag($url_page);



//On affiche les categories

echo '<span style="color: #ff9900;">'.count($liste_categories).' catégories : </span>';

echo ec_select_form('categorie', $liste_categories, $selected_categorie, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';



echo ec_select_form('tri', $liste_tri, $selected_tri, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp;';

echo ec_select_form('ordre', $liste_ordre, $selected_ordre, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

echo '&nbsp; Nombre par page: ';

echo ec_select_form('nombre_pages', $liste_nombre_pages, $selected_nombre_pages, array('class' => 'fields', 'onchange' => 'Javascript:this.form.submit();'));

?>

</form>

<div class="hr"></div>



<?php echo $pager->getNbResults() ?> vidéos trouvée(s)

<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, $url_page."&page=") ?> <br />



<?php $chariot = 0; 

echo ec_init_list($chariot);

?>



<?php foreach ($pager->getResults() as $video): ?>

		<?php echo ec_list_open_element($chariot, 2, array('class' => 'colonne_demie', 'style' => 'vertical-align: top;'))?>

		<div class="titre_moyen"><?php echo truncate_text($video->getTitre(), 20) ?> </div>

		

		<div style="float: left; margin: 2px;">

			<?php echo link_to(image_tag($video->getVignette(), array('title' => $video->getTitre(), 'alt'=> $video->getTitre(), 'width' => '120', 'style' => ' border-color: #443b40; border-style: double; border-width: 1px;')),

								'videos/zoom?id='.$video->getId().'&p='.$pager->getPage()) ?>

		</div>

			<b>Catégorie :</b> <span class="texte_orange"><?php echo $video->getVideoCategorie()->getNom() ?></span><br />

			Ajoutée le <?php echo format_date($video->getCreatedAt(), 'dd/MM/yyyy') ?> 

			

		<div style="clear: both;"></div>

		<?php echo ec_list_close_element($chariot, 2) ?>

	

<?php endforeach; ?>

<?php echo ec_list_close($chariot, 2) ?>