var TEMPS_GALERIES = 5000;

var TEMPS_STAFF = 4000;

var HAUTEUR_CADRE_DETAIL_IMAGE = 646;

var HAUTEUR_VIDEO = 518;

var LARGEUR_VIDEO = 646;



var modal = null;

var modal_google = null;

var tmp_album = null;

var tmp_album_bool = false;

var tmp_metier_1 = null;

var tmp_metier_1_bool = false;

var tmp_metier_2 = null;

var tmp_metier_2_bool = false;

var tmp_staff = null;

var autoplay_album_video = false;

var urls_images_moyens = new Array;

var urls_images_grands = new Array;



$(function() {

	modal = $('#modal').overlay({oneInstance: false, api: true});

	modal_google = $('#modal_google').overlay({oneInstance: false, api: true});

	$("#labels_central").tabs("#cadre_central > div.pane");

	$(".scrollable").scrollable();

	

	$("#cadre_central .scrollable img").click(function() {

		var pane = $(this).parents(".pane");

		g_pause_tempo(pane);

		var nouvelle_image_id = $(this).attr("id");

		g_change_image(pane, nouvelle_image_id);

		g_replay_tempo(pane);

	});

	

	$("#cadre_central .player .first").click(function() {

		var pane = $(this).parents(".pane");

		g_pause_tempo(pane);

		g_premier(pane);

		g_replay_tempo(pane);

	});

	

	$("#cadre_central .player .rew").click(function() {

		var pane = $(this).parents(".pane");

		g_pause_tempo(pane);

		g_precedent(pane);

		g_replay_tempo(pane);

	});

	

	$("#cadre_central .player .play").click(function() {

		if($(this).hasClass("pause")) { g_pause($(this)); return false; }

		

		pane = $(this).parents(".pane");

		pane_id = pane.attr("id");

		if(pane_id == "contenu_onglet_album_photos" && tmp_album_bool == false)

		{

			tmp_album = setInterval("g_tempo_album()", TEMPS_GALERIES);

			tmp_album_bool = true;

		}

		else if(pane_id == "contenu_onglet_metier_1_galerie" && tmp_metier_1_bool == false)

		{

			tmp_metier_1 = setInterval("g_tempo_metier_1()", TEMPS_GALERIES);

			tmp_metier_1_bool = true;

		}

		else if(pane_id == "contenu_onglet_metier_2_galerie" && tmp_metier_2_bool == false)

		{

			tmp_metier_2 = setInterval("g_tempo_metier_2()", TEMPS_GALERIES);

			tmp_metier_2_bool = true;

		}

		$(this).removeClass("play");

		$(this).addClass("pause");

	});

		

	$("#cadre_central .player .pause").click(function() {

		pane = $(this).parents(".pane");

		g_pause_tempo(pane);

		g_precedent(pane);

		g_replay_tempo(pane);

	});

	

	$("#cadre_central .player .fwd").click(function() {

		pane = $(this).parents(".pane");

		g_pause_tempo(pane);

		g_suivant(pane);

		g_replay_tempo(pane);

	});

	

	$("#cadre_central .player .end").click(function() {

		pane = $(this).parents(".pane");

		g_pause_tempo(pane);

		g_dernier(pane);

		g_replay_tempo(pane);

	});

	

	$("#cadre_central .image_wrap img").click(function() {

		pane = $(this).parents(".pane");

		image_id = pane.find(".scrollable .items img.active").attr("id");

		url = urls_images_grands[image_id];

		afficheImage(url);

	});

	

	$("img.photo_general").click(function() {

		changeImageModale($(this).attr("id"), 'photo_general');

		modal.load();

	});

	

	if($("#cadre_staff .scroll").length > 0)

	{

		$("#cadre_staff .scroll").scrollable({ circular: true }).click(function() {

			changeImageModale('photo_staff_' + $(this).data("scrollable").getIndex(), 'photo_galerie_staff');

			modal.load();

		});

		tmp_staff = setInterval("$('#cadre_staff .scroll').data('scrollable').next();", TEMPS_STAFF);

	}

	

	initialize_google();

	$("#cadre_central #contenu_onglet_metier_1_galerie .scrollable img:first").click();

	$("#cadre_central #contenu_onglet_album_photos .scrollable img:first").click();

	$("#cadre_central #contenu_onglet_metier_2_galerie .scrollable img:first").click();

	$("#cadre_central #contenu_onglet_album_videos .scrollable img:first").click();

});



function afficheImage(url)

{

	img = '<div><img src="'+url+'" alt="Chargement en cours..."/></div>';

	$("#modal .contentWrap").html(img);

	modal.load();

}



function changeImageModale(image_id, classe)

{ 

	var url = urls_images_grands[image_id];



	//Regarde si existe une image avant

	var image_avant = false;

	$("." + classe).each(function(index) {

			if($(this).parents("div").hasClass("cloned") == false)

			{

				if($(this).attr("id") == image_id)

				{

					return false;

				}

				else

				{

					image_avant = $(this).attr("id");

				}

			}

	  });

	

	//Regarde si existe une image apres

	var image_apres = false;

	var check_image_apres = false;

	$("." + classe).each(function(index) {

		if($(this).parents("div").hasClass("cloned") == false)

		{

			if(check_image_apres == true)

			{

				image_apres = $(this).attr("id");

				return false;

			}

			else if($(this).attr("id") == image_id)

			{

				check_image_apres = true;

			}

		}

	});

	

	//Mise à jour de la modale

	var img = '<img src="'+url+'" alt="Chargement en cours..."/>';

	var liens = '<div class="player" style="margin-left: 286px; margin-top: 10px;">';

	if(image_avant != false)

	{

		liens = liens + '<a href="" class="rew" onclick="changeImageModale(\'' + image_avant + '\', \''+ classe + '\'); return false;"></a>';

	}

	if(image_apres != false)

	{

		liens = liens + '<a href="" class="fwd" onclick="changeImageModale(\'' + image_apres + '\', \''+ classe + '\'); return false;"></a>';

	}

	liens = liens + '</div>';

	$("#modal .contentWrap").html('<div>' + img + '<br />' + liens + '</div>');

}



function afficheGoogle()

{

	modal_google.load();

}



function affichePromos(url)

{

	img = '<img src="'+url+'" alt="Chargement en cours..."/>';

	lien = '<p><a href="javascript:window.print()">Imprimer</a></p>';

	source = img + lien;

	$("#modal .contentWrap").html(source);

	modal.load();

}



function g_pause_tempo(pane)

{

	var pane_id = pane.attr("id");

	if(pane_id == "contenu_onglet_album_photos" && tmp_album_bool == true)

	{

		clearInterval(tmp_album);

	}

	else if(pane_id == "contenu_onglet_metier_1_galerie" && tmp_metier_1_bool == true)

	{

		clearInterval(tmp_metier_1);

	}

	else if(pane_id == "contenu_onglet_metier_2_galerie" && tmp_metier_2_bool == true)

	{

		clearInterval(tmp_metier_2);

	}

}



function g_replay_tempo(pane)

{

	var pane_id = pane.attr("id");

	if(pane_id == "contenu_onglet_album_photos" && tmp_album_bool == true)

	{

		tmp_album = setInterval("g_tempo_album()", TEMPS_GALERIES);

	}

	else if(pane_id == "contenu_onglet_metier_1_galerie" && tmp_metier_1_bool == true)

	{

		tmp_metier_1 = setInterval("g_tempo_metier_1()", TEMPS_GALERIES);

	}

	else if(pane_id == "contenu_onglet_metier_2_galerie" && tmp_metier_2_bool == true)

	{

		tmp_metier_2 = setInterval("g_tempo_metier_2()", TEMPS_GALERIES);

	}

}





function g_change_image(pane, nouvelle_image_id)

{

	var nouvelle_image_vignette = $("#"+nouvelle_image_id);

	if ($(nouvelle_image_vignette).hasClass("active")) { return; }

	if ($(nouvelle_image_vignette).hasClass("video")) { return g_change_video(pane, nouvelle_image_id, nouvelle_image_vignette); }

	

	var nouvelle_url = urls_images_moyens[nouvelle_image_id];

	var wrap = pane.find(".image_wrap");

	wrap.fadeTo("medium", 0.5);

	var img = new Image();

	img.onload = function() {

		wrap.fadeTo("fast", 1);

		var image_wrap = wrap.find("img");

		image_wrap.attr("src", nouvelle_url);

		var long_image = parseInt(img.width);

		var haut_image = parseInt(img.height);

		if(haut_image < long_image)

		{

			var margin = (HAUTEUR_CADRE_DETAIL_IMAGE - haut_image) / 2;

			image_wrap.css('margin-top', margin+'px');

		}

		else

		{

			image_wrap.css('margin-top', '0px');

		}

		var nouveau_titre = nouvelle_image_vignette.attr("title");

		image_wrap.attr("title", nouveau_titre);

		pane.find(".title_image").html(nouveau_titre);

	};



	img.src = nouvelle_url;

	pane.find(".scrollable .items img").removeClass("active");

	nouvelle_image_vignette.addClass("active");

}



function g_change_video(pane, nouvelle_image_id, nouvelle_image_vignette)

{

	pane_id = pane.attr("id");

	var nouvelle_url = urls_images_moyens[nouvelle_image_id];

	var wrap = pane.find(".image_wrap");

	

	var auto_play = true;

	if(pane_id == "contenu_onglet_album_videos" && autoplay_album_video == false)

	{

		autoplay_album_video = true;

		auto_play = false;

	}

	if(auto_play == true)

	{

		nouvelle_url = nouvelle_url + '&autoplay=1';

	}

	var src = '<div><object width="'+ LARGEUR_VIDEO  +'" height="'+ HAUTEUR_VIDEO +'"><param name="movie" value="'+ nouvelle_url +'"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="'+ nouvelle_url +'" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="'+ LARGEUR_VIDEO +'" height="'+ HAUTEUR_VIDEO +'"></embed></object></div>';

	wrap.html(src);

	var object_wrap = wrap.find("div");

	if(HAUTEUR_VIDEO < LARGEUR_VIDEO)

	{

		var margin = (HAUTEUR_CADRE_DETAIL_IMAGE - HAUTEUR_VIDEO) / 2;

		object_wrap.css('margin-top', margin+'px');

	}

	else

	{

		object_wrap.css('margin-top', '0px');

	}

	pane.find(".scrollable .items img").removeClass("active");

	nouvelle_image_vignette.addClass("active");

}



function g_premier(pane)

{ 

	var nouvelle_image_id = pane.find(".scrollable .items img:first").attr("id");

	g_change_image(pane, nouvelle_image_id);

}



function g_precedent(pane)

{ 

	var nouvelle_image_id = pane.find(".scrollable .items img:last").attr("id");

	pane.find(".scrollable .items img").each(function(index) {

		if($(this).hasClass("active"))

	    {

	    	return false;

	    }

		else

		{

			nouvelle_image_id = $(this).attr("id");

		}

	  });

	g_change_image(pane, nouvelle_image_id);

}



function g_suivant(pane)

{ 

	var nouvelle_image_id = pane.find(".scrollable .items img:first").attr("id");

	var next_image = false;

	pane.find(".scrollable .items img").each(function(index) {

		if(next_image == true)

	    {

	    	nouvelle_image_id = $(this).attr("id");

	    	return false;

	    }

	    else if($(this).hasClass("active"))

	    {

	    	next_image = true;

	    	

	    }

	  });

	g_change_image(pane, nouvelle_image_id);

} 



function g_dernier(pane)

{ 

	var nouvelle_image_id = pane.find(".scrollable .items img:last").attr("id");

	g_change_image(pane, nouvelle_image_id);

}



function g_pause(btn)

{

	var pane = btn.parents(".pane");

	var pane_id = pane.attr("id");

	if(pane_id == "contenu_onglet_album_photos" && tmp_album_bool == true)

	{

		clearInterval(tmp_album);

		tmp_album_bool = false;

	}

	else if(pane_id == "contenu_onglet_metier_1_galerie" && tmp_metier_1_bool == true)

	{

		clearInterval(tmp_metier_1);

		tmp_metier_1_bool = false;

	}

	else if(pane_id == "contenu_onglet_metier_2_galerie" && tmp_metier_2_bool == true)

	{

		clearInterval(tmp_metier_2);

		tmp_metier_2_bool = false;

	}

	btn.removeClass("pause");

	btn.addClass("play");

}

























function g_tempo_album()

{

	var pane = $("#cadre_central #contenu_onglet_album_photos");

	g_suivant(pane);

}



function g_tempo_metier_1()

{

	var pane = $("#cadre_central #contenu_onglet_metier_1_galerie");

	g_suivant(pane);

}



function g_tempo_metier_2()

{

	var pane = $("#cadre_central #contenu_onglet_metier_2_galerie");

	g_suivant(pane);

}