<?php

/**
 * EvenementInscription form.
 *
 * @package    form
 * @subpackage EvenementInscription
 * @version    SVN: $Id: EvenementInscriptionForm.class.php 375 2010-08-25 09:21:15Z hlecorche $
 */
class EvenementInscriptionForm extends BaseEvenementInscriptionForm
{
	 	
	public function configure()
	{
		
		//Champ id, desactive car inutile
		unset($this['id']);
		 
		//Champ evenement_id, desactive car sera ajoute manuelle dans l'action
		unset($this['evenement_id']);
		
		//Champ membre_id, desactive, car sera ajoute manuellement dans l'action
		unset($this['membre_id']);
		
		//Champ heure
		$liste_va = array(EvenementInscription::VA => 'Va', EvenementInscription::VA_PEUT_ETRE => 'Va peut être');
		$this->setWidget('va', new sfWidgetFormChoice(array('choices' => $liste_va), 
														 array('class' => 'fields')));
		$this->setValidator('va', new sfValidatorChoice(array('choices' => array_keys($liste_va)),
														   array('required' => 'Champ non précisé',
																 'invalid' => 'Champ non valide')));
		
		//Champ message
		$this->setWidget('message', new sfWidgetFormInputText(array(), array('class' => 'fields', 'size' => 35)));
		$this->setValidator('message', new sfValidatorString(array('max_length' => 255,
																   'trim' => true),
															 array('required' => 'Message non précisé',
															 	   'max_length' => '255 caractères maxi.')));
															 
		//Champs created_at, descative car gere par Doctrine
		unset($this['created_at']);
	}
}