<?php

/**
 * Sondage form.
 *
 * @package    form
 * @subpackage Sondage
 * @version    SVN: $Id: SondageForm.class.php 309 2009-10-15 11:28:07Z hlecorche $
 */
class SondageForm extends BaseSondageForm
{
	public function configure()
	{
		 //Classe du formulaire
		 $class = 'fields';
		 
		 //Champ "question"
		 $this->setWidget('question', new sfWidgetFormTextarea(array(), array('class' => $class,
		 																	  'rows' => 5,
		 																	  'cols' => 40)));
		 $this->setValidator('question', new sfValidatorString(array('max_length' => 255,
		 															 'required' => true,
		 															 'trim' => true),
		 													   array('required' => 'Champ obligatoire',
		 													   		 'max_length' => '%max_length% caractères maxi.')));
		 													   
		//Champ "active"
		$choices = array(0 => 'Non', 1 => 'Oui');
		$this->setWidget('active', new sfWidgetFormSelect(array('choices' => $choices)));
		$this->setValidator('active', new sfValidatorChoice(array('choices' => array_keys($choices),
																  'required' => true),
															array('invalid' => 'Champ invalide',
															   	 'required' => 'Champ obligatoire')));
		$this->setDefault('active', 1);
		
		unset($this['id']);
	}
}