<?php

/**
 * GalerieArtsMedia form base class.
 *
 * @method GalerieArtsMedia getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseGalerieArtsMediaForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(),
      'galerie_arts_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('GalerieArts'), 'add_empty' => false)),
      'is_video'        => new sfWidgetFormInputText(),
      'nom_fichier'     => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'galerie_arts_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('GalerieArts'))),
      'is_video'        => new sfValidatorInteger(),
      'nom_fichier'     => new sfValidatorString(array('max_length' => 80)),
    ));

    $this->widgetSchema->setNameFormat('galerie_arts_media[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'GalerieArtsMedia';
  }

}
