<?php

/**
 * LieuMetierMedia form base class.
 *
 * @method LieuMetierMedia getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseLieuMetierMediaForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'          => new sfWidgetFormInputHidden(),
      'lieu_id'     => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Lieu'), 'add_empty' => false)),
      'titre'       => new sfWidgetFormInputText(),
      'nom_fichier' => new sfWidgetFormInputText(),
      'album_id'    => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'          => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'lieu_id'     => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Lieu'))),
      'titre'       => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'nom_fichier' => new sfValidatorString(array('max_length' => 30)),
      'album_id'    => new sfValidatorInteger(),
    ));

    $this->widgetSchema->setNameFormat('lieu_metier_media[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'LieuMetierMedia';
  }

}
