<?php

/**
 * MembreAlbum form base class.
 *
 * @method MembreAlbum getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseMembreAlbumForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                        => new sfWidgetFormInputHidden(),
      'titre'                     => new sfWidgetFormInputText(),
      'membre_id'                 => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'), 'add_empty' => false)),
      'membre_album_categorie_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('MembreAlbumCategorie'), 'add_empty' => false)),
      'is_album_video'            => new sfWidgetFormInputText(),
      'active'                    => new sfWidgetFormInputText(),
      'created_at'                => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'                        => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'titre'                     => new sfValidatorString(array('max_length' => 255)),
      'membre_id'                 => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'))),
      'membre_album_categorie_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('MembreAlbumCategorie'))),
      'is_album_video'            => new sfValidatorInteger(),
      'active'                    => new sfValidatorInteger(),
      'created_at'                => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('membre_album[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'MembreAlbum';
  }

}
