<?php

/**
 * NewsletterAbonnement form base class.
 *
 * @method NewsletterAbonnement getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseNewsletterAbonnementForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'        => new sfWidgetFormInputHidden(),
      'active'    => new sfWidgetFormInputText(),
      'membre_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'), 'add_empty' => false)),
      'email'     => new sfWidgetFormInputText(),
      'chariot'   => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'        => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'active'    => new sfValidatorInteger(),
      'membre_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'))),
      'email'     => new sfValidatorString(array('max_length' => 255)),
      'chariot'   => new sfValidatorInteger(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('newsletter_abonnement[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'NewsletterAbonnement';
  }

}
