<?php

/**
 * ReportageInscription form base class.
 *
 * @method ReportageInscription getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseReportageInscriptionForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'reportage_id' => new sfWidgetFormInputHidden(),
      'membre_id'    => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'reportage_id' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('reportage_id')), 'empty_value' => $this->getObject()->get('reportage_id'), 'required' => false)),
      'membre_id'    => new sfValidatorChoice(array('choices' => array($this->getObject()->get('membre_id')), 'empty_value' => $this->getObject()->get('membre_id'), 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('reportage_inscription[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'ReportageInscription';
  }

}
