<?php

/**
 * Reporter form base class.
 *
 * @method Reporter getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseReporterForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                       => new sfWidgetFormInputHidden(),
      'actif'                    => new sfWidgetFormInputText(),
      'prenom'                   => new sfWidgetFormInputText(),
      'nom'                      => new sfWidgetFormInputText(),
      'adresse'                  => new sfWidgetFormInputText(),
      'ville'                    => new sfWidgetFormInputText(),
      'code_postal'              => new sfWidgetFormInputText(),
      'date_naissance'           => new sfWidgetFormInputText(),
      'tel_domicile'             => new sfWidgetFormInputText(),
      'tel_portable'             => new sfWidgetFormInputText(),
      'email'                    => new sfWidgetFormInputText(),
      'profession'               => new sfWidgetFormInputText(),
      'loisirs'                  => new sfWidgetFormInputText(),
      'clubs_favoris'            => new sfWidgetFormInputText(),
      'style_musical'            => new sfWidgetFormInputText(),
      'ordinateur_net'           => new sfWidgetFormInputText(),
      'voiture'                  => new sfWidgetFormInputText(),
      'appareil_photo'           => new sfWidgetFormInputText(),
      'motivations_dispo_pseudo' => new sfWidgetFormInputText(),
      'created_at'               => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'                       => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'actif'                    => new sfValidatorInteger(array('required' => false)),
      'prenom'                   => new sfValidatorString(array('max_length' => 55)),
      'nom'                      => new sfValidatorString(array('max_length' => 55)),
      'adresse'                  => new sfValidatorString(array('max_length' => 255)),
      'ville'                    => new sfValidatorString(array('max_length' => 55)),
      'code_postal'              => new sfValidatorString(array('max_length' => 55)),
      'date_naissance'           => new sfValidatorString(array('max_length' => 55)),
      'tel_domicile'             => new sfValidatorString(array('max_length' => 55)),
      'tel_portable'             => new sfValidatorString(array('max_length' => 55)),
      'email'                    => new sfValidatorString(array('max_length' => 55)),
      'profession'               => new sfValidatorString(array('max_length' => 55)),
      'loisirs'                  => new sfValidatorString(array('max_length' => 255)),
      'clubs_favoris'            => new sfValidatorString(array('max_length' => 255)),
      'style_musical'            => new sfValidatorString(array('max_length' => 55)),
      'ordinateur_net'           => new sfValidatorInteger(),
      'voiture'                  => new sfValidatorInteger(),
      'appareil_photo'           => new sfValidatorInteger(),
      'motivations_dispo_pseudo' => new sfValidatorString(array('max_length' => 255)),
      'created_at'               => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('reporter[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Reporter';
  }

}
