<?php

/**
 * Stats form base class.
 *
 * @method Stats getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseStatsForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                 => new sfWidgetFormInputHidden(),
      'pages_vues'         => new sfWidgetFormInputText(),
      'date'               => new sfWidgetFormDate(),
      'visites'            => new sfWidgetFormInputText(),
      'envoi_anniversaire' => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'                 => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'pages_vues'         => new sfValidatorInteger(),
      'date'               => new sfValidatorDate(),
      'visites'            => new sfValidatorInteger(),
      'envoi_anniversaire' => new sfValidatorInteger(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('stats[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Stats';
  }

}
