<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * batch qui supprime les demandes de changement de mail de plus de 30 jours

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: batch_delete_change_email_inactive.php 248 2009-09-07 07:30:45Z hlecorche $ 

 */



ini_set("memory_limit" , "60M");

set_time_limit(0);

//On récupère l'application 'Frontend'

require_once(dirname(__FILE__).'/../../config/ProjectConfiguration.class.php');

$configuration = ProjectConfiguration::getApplicationConfiguration('frontend', 'prod', false);



//On creer une instance

$instance=sfContext::createInstance($configuration);



//On recupere la BDD associee a cette instance

$database_manager = $instance->getDatabaseManager();



//on recupere le jour et le mois d'aujourd'huiet on lui enleve 30 jours

$date=date('Y-m-d H:i:s',time()-(30*24*60*60));





//on crée la requete pour supprimer les membres

$membres_inactifs = Doctrine::getTable('ChangementEmail')->createQuery()

		->delete()

		->where('ChangementEmail.created_at < ?',$date)

		->execute();



?>